package com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo;

import java.util.Date;

public class DoctorPatientStatusMarkBO {

    /**
     * id
     */
      private String id;

    /**
     * 患者编号
     */
      private String patientId;

    /**
     * 病种ID
     */
      private String diseaseId;

    /**
     * 医生ID
     */
      private String doctorId;

    /**
     * 状态
     */
      private String status;

    /**
     * 目标
     */
      private String targetId;

    /**
     * 目标（旧）
     */
      private String target;

    /**
     * 更新时间
     */
      private Date opTime;

    /**
     * 新增时间
     */
      private Date addTime;

    /**
     * 数据来源分类
     */
      private String sourceType;

    /**
     * 数据来源ID
     */
      private String sourceId;

    // 重点关注
      private String focus;
  
    // 个案类型，字典定义
      private String type;
  
    // 目标编号
    private String targetCode;
    
    //目标执行科室列表
    private String targetExeDeptIds;

    // 目标执行最大天数
    private Integer targetExeMaxDay;

    // 目标执行状态
    private String targetExeStatus;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getDiseaseId() {
      return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
      this.diseaseId = diseaseId;
    }

    public String getDoctorId() {
      return doctorId;
    }

    public void setDoctorId(String doctorId) {
      this.doctorId = doctorId;
    }

    public String getStatus() {
      return status;
    }

    public void setStatus(String status) {
      this.status = status;
    }

    public String getTargetId() {
      return targetId;
    }

    public void setTargetId(String targetId) {
      this.targetId = targetId;
    }

    public Date getOpTime() {
      return opTime;
    }

    public void setOpTime(Date opTime) {
      this.opTime = opTime;
    }

    public Date getAddTime() {
      return addTime;
    }

    public void setAddTime(Date addTime) {
      this.addTime = addTime;
    }

    public String getSourceType() {
      return sourceType;
    }

    public void setSourceType(String sourceType) {
      this.sourceType = sourceType;
    }

    public String getSourceId() {
      return sourceId;
    }

    public void setSourceId(String sourceId) {
      this.sourceId = sourceId;
    }

    public String getFocus() {
      return focus;
    }

    public void setFocus(String focus) {
      this.focus = focus;
    }

    public String getType() {
      return type;
    }

    public void setType(String type) {
      this.type = type;
    }

    public String getTargetCode() {
      return targetCode;
    }

    public void setTargetCode(String targetCode) {
      this.targetCode = targetCode;
    }

    public String getTargetExeDeptIds() {
      return targetExeDeptIds;
    }

    public void setTargetExeDeptIds(String targetExeDeptIds) {
      this.targetExeDeptIds = targetExeDeptIds;
    }

    public Integer getTargetExeMaxDay() {
      return targetExeMaxDay;
    }

    public void setTargetExeMaxDay(Integer targetExeMaxDay) {
      this.targetExeMaxDay = targetExeMaxDay;
    }

    public String getTargetExeStatus() {
      return targetExeStatus;
    }

    public void setTargetExeStatus(String targetExeStatus) {
      this.targetExeStatus = targetExeStatus;
    }

    public String getTarget() {
      return target;
    }

    public void setTarget(String target) {
      this.target = target;
    }

}
