package com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo;

import java.util.List;

public class DoctorTargetConfigBO {

    private String id;

    /**
     * 目标编号
     */
    private String code;

    /**
     * 目标名称
     */
    private String name;

    /**
     * 阶段类型
     */
    private String type;

    /**
     * 目标备注
     */
    private String remark;

    /**
     * 目标所属科室
     */
    private String deptId;

    // 目标所属科室名称
    private String deptName;

    /**
     * 目标所属病种
     */
    private String diseaseId;

    // 目标所属病种名称
    private String diseaseName;

    /**
     * 规则_目标执行科室列表
     */
    private List<String> exeDeptIdList;

    /**
     * 规则_目标执行最大天数
     */
    private Integer exeMaxDay;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
        this.diseaseId = diseaseId;
    }

    public String getDiseaseName() {
        return diseaseName;
    }

    public void setDiseaseName(String diseaseName) {
        this.diseaseName = diseaseName;
    }

    public List<String> getExeDeptIdList() {
        return exeDeptIdList;
    }

    public void setExeDeptIdList(List<String> exeDeptIdList) {
        this.exeDeptIdList = exeDeptIdList;
    }

    public Integer getExeMaxDay() {
        return exeMaxDay;
    }

    public void setExeMaxDay(Integer exeMaxDay) {
        this.exeMaxDay = exeMaxDay;
    }

}
