package com.xxh.cloud.healthy.doctor.crm.client.api.bean.dto;

import java.util.Date;
import java.util.List;

public class DoctorBehaviorDataCountQueryClientDTO {

    // 医生ID
    private String doctorId;

    // 操作类型
    private String operatedType;

    // 操作类型列表
    private List<String> operatedTypes;

    // 操作一级关联对象类型[DoctorBehaviorConstant.RelOneType]"
    private String relOneType;

    // 操作一级关联对象类型列表[DoctorBehaviorConstant.RelOneType]
    private List<String> relOneTypes;

    // 操作一级关联对象id
    private String relOneId;

    // 操作一级关联对象id
    private List<String> relOneIds;

    // 操作二级关联对象类型[DoctorBehaviorConstant.RelTwoType]"
    private String relTwoType;

    // 操作二级关联对象类型列表[DoctorBehaviorConstant.RelTwoType]
    private List<String> relTwoTypes;

    // 操作二级关联对象id
    private String relTwoId;

    // 操作二级关联对象id
    private List<String> relTwoIds;

    // 查询开始时间
    private Date startDate;

    // 查询结束时间
    private Date endDate;

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getOperatedType() {
        return operatedType;
    }

    public void setOperatedType(String operatedType) {
        this.operatedType = operatedType;
    }

    public List<String> getOperatedTypes() {
        return operatedTypes;
    }

    public void setOperatedTypes(List<String> operatedTypes) {
        this.operatedTypes = operatedTypes;
    }

    public String getRelOneType() {
        return relOneType;
    }

    public void setRelOneType(String relOneType) {
        this.relOneType = relOneType;
    }

    public List<String> getRelOneTypes() {
        return relOneTypes;
    }

    public void setRelOneTypes(List<String> relOneTypes) {
        this.relOneTypes = relOneTypes;
    }

    public String getRelOneId() {
        return relOneId;
    }

    public void setRelOneId(String relOneId) {
        this.relOneId = relOneId;
    }

    public List<String> getRelOneIds() {
        return relOneIds;
    }

    public void setRelOneIds(List<String> relOneIds) {
        this.relOneIds = relOneIds;
    }

    public String getRelTwoType() {
        return relTwoType;
    }

    public void setRelTwoType(String relTwoType) {
        this.relTwoType = relTwoType;
    }

    public List<String> getRelTwoTypes() {
        return relTwoTypes;
    }

    public void setRelTwoTypes(List<String> relTwoTypes) {
        this.relTwoTypes = relTwoTypes;
    }

    public String getRelTwoId() {
        return relTwoId;
    }

    public void setRelTwoId(String relTwoId) {
        this.relTwoId = relTwoId;
    }

    public List<String> getRelTwoIds() {
        return relTwoIds;
    }

    public void setRelTwoIds(List<String> relTwoIds) {
        this.relTwoIds = relTwoIds;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

}
