package com.xxh.cloud.healthy.doctor.crm.client.api.constant;

public class DoctorStatusMarkConstant {
    
    public enum Status {
        
        Normal("normal", "正常"),
        Ignore("ignore", "忽略"),
        Abandon("abandon", "放弃"),

        ;
        private String code;
        private String msg;
        private Status(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }
    
    public enum TargetExeStatus {
        
        DOING("doing", "执行中"),
        DONE("done", "完成"),
        EXPIRE("expire", "过期"),
        INVALID("invalid", "无效"), // 只存在于历史表中，当前正在执行中的目标在直接更新成其他目标时对应的历史目标状态更改为该无效状态

        ;
        private String code;
        private String msg;
        private TargetExeStatus(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }
}
