package com.xxh.cloud.healthy.doctor.crm.client.api.constant;

public class DoctorTargetConstant {

    // 目标阶段
    
    // 阶段和目标枚举，每个阶段都有对应的固定枚举
    public enum Target {

        TARGET_REG("target_reg", "挂号"),
        TARGET_VISIT("target_visit", "就诊"),
        TARGET_IN("target_in", "住院"),
        TARGET_OUT("target_out", "出院"),
        TARGET_OPERATION("target_operation", "手术"),
        TARGET_EXAMS("target_exams", "检查"),
        TARGET_LABS("target_labs", "检验"),
        TARGET_OTHER("target_other", "其他"),


        ;
        private String code;
        private String msg;
        private Target(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }
    
}
