package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorBehaviorQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    @ApiModelProperty(value = "操作类型")
    private String operatedType;

    @ApiModelProperty(value = "操作类型列表")
    private List<String> operatedTypes;

    @ApiModelProperty(value = "操作一级关联对象类型[DoctorBehaviorConstant.RelOneType]")
    private String relOneType;

    @ApiModelProperty(value = "操作一级关联对象类型列表[DoctorBehaviorConstant.RelOneType]")
    private List<String> relOneTypes;

    @ApiModelProperty(value = "操作一级关联对象id")
    private String relOneId;

    @ApiModelProperty(value = "操作二级关联对象类型[DoctorBehaviorConstant.RelTwoType]")
    private String relTwoType;

    @ApiModelProperty(value = "操作二级关联对象类型列表[DoctorBehaviorConstant.RelTwoType]")
    private List<String> relTwoTypes;

    @ApiModelProperty(value = "操作二级关联对象id")
    private String relTwoId;

    @ApiModelProperty(value = "查询开始时间")
    private Date startDate;

    @ApiModelProperty(value = "查询结束时间")
    private Date endDate;

    @ApiModelProperty(value = "排序类型")
    private String orderType;

    @ApiModelProperty(value = "排序[Y：顺序，N：倒序]")
    private String order;

}
