package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientRemarkCleanDTO {

    /**
     * 操作一级关联对象类型
     */
    @ApiModelProperty(value = "操作一级关联对象类型[DoctorRemarkConstant.RelOneType]", required = true)
    @NotEmpty(message = "操作一级关联对象类型[relOneType]不能为空")
    private String relOneType;

    /**
     * 操作一级关联对象id
     */
    @ApiModelProperty(value = "操作一级关联对象id", required = true)
    @NotEmpty(message = "操作一级关联对象id[relOneId]不能为空")
    private String relOneId;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

}
