package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientStatusMarkUpdateTargetDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 目标
     */
     @ApiModelProperty(value = "目标", required = true)
    //  @NotEmpty(message = "目标[targetId]不能为空")
      private String targetId;

    /**
     * 目标（旧）
     */
     @ApiModelProperty(value = "目标（旧）", required = true)
    //  @NotEmpty(message = "目标[targetId]不能为空")
      private String target;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String opUserId;

}
