package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生目标配置表
 * </p>
 */
@Getter
@Setter
public class DoctorTargetConfigGetDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id[id]不能为空")
      private String id;

}
