package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生目标配置表
 * </p>
 */
@Getter
@Setter
public class DoctorTargetConfigQueryDTO extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * ids
     */
    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 目标编号
     */
    @ApiModelProperty(value = "目标编号")
    private String code;

    /**
     * 目标名称
     */
    @ApiModelProperty(value = "目标名称")
    private String name;

    /**
     * 阶段类型
     */
    @ApiModelProperty(value = "阶段类型")
    private String type;

    /**
     * 目标所属科室
     */
    @ApiModelProperty(value = "目标所属科室")
    private String deptId;

    /**
     * 目标所属病种
     */
    @ApiModelProperty(value = "目标所属病种")
    private String diseaseId;

}
