package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientStatusMarkQueryReq extends BasePageDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

     @ApiModelProperty(value = "ids")
      private List<String> ids;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

     @ApiModelProperty(value = "患者名称")
      private String patientName;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 目标
     */
     @ApiModelProperty(value = "目标")
      private String targetId;

     @ApiModelProperty(value = "目标列表")
      private List<String> targetIds;

    /**
     * 目标（旧）
     */
     @ApiModelProperty(value = "目标（旧）")
      private String target;

     @ApiModelProperty(value = "目标列表（旧）")
      private List<String> targets;

    /**
     * 重点关注
     */
    @ApiModelProperty(value = "重点关注")
    private String focus;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    /**
     * 个案类型，字典定义
     */
    @ApiModelProperty(value = "个案类型，字典定义")
    private String type;

    /**
     * 科室id
     */
    @ApiModelProperty(value = "科室id")
    private String deptId;

    /**
     * 目标执行状态
     */
    @ApiModelProperty(value = "目标执行状态")
    private String targetExeStatus;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

}
