package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DoctorPatientStatusMarkTargetCountQueryReq {

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "状态列表")
    private List<String> statuses;

    /**
     * 目标
     */
    @ApiModelProperty(value = "目标")
    private String targetId;

    @ApiModelProperty(value = "目标列表")
    private List<String> targetIds;

    /**
     * 目标（旧）
     */
    @ApiModelProperty(value = "目标（旧）")
    private String target;

    @ApiModelProperty(value = "目标列表（旧）")
    private List<String> targets;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

}
