package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientStatusMarkUpdateTypeReq {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 个案类型，字典定义
     */
     @ApiModelProperty(value = "个案类型，字典定义", required = true)
     @NotEmpty(message = "个案类型[type]不能为空")
      private String type;

}
