package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientTrackAddReq {

    /**
     * 医生患者状态标记ID
     */
     @ApiModelProperty(value = "医生患者状态标记ID", required = true)
     @NotEmpty(message = "医生患者状态标记ID[doctorPatientMarkId]不能为空")
      private String doctorPatientMarkId;

    /**
     * 记录内容
     */
     @ApiModelProperty(value = "记录内容", required = true)
     @NotEmpty(message = "记录内容[content]不能为空")
      private String content;

}
