package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientTrackUpdateReq {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 记录内容
     */
     @ApiModelProperty(value = "记录内容", required = true)
     @NotEmpty(message = "记录内容[content]不能为空")
      private String content;

}
