package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorBehaviorVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    /**
     * 操作类型
     */
    @ApiModelProperty(value = "操作类型")
    private String operatedType;

    /**
     * 操作一级关联对象类型
     */
    @ApiModelProperty(value = "操作一级关联对象类型")
    private String relOneType;

    /**
     * 操作一级关联对象id
     */
    @ApiModelProperty(value = "操作一级关联对象id")
    private String relOneId;

    /**
     * 操作二级关联对象类型
     */
    @ApiModelProperty(value = "操作二级关联对象类型")
    private String relTwoType;

    /**
     * 操作二级关联对象id
     */
    @ApiModelProperty(value = "操作二级关联对象id")
    private String relTwoId;

    /**
     * 操作内容
     */
    @ApiModelProperty(value = "操作内容")
    private String operatedContent;

    /**
     * ip
     */
    @ApiModelProperty(value = "ip")
    private String ip;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String creator;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    /**
     * 医生信息
     */

    @ApiModelProperty(value = "医生用户名")
    private String userName;

    @ApiModelProperty(value = "医生真实姓名")
    private String realName;

    @ApiModelProperty(value = "头像")
    private String headUrl;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    /**
     * 患者信息
     */

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者性别")
    private String patientGender;

    @ApiModelProperty(value = "患者电话")
    private String patientPhone;

    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

}
