package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import com.xxh.cloud.framework.common.tree.TreeNode;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DoctorDeptVO extends TreeNode<DoctorDeptVO> {


    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "部门名称")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "部门主管用户ID")
    private List<String> managerUserIds;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //=================================

    @ApiModelProperty(value = "部门主管用户")
    private List<AdminUserBO> managerUserList;

    // zs:20231009
    @ApiModelProperty(value = "病种ID")
    private List<String> diseaseIds;

    @ApiModelProperty(value = "'部门分类'")
    private String deptType;

    @ApiModelProperty(value = "扩展1 部门分类名称")
    private String extend1;

    @ApiModelProperty(value = "扩展2 网站对应科室ID")
    private String extend2;

    @ApiModelProperty(value = "扩展3")
    private String extend3;

    @ApiModelProperty(value = "扩展4")
    private String extend4;

    @ApiModelProperty(value = "扩展5")
    private String extend5;
}
