package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientTrackVO extends BaseEntity {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 医生患者状态标记ID
     */
     @ApiModelProperty(value = "医生患者状态标记ID")
      private String doctorPatientMarkId;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 记录内容
     */
     @ApiModelProperty(value = "记录内容")
      private String content;

}
