package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientRemarkAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientRemarkCleanDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientRemarkGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientRemarkQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientRemarkUpdateDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientRemarkVO;

public interface DoctorPatientRemarkService {
    
    DoctorPatientRemarkVO add(DoctorPatientRemarkAddDTO params);

    void update(DoctorPatientRemarkUpdateDTO params);

    void remove(DoctorPatientRemarkGetDTO params);

    void clean(DoctorPatientRemarkCleanDTO params);

    // 分页查询
    PageData<DoctorPatientRemarkVO> query(DoctorPatientRemarkQueryDTO params);

    List<DoctorPatientRemarkVO> list(DoctorPatientRemarkQueryDTO params);

    DoctorPatientRemarkVO detail(DoctorPatientRemarkGetDTO params);

}
