package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetConfigAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetConfigGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetConfigQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetConfigUpdateDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetConfigVO;

public interface DoctorTargetConfigService {
    
    DoctorTargetConfigVO add(DoctorTargetConfigAddDTO params);

    void update(DoctorTargetConfigUpdateDTO params);

    void remove(DoctorTargetConfigGetDTO params);

    // 分页查询
    PageData<DoctorTargetConfigVO> query(DoctorTargetConfigQueryDTO params);

    List<DoctorTargetConfigVO> list(DoctorTargetConfigQueryDTO params);

    DoctorTargetConfigVO detail(DoctorTargetConfigGetDTO params);

}
