package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DwdDoctorComeQueryDTO;

public interface DwdDoctorDataBizService {

    // 患者挂号信息
    Integer registerCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> registerDataList(DwdDoctorComeQueryDTO params);
    

    // 患者就诊信息
    Integer visitCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> visitDataList(DwdDoctorComeQueryDTO params);
    

    // 患者住院信息
    Integer inHospitalCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> inHospitalDataList(DwdDoctorComeQueryDTO params);
    

    // 患者出院信息
    Integer outHospitalCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> outHospitalDataList(DwdDoctorComeQueryDTO params);
    

    // 患者手术信息
    Integer operationCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> operationDataList(DwdDoctorComeQueryDTO params);
    

    // 患者检查信息
    Integer examineCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> examineDataList(DwdDoctorComeQueryDTO params);
    

    // 患者检验信息
    Integer laboratoryCount(DwdDoctorComeQueryDTO params);
    
    List<Map<String, Object>> laboratoryDataList(DwdDoctorComeQueryDTO params);
    

}
