package com.xxh.cloud.healthy.doctor.crm.framework.modules.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.xxh.cloud.healthy.doctor.crm.client.api.DoctorPatientStatusMarkClientService;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo.DoctorPatientStatusMarkBO;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.dto.DoctorPatientStatusMarkAddClientDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientStatusMarkVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.helper.DoctorPatientHelper;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service.DoctorPatientStatusMarkService;

@Service
public class DoctorPatientStatusMarkClientServiceImpl implements DoctorPatientStatusMarkClientService {

    @Autowired
    private DoctorPatientStatusMarkService doctorPatientStatusMarkService;

    @Override
    public DoctorPatientStatusMarkBO add(DoctorPatientStatusMarkAddClientDTO params) {
        DoctorPatientStatusMarkAddDTO addDTO = new DoctorPatientStatusMarkAddDTO();
        addDTO.setPatientId(params.getPatientId());
        addDTO.setDoctorId(params.getDoctorId());
        addDTO.setDiseaseId(params.getDiseaseId());
        addDTO.setStatus(params.getStatus());
        addDTO.setSourceType(params.getSourceType());
        addDTO.setSourceId(params.getSourceId());
        addDTO.setOpUserId(params.getOpUserId());
        addDTO.setTargetId(params.getTargetId());
        addDTO.setType(params.getType());
        addDTO.setAddTime(params.getAddTime());
        DoctorPatientStatusMarkVO vo = doctorPatientStatusMarkService.add(addDTO);

        return DoctorPatientHelper.getDoctorPatientStatusMarkBO(vo);
    }
    
}
