package com.xxh.cloud.healthy.basic.article.client.api.bean.bos;

import java.util.List;

import com.xxh.cloud.healthy.basic.label.client.api.bean.bos.LabelBO;
import com.xxh.cloud.metadata.client.api.bean.bos.standard.StandardDiseaseBO;
import com.xxh.cloud.user.client.api.bean.bos.DeptBO;

public class ArticleBO {
    

    // id
    private String id;


    // 标题
    private String title;


    // 推送内容
    private String messasgeConent;


    // 概要
    private String summary;


    // 缩略图
    private String thumbnail;


    // 文章分类(多)
    private List<String> articleCategoryIds;

    // 所属科室(多)
    private  List<String>  deptIds;

    // 疾病ID(多)
    private  List<String>  diseaseIds;

    // 标签(多)
    private List<String> labelIds;


    // 文章业务分类
    private String articleBizType;


    // 作者
    private String author;


    // 来源
    private String source;


    // 内容
    private String content;


    // 顺序
    private Integer orders;


    // 备注
    private String remark;


    // 状态
    private String status;


    // 评论状态
    private String commentStatus;


    // 草稿箱状态
    private String draftStatus;


    // 关联业务ID分类
    private String relIdType;


    // 关联业务ID
    private String relId;


    //===========================================

    // 文章分类(多)
    private List<ArticleCategoryBO> articleCategoryList;

    // 所属科室(多)
    private  List<DeptBO>  deptList;

    // 标签(多)
    private List<LabelBO> labelList;

    // 疾病(多)
    private List<StandardDiseaseBO> diseaseList;


    // 文章分类名称(多)
    private String articleCategoryNames;

    // 所属科室名称(多)
    private  String  deptNames;

    // 标签名称(多)
    private String labelNames;

    // 疾病名称(多)
    private String diseaseNames;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessasgeConent() {
        return messasgeConent;
    }

    public void setMessasgeConent(String messasgeConent) {
        this.messasgeConent = messasgeConent;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public List<String> getArticleCategoryIds() {
        return articleCategoryIds;
    }

    public void setArticleCategoryIds(List<String> articleCategoryIds) {
        this.articleCategoryIds = articleCategoryIds;
    }

    public List<String> getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(List<String> deptIds) {
        this.deptIds = deptIds;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public List<String> getLabelIds() {
        return labelIds;
    }

    public void setLabelIds(List<String> labelIds) {
        this.labelIds = labelIds;
    }

    public String getArticleBizType() {
        return articleBizType;
    }

    public void setArticleBizType(String articleBizType) {
        this.articleBizType = articleBizType;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getOrders() {
        return orders;
    }

    public void setOrders(Integer orders) {
        this.orders = orders;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(String commentStatus) {
        this.commentStatus = commentStatus;
    }

    public String getDraftStatus() {
        return draftStatus;
    }

    public void setDraftStatus(String draftStatus) {
        this.draftStatus = draftStatus;
    }

    public String getRelIdType() {
        return relIdType;
    }

    public void setRelIdType(String relIdType) {
        this.relIdType = relIdType;
    }

    public String getRelId() {
        return relId;
    }

    public void setRelId(String relId) {
        this.relId = relId;
    }

    public List<ArticleCategoryBO> getArticleCategoryList() {
        return articleCategoryList;
    }

    public void setArticleCategoryList(List<ArticleCategoryBO> articleCategoryList) {
        this.articleCategoryList = articleCategoryList;
    }

    public List<DeptBO> getDeptList() {
        return deptList;
    }

    public void setDeptList(List<DeptBO> deptList) {
        this.deptList = deptList;
    }

    public List<LabelBO> getLabelList() {
        return labelList;
    }

    public void setLabelList(List<LabelBO> labelList) {
        this.labelList = labelList;
    }

    public List<StandardDiseaseBO> getDiseaseList() {
        return diseaseList;
    }

    public void setDiseaseList(List<StandardDiseaseBO> diseaseList) {
        this.diseaseList = diseaseList;
    }

    public String getArticleCategoryNames() {
        return articleCategoryNames;
    }

    public void setArticleCategoryNames(String articleCategoryNames) {
        this.articleCategoryNames = articleCategoryNames;
    }

    public String getDeptNames() {
        return deptNames;
    }

    public void setDeptNames(String deptNames) {
        this.deptNames = deptNames;
    }

    public String getLabelNames() {
        return labelNames;
    }

    public void setLabelNames(String labelNames) {
        this.labelNames = labelNames;
    }

    public String getDiseaseNames() {
        return diseaseNames;
    }

    public void setDiseaseNames(String diseaseNames) {
        this.diseaseNames = diseaseNames;
    }

}
