package com.xxh.cloud.healthy.basic.framework.modules.article.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto.ArticleInfoQueryDTO;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto.ArticleInfoSaveDTO;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto.ArticleInfoUpdateDTO;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto.ArticleInfoUpdateStatusDTO;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.vos.ArticleVO;

public interface ArticleBizService {

    public PageData<ArticleVO> query(ArticleInfoQueryDTO params);

    public ArticleVO save(ArticleInfoSaveDTO params);

    public ArticleVO update(ArticleInfoUpdateDTO params);

    public void updateStatus(ArticleInfoUpdateStatusDTO params);

    public ArticleVO getById(String id);

    public void delById(String id);

    // zs202311251133 根据文章id列表查询跟请求id列表顺序一致的文章列表
    public List<ArticleVO> listByIdsAndOrderByQueryIds(List<String> ids);

}
