package com.xxh.cloud.healthy.basic.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 文章分类信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_article_category_info")
public class ArticleCategoryInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 父ID
     */
     @ApiModelProperty(value = "父ID")
      private String pid;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
