package com.xxh.cloud.healthy.basic.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.BasicCacheServiceImpl;
import com.xxh.cloud.healthy.basic.framework.modules.article.bean.vos.ArticleVO;
import com.xxh.cloud.healthy.basic.framework.modules.base.service.ArticleInfoService;
import com.xxh.cloud.healthy.basic.framework.modules.cache.helper.ArticleCacheKeysHelper;
import com.xxh.cloud.healthy.basic.framework.modules.cache.service.ArticleCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

@Service
public class ArticleCacheServiceImpl extends BasicCacheServiceImpl<ArticleVO>  implements ArticleCacheService {

    @Autowired
    private ArticleInfoService articleInfoService;

    @Override
    public String getCacheKey(String id) {
        return ArticleCacheKeysHelper.getArticleKey(id);
    }

    @Override
    public String getCacheKeyPattern() {
        return ArticleCacheKeysHelper.getArticleMainKey();
    }

    @Override
    public Class<ArticleVO> getJsonClazz() {
        return ArticleVO.class;
    }

    @Override
    public String getId(ArticleVO entity) {
        return entity.getId();
    }

    @Override
    public ArticleVO getById2DB(String id) {
        if(StrUtil.isEmpty(id)){
            return null;
        }

        return null;
    }

    @Override
    public List<ArticleVO> getListByIds2DB(Collection<String> ids) {
        if(CollUtil.isEmpty(ids)){
            return null;
        }
        return null;
    }
}
