package com.xxh.cloud.healthy.basic.client.api;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.healthy.basic.client.api.bean.dto.EntityDiseaseConfigListClientDTO;
import com.xxh.cloud.healthy.basic.client.api.bean.dto.EntityDiseaseConfigSaveClientDTO;

public interface EntityDiseaseConfigClientService {

    public List<String> getDiseaseByEntityId(String entityId);

    public Map<String, List<String>> listDiseaseMap(EntityDiseaseConfigListClientDTO params);

    public void saveDiseaseByEntityId(EntityDiseaseConfigSaveClientDTO params);

    public void saveDisease(List<EntityDiseaseConfigSaveClientDTO> params);

}
