package com.xxh.cloud.healthy.basic.client.api.constant;

// 实体与病种关系的实体类型
public enum EntityDiseaseTypeEnum {

    LABEL("label","标签"),
    RISK("risk","风险"),
    SERVICE("service","患者服务"),
    TASK("task", "医生任务"),
    ;

    private String code;
    private String msg;
    private EntityDiseaseTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }

}
