package com.xxh.cloud.healthy.basic.common.constant;

public class ModeEnum {

    // 查询模式，主要判断传的id列表是and查询还是or查询
    public enum QueryModeEnum {

        AND("and", "and查询"),
        OR("or", "or查询"),

        ;

        private String code;
        private String msg;

        private QueryModeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    // 请求模式，不同的请求来源有不同的访问限制
    public enum RequestModeEnum {

        Doctor("doctor", "医生端限制"),

        ;

        private String code;
        private String msg;

        private RequestModeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    
}
