package com.xxh.cloud.healthy.basic.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class HealthyBasicCacheKeysHelper {


    //================== 食品

    /**
     * 食物分类主key
     * */
    public static String getFoodCategoryMainKey(){
        return "healthy:basic:foodCategory:*";
    }

    /**
     * 食物分类key
     * */
    public static String getFoodCategoryKey(String id){
        return StrUtil.format("healthy:basic:foodCategory:{}",id);
    }

    /**
     * 食物主key
     * */
    public static String getFoodMainKey(){
        return "healthy:basic:foodInfo:*";
    }
    /**
     * 食物key
     * */
    public static String getFoodKey(String id){
        return StrUtil.format("healthy:basic:foodInfo:{}",id);
    }



    //================== 运动


    /**
     * 运动分类主key
     * */
    public static String getSportCategoryMainKey(){
        return "healthy:basic:sportCategory:*";
    }

    /**
     * 运动分类key
     * */
    public static String getSportCategoryKey(String id){
        return StrUtil.format("healthy:basic:sportCategory:{}",id);
    }

    /**
     * 运动主key
     * */
    public static String getSportMainKey(){
        return "healthy:basic:sportInfo:*";
    }
    /**
     * 运动key
     * */
    public static String getSportKey(String id){
        return StrUtil.format("healthy:basic:sportInfo:{}",id);
    }



//    //========================== 知识库
//    /**
//     * 知识主key
//     * */
//    public static String getKnowledgeBaseMainKey(){
//        return "healthy:basic:Knowledge:*";
//    }
//    /**
//     * 知识key
//     * */
//    public static String getKnowledgeBaseKey(String id){
//        return StrUtil.format("healthy:basic:Knowledge:{}",id);
//    }



    //================== 风险
    /**
     * 风险主key
     * */
    public static String getRiskMainKey(){
        return "healthy:basic:risk:*";
    }

    /**
     * 风险key
     * */
    public static String getRiskKey(String id){
        return StrUtil.format("healthy:basic:risk:{}",id);
    }


    //================== 文章分类




    //================== 服务目标
    /**
     * 服务目标主key
     * */
    public static String getHealthyServiceTargetMainKey(){
        return "healthy:basic:serviceTarget:*";
    }

    /**
     * 服务目标key
     * */
    public static String getHealthyServiceTargetKey(String id){
        return StrUtil.format("healthy:basic:serviceTarget:{}",id);
    }


    //================== 服务
    /**
     * 服务主key
     * */
    public static String getHealthyServiceMainKey(){
        return "healthy:basic:service:*";
    }

    /**
     * 服务key
     * */
    public static String getHealthyServiceKey(String id){
        return StrUtil.format("healthy:basic:service:{}",id);
    }

}
