package com.xxh.cloud.healthy.basic.framework.modules.constant;

import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

/**
 * 健康平台-基础
 * 错误码（21）
 * 21XXX
 * */
public enum XXHealthyBasicErrorEnum implements IErrorCodeEnum {


    Data_Repeat(21001,"数据重复"),




    ;
    private int code;
    private String msg;

    private XXHealthyBasicErrorEnum() {
    }

    XXHealthyBasicErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
