package com.xxh.cloud.healthy.basic.framework.modules.disease.biz.service;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.healthy.basic.framework.modules.disease.biz.bean.dto.EntityDiseaseConfigListDTO;
import com.xxh.cloud.healthy.basic.framework.modules.disease.biz.bean.dto.EntityDiseaseConfigSaveDTO;

public interface EntityDiseaseConfigBizService {

    public List<String> getDiseaseByEntityId(String entityId);

    public Map<String, List<String>> listDiseaseMap(EntityDiseaseConfigListDTO params);

    public void saveDiseaseByEntityId(EntityDiseaseConfigSaveDTO params);

    public void saveDisease(List<EntityDiseaseConfigSaveDTO> params);

}
