package com.xxh.cloud.healthy.basic.framework.modules.food.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto.*;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.vos.FoodVO;

import java.util.List;

public interface FoodBizService {


    public PageData<FoodVO> query(FoodInfoQueryParam params);


    public List<FoodVO> list(FoodInfoListParam params);


    public FoodVO save(FoodInfoSaveParam params);

    public FoodVO update(FoodInfoUpdateParam params);

    public FoodVO updateState(FoodInfoUpdateStatusParam params);

    public void delById(String id);

    public FoodVO infoById(String id);

//    public FoodVO info2NullById(String id);


}
