package com.xxh.cloud.healthy.basic.framework.modules.food.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto.FoodCategoryListDTO;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto.FoodCategoryQueryDTO;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto.FoodCategorySaveDTO;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto.FoodCategoryUpdateDTO;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.vos.FoodCategoryVO;

import java.util.List;

public interface FoodCategoryBizService {




    public PageData<FoodCategoryVO> query(FoodCategoryQueryDTO params);


    public List<FoodCategoryVO> list(FoodCategoryListDTO params);

    public FoodCategoryVO save(FoodCategorySaveDTO params);

    public FoodCategoryVO update(FoodCategoryUpdateDTO params);

    public void delById(String id);

    public FoodCategoryVO infoById(String id);


//    @Deprecated
//    public FoodCategoryVO info2NullById(String id);


}
