package com.xxh.cloud.healthy.basic.framework.modules.food.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * 饮食分类信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_food_category_info")
public class FoodCategoryInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 排序
     */
     @ApiModelProperty(value = "排序")
      private Integer sort;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
