package com.xxh.cloud.healthy.basic.framework.modules.food.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.dos.FoodCategoryInfo;
import com.xxh.cloud.healthy.basic.framework.modules.food.entity.vos.FoodCategoryVO;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

import java.util.Map;

public class FoodCategoryHelper {

    public static FoodCategoryVO getFoodCategoryVO(FoodCategoryInfo entity){
        FoodCategoryVO data=new FoodCategoryVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }


    public static FoodCategoryVO getFoodCategoryVO(FoodCategoryInfo entity , Map<String, AdminUserBO> userMap){
        FoodCategoryVO data=FoodCategoryHelper.getFoodCategoryVO(entity);
//        if(MapUtil.isNotEmpty(diseaseMap) && StrUtil.isNotEmpty(data.getDiseaseId())){
//            DiseaseVO disease = diseaseMap.get(data.getDiseaseId());
//            if(disease!=null){
//                data.setDiseaseName(disease.getName());
//            }
//        }
        if(MapUtil.isNotEmpty(userMap)){
            if(StrUtil.isNotEmpty(data.getCreator())){
                AdminUserBO user= userMap.get(data.getCreator());
                if(user!=null){
                    data.setCreatorUserName(user.getUserName());
                    data.setCreatorRealName(user.getRealName());
                }
            }
            if(StrUtil.isNotEmpty(data.getUpdater())){
                AdminUserBO user= userMap.get(data.getUpdater());
                if(user!=null){
                    data.setUpdaterUserName(user.getUserName());
                    data.setUpdaterRealName(user.getRealName());
                }
            }
        }
        return data;
    }
}
