package com.xxh.cloud.healthy.basic.framework.modules.risk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.risk.entity.dos.RiskInfo;
import com.xxh.cloud.healthy.basic.framework.modules.risk.entity.dto.RiskQueryDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.entity.dto.RiskSaveDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.entity.dto.RiskUpdateDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.entity.vos.RiskVO;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 风险信息表 服务类
 * </p>
 */
public interface RiskInfoService extends IService<RiskInfo> {

    public PageData<RiskVO> query(RiskQueryDTO params);

    public RiskVO save(RiskSaveDTO params);

    public RiskVO update(RiskUpdateDTO params);

    public RiskVO infoById(String id);

    public RiskVO info2NullById(String id);

    public List<RiskVO> list2NullById(Collection<String> ids);

    public void delById(String id);
}
