package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dto;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class HealthyServiceContentProcessParam {

    private Map<String, List<String>> contentIdMap;


    public void addContentId(String type,String id){
        if(this.contentIdMap==null){
            this.contentIdMap=new HashMap<>();
        }
        if(StrUtil.isNotEmpty(type) && StrUtil.isNotEmpty(id)){
            List<String> ids= contentIdMap.get(type);
            if(ids==null){
                ids=new ArrayList<>();
                this.contentIdMap.put(type,ids);
            }
            ids.add(id);
        }
    }


}
