package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


@Getter
@Setter
public class HealthyServiceInfoQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "所属分组编号")
    private String serviceTargetId;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "id")
    private List<String> ids;

    @ApiModelProperty(value = "服务内容类型")
    private String contentType;


    @ApiModelProperty(value = "关联服务内容")
    private String contentId;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


}
