package com.xxh.cloud.healthy.basic.framework.modules.sport.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto.SportCategoryListDTO;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto.SportCategoryQueryDTO;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto.SportCategorySaveDTO;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto.SportCategoryUpdateDTO;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.vos.SportCategoryVO;

import java.util.List;

public interface SportCategoryBizService {



    public PageData<SportCategoryVO> query(SportCategoryQueryDTO params);

    public List<SportCategoryVO> list(SportCategoryListDTO params);

    public SportCategoryVO save(SportCategorySaveDTO params);

    public SportCategoryVO update(SportCategoryUpdateDTO params);

    public void delById(String id);

    public SportCategoryVO infoById(String id);

//    public SportCategoryVO info2NullById(String id);


}
