package com.xxh.cloud.healthy.basic.label.client.api.bean.bos;

import java.util.List;
import java.util.Map;

public class LabelBO {


    /**
     * id
     * */
    private String id;

    /**
     * 名称
     * */
    private String name;

    /**
     * 所属标签分类
     * */
    private String categoryId;

    /**
     * 状态
     * */
    private String status;

    /**
     * 病种ID
     */
    private List<String> diseaseIds;

    // 统计维度分类
    private String statDimensionType;

    // 病种
    private List<Map<String,String>> diseaseList;


    // 业务分类
    private String bizType;

    // 备注
    private String remark;

    // 备注
    private LabelCategoryBO labelCategoryInfo;

    // 二级业务分类
    private String bizTwoType;

    // 三级业务分类
    private String bizThreeType;

    // 自动会诊提醒标记(YN)
    private String consultationRemindStatus;

    // 会诊部门列表
    private List<String> consultationDeptIds;

    // 会诊学科名称
    private String consultationSubjectName;

    // 会诊负责人
    private String consultationManager;

    // 会诊消息
    private String consultationMessage;

    // 会诊备注
    private String consultationRemark;

    // 提醒病种负责人标记(YN)
    private String labelRemindStatus;

    // 标签病种负责人
    private String labelManager;

    /**
     * 会诊随访基准时间
     */
    private String consultationFollowUpBaseDateType;

    // 潜在患者类型
    private String potentialType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public String getStatDimensionType() {
        return statDimensionType;
    }

    public void setStatDimensionType(String statDimensionType) {
        this.statDimensionType = statDimensionType;
    }

    public List<Map<String, String>> getDiseaseList() {
        return diseaseList;
    }

    public void setDiseaseList(List<Map<String, String>> diseaseList) {
        this.diseaseList = diseaseList;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public LabelCategoryBO getLabelCategoryInfo() {
        return labelCategoryInfo;
    }

    public void setLabelCategoryInfo(LabelCategoryBO labelCategoryInfo) {
        this.labelCategoryInfo = labelCategoryInfo;
    }

    public String getBizTwoType() {
        return bizTwoType;
    }

    public void setBizTwoType(String bizTwoType) {
        this.bizTwoType = bizTwoType;
    }

    public String getBizThreeType() {
        return bizThreeType;
    }

    public void setBizThreeType(String bizThreeType) {
        this.bizThreeType = bizThreeType;
    }

    public String getConsultationRemindStatus() {
        return consultationRemindStatus;
    }

    public void setConsultationRemindStatus(String consultationRemindStatus) {
        this.consultationRemindStatus = consultationRemindStatus;
    }

    public String getConsultationSubjectName() {
        return consultationSubjectName;
    }

    public void setConsultationSubjectName(String consultationSubjectName) {
        this.consultationSubjectName = consultationSubjectName;
    }

    public String getConsultationRemark() {
        return consultationRemark;
    }

    public void setConsultationRemark(String consultationRemark) {
        this.consultationRemark = consultationRemark;
    }

    public List<String> getConsultationDeptIds() {
        return consultationDeptIds;
    }

    public void setConsultationDeptIds(List<String> consultationDeptIds) {
        this.consultationDeptIds = consultationDeptIds;
    }

    public String getConsultationFollowUpBaseDateType() {
        return consultationFollowUpBaseDateType;
    }

    public void setConsultationFollowUpBaseDateType(String consultationFollowUpBaseDateType) {
        this.consultationFollowUpBaseDateType = consultationFollowUpBaseDateType;
    }

    public String getPotentialType() {
        return potentialType;
    }

    public void setPotentialType(String potentialType) {
        this.potentialType = potentialType;
    }

    public String getConsultationManager() {
        return consultationManager;
    }

    public void setConsultationManager(String consultationManager) {
        this.consultationManager = consultationManager;
    }

    public String getConsultationMessage() {
        return consultationMessage;
    }

    public void setConsultationMessage(String consultationMessage) {
        this.consultationMessage = consultationMessage;
    }

    public String getLabelRemindStatus() {
        return labelRemindStatus;
    }

    public void setLabelRemindStatus(String labelRemindStatus) {
        this.labelRemindStatus = labelRemindStatus;
    }

    public String getLabelManager() {
        return labelManager;
    }

    public void setLabelManager(String labelManager) {
        this.labelManager = labelManager;
    }
}
