package com.xxh.cloud.healthy.basic.label.client.api.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class LabelQueryPageDTO {

    /**
     *  页码
     * */
    private Integer page;

    /**
     * 一页条数
     * */
    private Integer rows;

    /**
     * 项目编号
     * */
    private String projectCode;

    /**
     * 状态
     * */
    private String status;

    /**
     * 名称
     * */
    private String name;

    /**
     * 编号
     * */
    private String id;

    /**
     * 编号多
     * */
    private List<String> ids;

    /**
     * 统计维度分类
     */
    private String statDimensionType;

    /**
     * 统计维度分类列表
     * */
    private List<String> statDimensionTypes;

    // 业务分类
    private String bizType;

    // 业务分类列表
    private List<String> bizTypes;

    // 病种ID
    private String diseaseId;
    // 病种ID列表
    private List<String> diseaseIds;
    // 病种查询模式[or、and][ModeEnum.QueryModeEnum]
    private String diseaseQueryMode;

    // 所属标签分类
    private String categoryId;

    // 所属标签分类
    private List<String> categoryIds;

    // 二级业务分类
    private String bizTwoType;

    // 二级业务分类列表
    private List<String> bizTwoTypes;

    // 三级业务分类
    private String bizThreeType;

    // 三级业务分类列表
    private List<String> bizThreeTypes;

    // 自动会诊提醒标记(YN)
    private String consultationRemindStatus;

    // 会诊学科名称
    private String consultationSubjectName;

    // 潜在患者类型
    private String potentialType;

    // 是否潜在患者类型
    private String isPotentialType;

    // 是否患者画像
    private String isPortrait;

    // 是否管理员标签
    private String adminLabel;

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getStatDimensionType() {
        return statDimensionType;
    }

    public void setStatDimensionType(String statDimensionType) {
        this.statDimensionType = statDimensionType;
    }

    public List<String> getStatDimensionTypes() {
        return statDimensionTypes;
    }

    public void setStatDimensionTypes(List<String> statDimensionTypes) {
        this.statDimensionTypes = statDimensionTypes;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public List<String> getBizTypes() {
        return bizTypes;
    }

    public void setBizTypes(List<String> bizTypes) {
        this.bizTypes = bizTypes;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public String getDiseaseQueryMode() {
        return diseaseQueryMode;
    }

    public void setDiseaseQueryMode(String diseaseQueryMode) {
        this.diseaseQueryMode = diseaseQueryMode;
    }

    public String getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
        this.diseaseId = diseaseId;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public List<String> getCategoryIds() {
        return categoryIds;
    }

    public void setCategoryIds(List<String> categoryIds) {
        this.categoryIds = categoryIds;
    }

    public String getBizTwoType() {
        return bizTwoType;
    }

    public void setBizTwoType(String bizTwoType) {
        this.bizTwoType = bizTwoType;
    }

    public List<String> getBizTwoTypes() {
        return bizTwoTypes;
    }

    public void setBizTwoTypes(List<String> bizTwoTypes) {
        this.bizTwoTypes = bizTwoTypes;
    }

    public String getBizThreeType() {
        return bizThreeType;
    }

    public void setBizThreeType(String bizThreeType) {
        this.bizThreeType = bizThreeType;
    }

    public List<String> getBizThreeTypes() {
        return bizThreeTypes;
    }

    public void setBizThreeTypes(List<String> bizThreeTypes) {
        this.bizThreeTypes = bizThreeTypes;
    }

    public String getConsultationRemindStatus() {
        return consultationRemindStatus;
    }

    public void setConsultationRemindStatus(String consultationRemindStatus) {
        this.consultationRemindStatus = consultationRemindStatus;
    }

    public String getConsultationSubjectName() {
        return consultationSubjectName;
    }

    public void setConsultationSubjectName(String consultationSubjectName) {
        this.consultationSubjectName = consultationSubjectName;
    }

    public String getPotentialType() {
        return potentialType;
    }

    public void setPotentialType(String potentialType) {
        this.potentialType = potentialType;
    }

    public String getIsPotentialType() {
        return isPotentialType;
    }

    public void setIsPotentialType(String isPotentialType) {
        this.isPotentialType = isPotentialType;
    }

    public String getIsPortrait() {
        return isPortrait;
    }

    public void setIsPortrait(String isPortrait) {
        this.isPortrait = isPortrait;
    }

    public String getAdminLabel() {
        return adminLabel;
    }

    public void setAdminLabel(String adminLabel) {
        this.adminLabel = adminLabel;
    }
}
