package com.xxh.cloud.healthy.basic.label.client.api.bean.dto;

import java.util.List;

public class LabelSaveDTO {
    
    // id
    private String id;

    // 名称
    private String name;

    // 备注
    private String remark;

    // 所属标签分类
    private String categoryId;

    // 项目编号
    private String projectCode;

    // 顺序
    private Integer orders;

    // 业务分类
    private String bizType;

    // 二级业务分类
    private String bizTwoType;

    // 二级业务分类
    private String bizThreeType;

    // 病种ID
    private List<String> diseaseIds;

    // 统计维度分类[LabelStatDimensionTypeEnum]
    private String statDimensionType;

    // 自动会诊提醒标记(YN)
    private String consultationRemindStatus;

    // 会诊部门列表
    private List<String> consultationDeptIds;

    // 会诊学科名称
    private String consultationSubjectName;

    // 会诊备注
    private String consultationRemark;

    // 潜在患者类型
    private String potentialType;

    // 是否患者画像")
    private String isPortrait;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public Integer getOrders() {
        return orders;
    }

    public void setOrders(Integer orders) {
        this.orders = orders;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public String getStatDimensionType() {
        return statDimensionType;
    }

    public void setStatDimensionType(String statDimensionType) {
        this.statDimensionType = statDimensionType;
    }

    public String getBizTwoType() {
        return bizTwoType;
    }

    public void setBizTwoType(String bizTwoType) {
        this.bizTwoType = bizTwoType;
    }

    public String getBizThreeType() {
        return bizThreeType;
    }

    public void setBizThreeType(String bizThreeType) {
        this.bizThreeType = bizThreeType;
    }

    public String getConsultationRemindStatus() {
        return consultationRemindStatus;
    }

    public void setConsultationRemindStatus(String consultationRemindStatus) {
        this.consultationRemindStatus = consultationRemindStatus;
    }

    public String getConsultationSubjectName() {
        return consultationSubjectName;
    }

    public void setConsultationSubjectName(String consultationSubjectName) {
        this.consultationSubjectName = consultationSubjectName;
    }

    public String getConsultationRemark() {
        return consultationRemark;
    }

    public void setConsultationRemark(String consultationRemark) {
        this.consultationRemark = consultationRemark;
    }

    public List<String> getConsultationDeptIds() {
        return consultationDeptIds;
    }

    public void setConsultationDeptIds(List<String> consultationDeptIds) {
        this.consultationDeptIds = consultationDeptIds;
    }

    public String getPotentialType() {
        return potentialType;
    }

    public void setPotentialType(String potentialType) {
        this.potentialType = potentialType;
    }

    public String getIsPortrait() {
        return isPortrait;
    }

    public void setIsPortrait(String isPortrait) {
        this.isPortrait = isPortrait;
    }

}
