package com.xxh.cloud.healthy.basic.framework.modules.client.helper;

import cn.hutool.core.bean.BeanUtil;
import com.xxh.cloud.healthy.basic.framework.modules.label.bean.vos.StandardLabelCategoryVO;
import com.xxh.cloud.healthy.basic.framework.modules.label.bean.vos.StandardLabelVO;
import com.xxh.cloud.healthy.basic.label.client.api.bean.bos.LabelBO;
import com.xxh.cloud.healthy.basic.label.client.api.bean.bos.LabelCategoryBO;
import io.swagger.annotations.ApiModelProperty;

public class LabelBOConvert {

    public static LabelCategoryBO getLabelCategoryBO(StandardLabelCategoryVO entity){
        if(entity==null){
            return null;
        }
        LabelCategoryBO data=new LabelCategoryBO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static LabelBO getLabelBO(StandardLabelVO entity){
        if(entity==null){
            return null;
        }
        LabelBO data=new LabelBO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        data.setCategoryId(entity.getCategoryId());
        data.setStatus(entity.getStatus());
        data.setDiseaseIds(entity.getDiseaseIds());
        data.setDiseaseList(entity.getDiseaseList());
        data.setStatDimensionType(entity.getStatDimensionType());
        data.setBizType(entity.getBizType());
        data.setBizTwoType(entity.getBizTwoType());
        data.setBizThreeType(entity.getBizThreeType());

        data.setConsultationRemindStatus(entity.getConsultationRemindStatus());
        data.setConsultationDeptIds(entity.getConsultationDeptIds());
        data.setConsultationRemark(entity.getConsultationRemark());
        data.setConsultationSubjectName(entity.getConsultationSubjectName());

        data.setConsultationManager(entity.getConsultationManager());
        data.setConsultationMessage(entity.getConsultationMessage());

        data.setLabelRemindStatus(entity.getLabelRemindStatus());
        data.setLabelManager(entity.getLabelManager());

        data.setPotentialType(entity.getPotentialType());
        data.setRemark(entity.getRemark());
        return data;
    }


}
