package com.xxh.cloud.healthy.basic.framework.modules.label.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.label.bean.dto.*;
import com.xxh.cloud.healthy.basic.framework.modules.label.bean.vos.StandardLabelVO;

import java.util.List;

public interface StandardLabelBizService {


    public PageData<StandardLabelVO> query(StandardLabelInfoQueryParam params);

    public List<StandardLabelVO> list(StandardLabelInfoListParam params);

    public StandardLabelVO save(StandardLabelInfoSaveParam params);

    public StandardLabelVO update(StandardLabelInfoUpdateParam params);

    public StandardLabelVO updateStatus(StandardLabelInfoUpdateStatusParam params);

    public void delById(String id);

    public StandardLabelVO infoById(String id);

    // zs20231031 
    public List<StandardLabelVO> saveBatch(List<StandardLabelInfoSaveParam> params);

}
