package com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos;

import java.util.Date;
import java.util.List;

public class PushServeConfigBO {

    private String id;

    private String name;

    private String mediaId;

    private String mediaName;

    private String mediaType;

    private String title;

    private String type;

    private String remark;

    private String pushWay;

    private ServPushConfigBO pushConfig;

    private String benchmarkDate;

    private String earlyDelayType;

    private Integer earlyDelayNum;

    private String remindDayTime;

    private String loopModel;

    private Integer loopInterval;

    private Integer loopMaxNum;

    private String status;

    private String creator;

    private Date createDate;

    private String updater;

    private Date updateDate;

    private String creatorName;

    private String updaterName;

    private String mediaImg;

    private String mediaTitle;

    private String mediaRemark;

    private String remindWay;

    private String snapshotKey;

    // 病种ID
    private List<String> diseaseIds;

    // 推送目标[PushServeTargetEnum]
    private String pushTarget;

    // 基准日期类型分类
    private String benchmarkDateType;

    // 扩展1
    private String extend1;

    // 扩展2
    private String extend2;

    // 扩展3
    private String extend3;

    // 测试标记，用于生成验证数据(YN)
    // 扩展4
    private String extend4;

    // 扩展5
    private String extend5;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getMediaName() {
        return mediaName;
    }

    public void setMediaName(String mediaName) {
        this.mediaName = mediaName;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPushWay() {
        return pushWay;
    }

    public void setPushWay(String pushWay) {
        this.pushWay = pushWay;
    }

    public ServPushConfigBO getPushConfig() {
        return pushConfig;
    }

    public void setPushConfig(ServPushConfigBO pushConfig) {
        this.pushConfig = pushConfig;
    }

    public String getBenchmarkDate() {
        return benchmarkDate;
    }

    public void setBenchmarkDate(String benchmarkDate) {
        this.benchmarkDate = benchmarkDate;
    }

    public String getEarlyDelayType() {
        return earlyDelayType;
    }

    public void setEarlyDelayType(String earlyDelayType) {
        this.earlyDelayType = earlyDelayType;
    }

    public Integer getEarlyDelayNum() {
        return earlyDelayNum;
    }

    public void setEarlyDelayNum(Integer earlyDelayNum) {
        this.earlyDelayNum = earlyDelayNum;
    }

    public String getRemindDayTime() {
        return remindDayTime;
    }

    public void setRemindDayTime(String remindDayTime) {
        this.remindDayTime = remindDayTime;
    }

    public String getLoopModel() {
        return loopModel;
    }

    public void setLoopModel(String loopModel) {
        this.loopModel = loopModel;
    }

    public Integer getLoopInterval() {
        return loopInterval;
    }

    public void setLoopInterval(Integer loopInterval) {
        this.loopInterval = loopInterval;
    }

    public Integer getLoopMaxNum() {
        return loopMaxNum;
    }

    public void setLoopMaxNum(Integer loopMaxNum) {
        this.loopMaxNum = loopMaxNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }

    public String getMediaImg() {
        return mediaImg;
    }

    public void setMediaImg(String mediaImg) {
        this.mediaImg = mediaImg;
    }

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public String getMediaRemark() {
        return mediaRemark;
    }

    public void setMediaRemark(String mediaRemark) {
        this.mediaRemark = mediaRemark;
    }

    public String getRemindWay() {
        return remindWay;
    }

    public void setRemindWay(String remindWay) {
        this.remindWay = remindWay;
    }

    public String getSnapshotKey() {
        return snapshotKey;
    }

    public void setSnapshotKey(String snapshotKey) {
        this.snapshotKey = snapshotKey;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public String getPushTarget() {
        return pushTarget;
    }

    public void setPushTarget(String pushTarget) {
        this.pushTarget = pushTarget;
    }

    public String getBenchmarkDateType() {
        return benchmarkDateType;
    }

    public void setBenchmarkDateType(String benchmarkDateType) {
        this.benchmarkDateType = benchmarkDateType;
    }

    public String getExtend1() {
        return extend1;
    }

    public void setExtend1(String extend1) {
        this.extend1 = extend1;
    }

    public String getExtend2() {
        return extend2;
    }

    public void setExtend2(String extend2) {
        this.extend2 = extend2;
    }

    public String getExtend3() {
        return extend3;
    }

    public void setExtend3(String extend3) {
        this.extend3 = extend3;
    }

    public String getExtend4() {
        return extend4;
    }

    public void setExtend4(String extend4) {
        this.extend4 = extend4;
    }

    public String getExtend5() {
        return extend5;
    }

    public void setExtend5(String extend5) {
        this.extend5 = extend5;
    }

}
