package com.xxh.cloud.healthy.basic.framework.modules.pushServe.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class PushServeConfigQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "id")
    private List<String> ids;

    @ApiModelProperty(value = "服务名称")
    private String name;


    @ApiModelProperty(value = "媒体编号[外链]")
    private String mediaId;


    @ApiModelProperty(value = "媒体名称")
    private String mediaName;


    @ApiModelProperty(value = "媒体类型(文章 量表)")
    private String mediaType;


    @ApiModelProperty(value = "运营标题")
    private String title;


    @ApiModelProperty(value = "服务分类")
    private String type;

    @ApiModelProperty(value = "推送方式")
    private String pushWay;

    @ApiModelProperty(value = "是否循环")
    private String loopModel;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "提醒方式")
    private String remindWay;



    
    @ApiModelProperty(value = "扩展1")
    private String extend1;

    @ApiModelProperty(value = "扩展2")
    private String extend2;

    @ApiModelProperty(value = "扩展3")
    private String extend3;

    // 测试标记，用于生成验证数据(YN)
    @ApiModelProperty(value = "扩展4")
    private String extend4;

    @ApiModelProperty(value = "扩展5")
    private String extend5;
}
