package com.xxh.cloud.healthy.basic.pushtask.client.api.constant;

public class PushTaskConstant {
    
    /**
     * 医生任务操作类型
     */
    public enum OpType {

        Manage("manage", "个案管理"),

        MDT("mdt", "mdt会诊"),
        ApplyMDT("apply_mdt", "申请发起会诊"),
        JoinMDT("join_mdt", "参加会诊"),

        FollowUp("follow_up", "随访"),

        Follow("follow", "关注"),

        Found("found", "发现患者"),
        ;

        private String code;
        private String msg;
        private OpType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }
}
