package com.xxh.cloud.healthy.basic.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 推送任务动作配置表
 * </p>
 */
@Data
@TableName("h_push_task_action_config_info")
public class PushTaskActionConfigInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 推送任务ID
     */
     @ApiModelProperty(value = "推送任务ID")
      private String pushTaskId;

    /**
     * 动作名称
     */
     @ApiModelProperty(value = "动作名称")
      private String name;

    /**
     * 动作类型
     */
     @ApiModelProperty(value = "动作类型")
      private String type;

    /**
     * 动作数据
     */
     @ApiModelProperty(value = "动作数据")
      private String dataConfig;


}
