package com.xxh.cloud.healthy.basic.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 推送任务自定义类型表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_push_task_custom_type_info")
public class PushTaskCustomTypeInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;



    /**
     * 自定义类型
     */
    @ApiModelProperty(value = "自定义类型")
    private String type;

    /**
     * 自定义类型名称
     */
    @ApiModelProperty(value = "自定义类型名称")
    private String name;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
    @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
    private String rowsStatus;

}
