package com.xxh.cloud.healthy.basic.framework.modules.pushTask.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class PushTaskConfigListDTO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "id")
    private List<String> ids;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务类型")
    private String type;

    @ApiModelProperty(value = "任务紧急等级")
    private String urgentLevel;

    @ApiModelProperty(value = "任务是否提醒")
    private String isTaskPush;

    @ApiModelProperty(value = "是否限制执行时间")
    private String isLimitExeDate;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "操作分类")
    private String opType;

    @ApiModelProperty(value = "个案管理的目标id")
    private String targetId;

    @ApiModelProperty(value = "个案管理类型，字典定义")
    private String manageType;

    @ApiModelProperty(value = "任务自定义类型")
    private String customType;

}
