package com.xxh.cloud.healthy.basic.framework.modules.pushTask.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushTaskCustomTypeSaveDTO {

    /**
     * 自定义类型
     */
    @ApiModelProperty(value = "自定义类型", required = true)
    @NotEmpty(message = "自定义类型[type]不能为空")
    private String type;

    /**
     * 自定义类型名称
     */
    @ApiModelProperty(value = "自定义类型名称", required = true)
    @NotEmpty(message = "自定义类型名称[name]不能为空")
    private String name;

}
