package com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RiskConfigUpdateDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "病种ID列表")
    private List<String> diseaseIds;

    @ApiModelProperty(value = "系统ID")
    private String sysId;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "等级")
    private String level;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "关联分类[ObjectTypeEnum]")
    private String relType;

    @ApiModelProperty(value = "关联ID")
    private String relId;

}
