package com.xxh.cloud.healthy.basic.framework.modules.risk.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto.RiskConfigAddDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto.RiskConfigDelDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto.RiskConfigGetDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto.RiskConfigQueryDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.dto.RiskConfigUpdateDTO;
import com.xxh.cloud.healthy.basic.framework.modules.risk.bean.vos.RiskConfigVO;

public interface RiskConfigBizService {

    PageData<RiskConfigVO> page(RiskConfigQueryDTO params);

    List<RiskConfigVO> list(RiskConfigQueryDTO params);

    RiskConfigVO info(RiskConfigGetDTO params);

    RiskConfigVO add(RiskConfigAddDTO params);

    RiskConfigVO edit(RiskConfigUpdateDTO params);

    void remove(RiskConfigDelDTO params);
}
