package com.xxh.cloud.common.mq.constant;

public enum MQCleanTableKeyEnum {


    Patient_Info("dwd_patient_info","患者基本信息表"),

    Register("dwd_register_record_info","挂号信息表"),
    Visit("dwd_visit_record_info","就诊信息"),
    In_Reserve("dwd_inpatient_reserve_info","住院预约信息表"),
    Inpatient("dwd_inpatient_record_info","住院信息表"),
    Discharge("dwd_discharge_record_info","出院信息表"),

    OutContent("dwd_discharge_content_info","出院小结内容信息表"),


    ExamineApply("dwd_examine_apply_info","检查申请单信息表"),
    ExamineReserve("dwd_examine_reserve_info","检查预约单信息表"),
    ExamineReport("dwd_examine_report_info","检查报告单信息表"),

    LaboratoryApply("dwd_laboratory_apply_info","检验申请单信息表"),
    LaboratoryApply_Item("dwd_laboratory_apply_project_info","检验申请单项目信息表"),


    LaboratoryReport("dwd_laboratory_report_info","检验报告单信息表"),
    LaboratoryReport_Item("dwd_laboratory_report_item_info","检验报告单明细信息表"),

    Medicine("dwd_recipe_medicine_info","医嘱用药"),
    MedicineItem("dwd_recipe_medicine_item_info","医嘱用药明细"),

    Therapy("dwd_recipe_therapy_info","治疗信息"),
    TherapyItem("dwd_recipe_therapy_item_info","治疗明细信息"),

    OpApply("dwd_operation_apply_info","手术申请信息"),
    OpApplyItem("dwd_operation_apply_item_info","手术申请明细信息"),

    Operation("dwd_operation_record_info","手术记录信息"),
    OperationItem("dwd_operation_record_item_info","手术记录明细信息"),
    ExaminationPatient("dwd_examination_patient_info","体检患者信息"),

//    ActivityExamineReport("dwd_act_examine_report_info","活动检查报告单信息表"),

    OperationContent("dwd_operation_content_info","手术内容信息"),
    MedicalRecordContent("dwd_patient_medical_record_content_info","电子病例内容信息"),




    ;
    private String code;
    private String name;

    private MQCleanTableKeyEnum() {
    }

    MQCleanTableKeyEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
