package com.xxh.cloud.common.mq.constant;

public enum PatientEventEnum {

    PE_E1000("E1000","挂号"),
    PE_E1010("E1010","出检验报告"),
    PE_E1020("E1020","出检查报告"),
    PE_E1030("E1030","出体检报告"),
    PE_E1040("E1040","预约住院"),
    PE_E1050("E1050","申请检验(实验室检查）"),
    PE_E1060("E1060","申请检查"),
    PE_E1070("E1070","出院"),
    PE_E1080("E1080","登记入院"),
    PE_E1090("E1090","申请手术"),
    PE_E1100("E1100","开药物（医生给患者开药）"),
    PE_E1110("E1110","执行手术"),
    ;

    private String code;
    private String name;

    private PatientEventEnum() {
    }

    PatientEventEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }



}
