package com.xxh.cloud.healthy.crm.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 病种阶段配置表
 * </p>
 *
 * @author anros
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("crm_disease_phase_config_info")
public class DiseasePhaseConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 顺序
     */
     @ApiModelProperty(value = "顺序")
      private Integer orders;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 是否默认
     */
     @ApiModelProperty(value = "是否默认")
      private String isDef;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String state;

    /**
     * 数据状态
     */
     @ApiModelProperty(value = "数据状态")
      private String rowsState;



}
