package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.bos;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class PatientDoctorRelationPhaseBO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "顺序")
    private Integer orders;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否默认")
    private String isDef;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "是否当前阶段【YN】")
    private String currentFlag;


    @ApiModelProperty(value = "关系所属目标列表")
    private List<RelationTargetBO> relationTargetList;


    @ApiModelProperty(value = "阶段所属目标列表")
    private List<PhaseTargetBO> phaseTargetList;


    public void addRelationTarget(RelationTargetBO item){
        if(this.relationTargetList==null){
            this.relationTargetList=new ArrayList<>();
        }
        if(item!=null){
            this.relationTargetList.add(item);
        }
    }

    public void addPhaseTarget(PhaseTargetBO item){
        if(this.phaseTargetList==null){
            this.phaseTargetList=new ArrayList<>();
        }
        if(item!=null){
            this.phaseTargetList.add(item);
        }
    }



}
