package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.config;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Set;

@Getter
@Setter
public class DiseasePhaseConfigListDTO {

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "病种ID")
    private List<String> diseaseIds;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "是否默认")
    private String isDef;


    @ApiModelProperty(value = "状态[DiseasePhaseConfigStateEnum]")
    private String state;


    @ApiModelProperty(value = "不包含阶段ID")
    private Set<String> notInIds;

    @ApiModelProperty(value = "包含阶段ID")
    private Set<String> inIds;


}
