package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.record;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Getter
@Setter
public class PatientServiceRecordEditDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "记录业务分类")
    private String bizType;

    @ApiModelProperty(value = "记录内容")
    private String content;

    @ApiModelProperty(value = "记录时间")
    private Date addDt;
}
