package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class PatientDoctorRelationUpdatePhaseDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "所属阶段ID",required = true)
    @NotEmpty(message = "所属阶段不能为空")
    private String phaseId;

    @ApiModelProperty(value = "关系类型")
    private String relType;

    @ApiModelProperty(value = "备注")
    private String remark;

    private String opUserId;

}
