package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.Set;

@Getter
@Setter
public class PatientDoctorRelationUpdateTargetDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "所属目标ID",required = true)
    @NotNull(message = "所属目标不能为空")
    private Set<String> phaseTargetIds;

    @ApiModelProperty(value = "任务截至时间")
    private Date limitDt;

    @ApiModelProperty(value = "是否加入随访计划 Y/N (只对随访目标有效)")
    private String addFollowUp;

    private String opUserId;



}
