package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.bos.PatientDoctorRelationPhaseBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.DataDwsPatientDataLastDateBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class PatientDoctorRelationVO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者ID")
    private String patientId;


    @ApiModelProperty(value = "医生ID")
    private String doctorId;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "备注")
    private String addRemark;


    @ApiModelProperty(value = "新增方式")
    private String addWay;


    @ApiModelProperty(value = "新增人ID")
    private String addUserId;


    @ApiModelProperty(value = "所属阶段ID")
    private String phaseId;

    @ApiModelProperty(value = "关系类型")
    private String relType;

    @ApiModelProperty(value = "来源分类")
    private String sourceType;


    @ApiModelProperty(value = "来源关联对象ID")
    private String sourceObjId;


    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    @ApiModelProperty("批次编号")
    private Integer batchNo;

    //===============================

    @ApiModelProperty(value = "患者名称")
    private String patientName;

    @ApiModelProperty(value = "患者性别")
    private String patientGender;

    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

    @ApiModelProperty(value = "电话号码")
    private String phone;

    @ApiModelProperty(value = "备用电话号码")
    private String sparePhone;

    @ApiModelProperty(value = "患者最新数据")
    private DataDwsPatientDataLastDateBO patientDataLast;

    @ApiModelProperty(value = "是否关注")
    private String followStatus;

    @ApiModelProperty(value = "所属阶段名称")
    private String phaseName;

    @ApiModelProperty(value = "病种名称")
    private String diseaseName;

    @ApiModelProperty(value = "医生名称")
    private String doctorName;

    @ApiModelProperty(value = "新增人名称")
    private String addUserName;

    @ApiModelProperty("创建者-姓名")
    private String creatorName;

    @ApiModelProperty("更新者-姓名")
    private String updaterName;


}
