package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class PatientServiceRecordVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者ID")
    private String patientId;


    @ApiModelProperty(value = "医生ID")
    private String doctorId;


    @ApiModelProperty(value = "服务关系ID")
    private String relationId;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "阶段ID")
    private String phaseId;


    @ApiModelProperty(value = "记录业务分类")
    private String bizType;


    @ApiModelProperty(value = "记录内容")
    private String content;


    @ApiModelProperty(value = "记录时间")
    private Date addDt;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    //========================================

    @ApiModelProperty(value = "患者名称")
    private String patientName;

    @ApiModelProperty(value = "医生名称")
    private String doctorName;

    @ApiModelProperty(value = "阶段名称")
    private String phaseName;

    @ApiModelProperty(value = "病种名称")
    private String diseaseName;

    @ApiModelProperty("创建者-姓名")
    private String creatorName;

    @ApiModelProperty("更新者-姓名")
    private String updaterName;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

}
