package com.xxh.cloud.healthy.crm.framework.modules.biz.service;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.config.DwdPatientChangeQueryDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.config.DwdPatientComeQueryDTO;

public interface DwdPatientComeDataBizService {

    // 患者挂号信息
    Integer registerCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> registerDataList(DwdPatientComeQueryDTO params);
    

    // 患者就诊信息
    Integer visitCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> visitDataList(DwdPatientComeQueryDTO params);
    

    // 患者住院信息
    Integer inHospitalCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> inHospitalDataList(DwdPatientComeQueryDTO params);

    // 住院更改数据 change_type = ZKZCKS
    Integer inpatientChangeCount(DwdPatientChangeQueryDTO params);

    List<Map<String, Object>> inpatientChangeDataList(DwdPatientChangeQueryDTO params);

    // 患者出院信息
    Integer outHospitalCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> outHospitalDataList(DwdPatientComeQueryDTO params);
    

    // 患者手术信息
    Integer operationCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> operationDataList(DwdPatientComeQueryDTO params);
    

    // 患者检查信息
    Integer examineCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> examineDataList(DwdPatientComeQueryDTO params);
    

    // 患者检验信息
    Integer laboratoryCount(DwdPatientComeQueryDTO params);
    
    List<Map<String, Object>> laboratoryDataList(DwdPatientComeQueryDTO params);
    

}
