package com.xxh.cloud.healthy.crm.framework.modules.biz.service;

import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel.*;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos.PatientDoctorRelationVO;

public interface PatientDoctorRelationBizService {



    /**
     * 关注
     * */
    public PatientDoctorRelationVO add(PatientDoctorRelationAddDTO params);


    /**
     * 更改阶段
     * */
    public PatientDoctorRelationVO updatePhase(PatientDoctorRelationUpdatePhaseDTO params);

    /**
     * 更改目标
     * */
    public PatientDoctorRelationVO updateTarget(PatientDoctorRelationUpdateTargetDTO params);

    /**
     * 放弃患者
     * */
    public PatientDoctorRelationVO abandonPatient(PatientDoctorRelationAbandonDTO params);

    /**
     * 移交患者
     * */
    public PatientDoctorRelationVO transferPatient(PatientDoctorRelationTransferDTO params);


    /**
     * 完成患者
     * */
    public PatientDoctorRelationVO completePatient(PatientDoctorRelationAbandonDTO params);



}
