package com.xxh.cloud.healthy.crm.framework.modules.cache.service;

import com.xxh.cloud.healthy.crm.framework.modules.base.entity.DiseasePhaseConfigInfo;
import com.xxh.cloud.healthy.crm.framework.modules.base.entity.DiseasePhaseTargetConfigInfo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface DiseasePhaseConfigCacheService {

    public DiseasePhaseConfigInfo getPhaseConfigById(String id);

    public DiseasePhaseConfigInfo getPhaseConfigById2DB(String id);

    public List<DiseasePhaseConfigInfo> getPhaseConfigList(Collection<String> ids);

    public List<DiseasePhaseConfigInfo> getPhaseConfigList2DB(Collection<String> ids);

    public Map<String,DiseasePhaseConfigInfo> getPhaseConfigMap(Collection<String> ids);

    public Map<String,DiseasePhaseConfigInfo> getPhaseConfigMap2DB(Collection<String> ids);

    public List<DiseasePhaseConfigInfo> getPhaseConfigListByDiseaseId(String diseaseId);

    public Map<String,DiseasePhaseConfigInfo> getPhaseConfigMapByDiseaseId(String diseaseId);



    public void removePhaseConfig(String id);

    public void removePhaseConfig(Collection<String> ids);

    public void removePhaseConfigAll();



}
