package com.xxh.cloud.healthy.crm.framework.modules.cache.service;

import com.xxh.cloud.healthy.crm.framework.modules.base.entity.DiseasePhaseConfigInfo;
import com.xxh.cloud.healthy.crm.framework.modules.base.entity.DiseasePhaseTargetConfigInfo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface DiseasePhaseTargetConfigCacheService {

    public DiseasePhaseTargetConfigInfo getTargetConfigById(String id);


    public List<DiseasePhaseTargetConfigInfo> getTargetConfigList(Collection<String> ids);

    public Map<String,DiseasePhaseTargetConfigInfo> getTargetConfigMap(Collection<String> ids);


    public DiseasePhaseTargetConfigInfo getTargetConfigById2DB(String id);

    public List<DiseasePhaseTargetConfigInfo> getTargetConfigList2DB(Collection<String> ids);

    public Map<String,DiseasePhaseTargetConfigInfo> getTargetConfigMap2DB(Collection<String> ids);


    public List<DiseasePhaseTargetConfigInfo> getTargetConfigListByDiseaseId2DB(String diseaseId);

    public Map<String,DiseasePhaseTargetConfigInfo> getTargetConfigMapByDiseaseId2DB(String diseaseId);

    public void removeTargetConfig(String id);

    public void removeTargetConfig(Collection<String> ids);

    public void removeTargetConfigAll();


}
