package com.xxh.cloud.healthy.crm.framework.modules.constant;

public enum DiseaseTargetPhaseTypeEnum {

    DTPT_visit("visit", "就诊"),
    DPCS_In_Hospital("in_hospital","住院"),
    DPCS_Multi_Treatment("multi_treatment","会诊"),
    DPCS_Follow_Up("follow_up","随访") ,
    DPCS_Change_Dept("change_dept","转科室") ,

    DPCS_Cust_Condition("cust_condition","自定义条件") ,

    ;
    private String code;
    private String msg;
    private DiseaseTargetPhaseTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }
    public String getMsg() {
        return msg;
    }
    public void setMsg(String msg) {
        this.msg = msg;
    }


}
