package com.xxh.cloud.healthy.crm.framework.modules.constant;


/**
 *  关系状态
 * */
public enum PatientDoctorRelationStateEnum {

    PDRS_Normal("normal", "正常"),

    PDRS_Abandon("abandon", "放弃"),

    PDRS_Transfer("transfer", "移交"),

    PDRS_Target_Complete("target_complete", "阶段目标完成"),

    PDRS_Relation_Complete("relation_complete", "阶段完成"),

    PDRS_Relation_Expire("relation_expire", "过期"),
    ;
    private String code;
    private String msg;
    private PatientDoctorRelationStateEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }
    public String getMsg() {
        return msg;
    }
    public void setMsg(String msg) {
        this.msg = msg;
    }
}
