package com.xxh.cloud.healthy.service.com.manager.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.healthy.data.framework.modules.base.service.StandardExamLabItemService;
import com.xxh.cloud.healthy.data.framework.modules.biz.service.ViewUndrugztinfoBizService;
import com.xxh.cloud.healthy.data.framework.modules.third.ViewUndrugztinfoApiHelper;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 同步组套信息
 */
@SaIgnore
@RestController
@RequestMapping("/sys/view/undrugztinfo")
@Api(tags = "同步组套信息")
public class ViewUndrugztinfoController {

    @Autowired
    private ViewUndrugztinfoBizService viewUndrugztinfoBizService;

    @PostMapping("/syncAll")
    public Result<Void> list(@RequestBody Map<String, String> params) {
        viewUndrugztinfoBizService.sync(params.get("startTime"), params.get("endTime"));
        return new Result<Void>().success();
    }

}
