package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

// 住院预约信息表
public class PatientInpatientReserveClientBO {

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * id
     */
    private String id;

    /**
     * 就诊记录号
     */
    private String visitId;

    /**
     * 关联住院号
     */
    private String inPatientNo;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 医院编号
     */
    private String companyCode;

    /**
     * 医院名称
     */
    private String companyName;

    /**
     * 申请科室名称(原始)
     */
    private String applyDepartmentNameRaw;

    /**
     * 申请科室名称(标准)
     */
    private String applyDepartmentNameStandard;

    /**
     * 申请科室编码(原始)
     */
    private String applyDepartmentCodeRaw;

    /**
     * 申请科室编码(标准)
     */
    private String applyDepartmentCodeStandard;

    /**
     * 入住科室名称(原始)
     */
    private String admitDepartmentNameRaw;

    /**
     * 入住科室名称(标准)
     */
    private String admitDepartmentNameStandard;

    /**
     * 入住科室编码(原始)
     */
    private String admitDepartmentCodeRaw;

    /**
     * 入住科室编码(标准)
     */
    private String admitDepartmentCodeStandard;

    /**
     * 申请时间
     */
    private Date applyDate;

    /**
     * 预约时间
     */
    private Date bookDate;

    /**
     * 申请医生编号
     */
    private String doctorCode;

    /**
     * 申请医生姓名
     */
    private String doctorName;

    /**
     * 入院诊断内容(原始)
     */
    private String diagnosisRaw;

    /**
     * 入院诊断内容(标准)
     */
    private String diagnosisStandard;

    /**
     * 入院诊断编码(标准)
     */
    private String diagnosisCodeStandard;

    /**
     * 状态(原始)
     */
    private String statusRaw;

    /**
     * 状态(标准)
     */
    private String statusStandard;

    /**
     * 数据更新时间(原始)
     */
    private Date dataUpdateDate;

    /**
     * 操作人
     */
    private String opDataUser;

    /**
     * 数据操作时间
     */
    private Date opDate;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getInPatientNo() {
        return inPatientNo;
    }

    public void setInPatientNo(String inPatientNo) {
        this.inPatientNo = inPatientNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getApplyDepartmentNameRaw() {
        return applyDepartmentNameRaw;
    }

    public void setApplyDepartmentNameRaw(String applyDepartmentNameRaw) {
        this.applyDepartmentNameRaw = applyDepartmentNameRaw;
    }

    public String getApplyDepartmentNameStandard() {
        return applyDepartmentNameStandard;
    }

    public void setApplyDepartmentNameStandard(String applyDepartmentNameStandard) {
        this.applyDepartmentNameStandard = applyDepartmentNameStandard;
    }

    public String getApplyDepartmentCodeRaw() {
        return applyDepartmentCodeRaw;
    }

    public void setApplyDepartmentCodeRaw(String applyDepartmentCodeRaw) {
        this.applyDepartmentCodeRaw = applyDepartmentCodeRaw;
    }

    public String getApplyDepartmentCodeStandard() {
        return applyDepartmentCodeStandard;
    }

    public void setApplyDepartmentCodeStandard(String applyDepartmentCodeStandard) {
        this.applyDepartmentCodeStandard = applyDepartmentCodeStandard;
    }

    public String getAdmitDepartmentNameRaw() {
        return admitDepartmentNameRaw;
    }

    public void setAdmitDepartmentNameRaw(String admitDepartmentNameRaw) {
        this.admitDepartmentNameRaw = admitDepartmentNameRaw;
    }

    public String getAdmitDepartmentNameStandard() {
        return admitDepartmentNameStandard;
    }

    public void setAdmitDepartmentNameStandard(String admitDepartmentNameStandard) {
        this.admitDepartmentNameStandard = admitDepartmentNameStandard;
    }

    public String getAdmitDepartmentCodeRaw() {
        return admitDepartmentCodeRaw;
    }

    public void setAdmitDepartmentCodeRaw(String admitDepartmentCodeRaw) {
        this.admitDepartmentCodeRaw = admitDepartmentCodeRaw;
    }

    public String getAdmitDepartmentCodeStandard() {
        return admitDepartmentCodeStandard;
    }

    public void setAdmitDepartmentCodeStandard(String admitDepartmentCodeStandard) {
        this.admitDepartmentCodeStandard = admitDepartmentCodeStandard;
    }

    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public Date getBookDate() {
        return bookDate;
    }

    public void setBookDate(Date bookDate) {
        this.bookDate = bookDate;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDiagnosisRaw() {
        return diagnosisRaw;
    }

    public void setDiagnosisRaw(String diagnosisRaw) {
        this.diagnosisRaw = diagnosisRaw;
    }

    public String getDiagnosisStandard() {
        return diagnosisStandard;
    }

    public void setDiagnosisStandard(String diagnosisStandard) {
        this.diagnosisStandard = diagnosisStandard;
    }

    public String getDiagnosisCodeStandard() {
        return diagnosisCodeStandard;
    }

    public void setDiagnosisCodeStandard(String diagnosisCodeStandard) {
        this.diagnosisCodeStandard = diagnosisCodeStandard;
    }

    public String getStatusRaw() {
        return statusRaw;
    }

    public void setStatusRaw(String statusRaw) {
        this.statusRaw = statusRaw;
    }

    public String getStatusStandard() {
        return statusStandard;
    }

    public void setStatusStandard(String statusStandard) {
        this.statusStandard = statusStandard;
    }

    public Date getDataUpdateDate() {
        return dataUpdateDate;
    }

    public void setDataUpdateDate(Date dataUpdateDate) {
        this.dataUpdateDate = dataUpdateDate;
    }

    public String getOpDataUser() {
        return opDataUser;
    }

    public void setOpDataUser(String opDataUser) {
        this.opDataUser = opDataUser;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

}
