package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

// 就诊信息表
public class PatientVisitRecordClientBO {

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 就诊记录号
     */
    private String id;

    /**
     * 挂号ID
     */
    private String registerId;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 卡号类型(原始)
     */
    private String cardTypeRaw;

    /**
     * 卡号类型(标准)
     */
    private String cardTypeStandard;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 患者性别(原始)
     */
    private String patientGenderRaw;

    /**
     * 患者性别(标准)
     */
    private String patientGenderStandard;

    /**
     * 患者年龄
     */
    private String patientAge;

    /**
     * 医院名称
     */
    private String companyName;

    /**
     * 医院编号
     */
    private String companyCode;

    /**
     * 科室名称(原始)
     */
    private String departmentNameRaw;

    /**
     * 科室名称(标准)
     */
    private String departmentNameStandard;

    /**
     * 科室编码(原始)
     */
    private String departmentCodeRaw;

    /**
     * 标准科室编码
     */
    private String departmentCodeStandard;

    /**
     * 医生编号
     */
    private String doctorCode;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 就诊时间
     */
    private Date visitDate;

    /**
     * 就诊类型(原始)
     */
    private String visitTypeRaw;

    /**
     * 就诊类型(标准)
     */
    private String visitTypeStandard;

    /**
     * 就诊方式(原始)
     */
    private String visitWayRaw;

    /**
     * 就诊方式(标准)
     */
    private String visitWayStandard;

    /**
     * 场景分类(原始)
     */
    private String sceneTypeRaw;

    /**
     * 场景分类(标准)
     */
    private String sceneTypeStandard;

    /**
     * 状态编号(原始)
     */
    private String statusRaw;

    /**
     * 状态编号(标准)
     */
    private String statusStandard;

    /**
     * 状态名称(原始)
     */
    private String statusNameRaw;

    /**
     * 数据更新时间(原始)
     */
    private Date dataUpdateDate;

    /**
     * 操作时间
     */
    private Date opDate;

    /**
     * 操作人
     */
    private String opDataUser;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRegisterId() {
        return registerId;
    }

    public void setRegisterId(String registerId) {
        this.registerId = registerId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getCardTypeRaw() {
        return cardTypeRaw;
    }

    public void setCardTypeRaw(String cardTypeRaw) {
        this.cardTypeRaw = cardTypeRaw;
    }

    public String getCardTypeStandard() {
        return cardTypeStandard;
    }

    public void setCardTypeStandard(String cardTypeStandard) {
        this.cardTypeStandard = cardTypeStandard;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getPatientGenderRaw() {
        return patientGenderRaw;
    }

    public void setPatientGenderRaw(String patientGenderRaw) {
        this.patientGenderRaw = patientGenderRaw;
    }

    public String getPatientGenderStandard() {
        return patientGenderStandard;
    }

    public void setPatientGenderStandard(String patientGenderStandard) {
        this.patientGenderStandard = patientGenderStandard;
    }

    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getDepartmentNameRaw() {
        return departmentNameRaw;
    }

    public void setDepartmentNameRaw(String departmentNameRaw) {
        this.departmentNameRaw = departmentNameRaw;
    }

    public String getDepartmentNameStandard() {
        return departmentNameStandard;
    }

    public void setDepartmentNameStandard(String departmentNameStandard) {
        this.departmentNameStandard = departmentNameStandard;
    }

    public String getDepartmentCodeRaw() {
        return departmentCodeRaw;
    }

    public void setDepartmentCodeRaw(String departmentCodeRaw) {
        this.departmentCodeRaw = departmentCodeRaw;
    }

    public String getDepartmentCodeStandard() {
        return departmentCodeStandard;
    }

    public void setDepartmentCodeStandard(String departmentCodeStandard) {
        this.departmentCodeStandard = departmentCodeStandard;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Date getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(Date visitDate) {
        this.visitDate = visitDate;
    }

    public String getVisitTypeRaw() {
        return visitTypeRaw;
    }

    public void setVisitTypeRaw(String visitTypeRaw) {
        this.visitTypeRaw = visitTypeRaw;
    }

    public String getVisitTypeStandard() {
        return visitTypeStandard;
    }

    public void setVisitTypeStandard(String visitTypeStandard) {
        this.visitTypeStandard = visitTypeStandard;
    }

    public String getVisitWayRaw() {
        return visitWayRaw;
    }

    public void setVisitWayRaw(String visitWayRaw) {
        this.visitWayRaw = visitWayRaw;
    }

    public String getVisitWayStandard() {
        return visitWayStandard;
    }

    public void setVisitWayStandard(String visitWayStandard) {
        this.visitWayStandard = visitWayStandard;
    }

    public String getSceneTypeRaw() {
        return sceneTypeRaw;
    }

    public void setSceneTypeRaw(String sceneTypeRaw) {
        this.sceneTypeRaw = sceneTypeRaw;
    }

    public String getSceneTypeStandard() {
        return sceneTypeStandard;
    }

    public void setSceneTypeStandard(String sceneTypeStandard) {
        this.sceneTypeStandard = sceneTypeStandard;
    }

    public String getStatusRaw() {
        return statusRaw;
    }

    public void setStatusRaw(String statusRaw) {
        this.statusRaw = statusRaw;
    }

    public String getStatusStandard() {
        return statusStandard;
    }

    public void setStatusStandard(String statusStandard) {
        this.statusStandard = statusStandard;
    }

    public String getStatusNameRaw() {
        return statusNameRaw;
    }

    public void setStatusNameRaw(String statusNameRaw) {
        this.statusNameRaw = statusNameRaw;
    }

    public Date getDataUpdateDate() {
        return dataUpdateDate;
    }

    public void setDataUpdateDate(Date dataUpdateDate) {
        this.dataUpdateDate = dataUpdateDate;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

    public String getOpDataUser() {
        return opDataUser;
    }

    public void setOpDataUser(String opDataUser) {
        this.opDataUser = opDataUser;
    }

}
