package com.xxh.cloud.healthy.data.client.api.bean.dto;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 医生管理患者表
 * </p>
 */
public class DoctorManagePatientQueryClientDTO {

    /**
     * id
     */
    private String id;

    // id列表")
    private List<String> ids;

    /**
     * 医生ID
     */
    private String doctorId;

    // 医生ID列表")
    private List<String> doctorIds;

    /**
     * 患者编号
     */
    private String patientId;

    // "患者编号列表")
    private List<String> patientIds;

    /**
     * 患者标签id
     */
    private String labelId;

    /**
     * 操作场景
     */
    private String opScene;

    /**
     * 操作类型（排除/纳入/加入个案）
     */
    private String opType;

    /**
     * 操作子类型（由字典定义）
     */
    private String opSubType;

    /**
     * 开始时间
     */
    private Date startDate;

    /**
     * 结束时间
     */
    private Date endDate;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public List<String> getIds() {
      return ids;
    }

    public void setIds(List<String> ids) {
      this.ids = ids;
    }

    public String getDoctorId() {
      return doctorId;
    }

    public void setDoctorId(String doctorId) {
      this.doctorId = doctorId;
    }

    public List<String> getDoctorIds() {
      return doctorIds;
    }

    public void setDoctorIds(List<String> doctorIds) {
      this.doctorIds = doctorIds;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public List<String> getPatientIds() {
      return patientIds;
    }

    public void setPatientIds(List<String> patientIds) {
      this.patientIds = patientIds;
    }

    public String getLabelId() {
      return labelId;
    }

    public void setLabelId(String labelId) {
      this.labelId = labelId;
    }

    public String getOpScene() {
      return opScene;
    }

    public void setOpScene(String opScene) {
      this.opScene = opScene;
    }

    public String getOpType() {
      return opType;
    }

    public void setOpType(String opType) {
      this.opType = opType;
    }

    public String getOpSubType() {
      return opSubType;
    }

    public void setOpSubType(String opSubType) {
      this.opSubType = opSubType;
    }

    public Date getStartDate() {
      return startDate;
    }

    public void setStartDate(Date startDate) {
      this.startDate = startDate;
    }

    public Date getEndDate() {
      return endDate;
    }

    public void setEndDate(Date endDate) {
      this.endDate = endDate;
    }

}
