package com.xxh.cloud.healthy.data.client.api.constant;

public class PatientLossConstant {
    
    // 流失类型
    public enum LossType {

        // 挂号流失
        Register("register", "挂号流失"),
        // 就诊流失
        Visit("visit", "就诊流失"),
        // 住院流失
        Inpatient("inpatient", "住院流失"),
        
        ;
        private String code;
        private String msg;
        private LossType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }

    // 流失状态
    public enum LossStatus {

        // 流失
        Loss("loss", "流失"),
        // 个案管理
        Manage("visit", "个案管理"),
        // 随访
        Followup("followup", "随访"),
        // 排除
        Exclude("exclude", "排除"),
        
        ;
        private String code;
        private String msg;
        private LossStatus(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }

}
