package com.xxh.cloud.healthy.data.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者导流日统计数据表
 * </p>
 */
@Data
@TableName("hd_patient_diversion_one_day_info")
public class PatientDiversionOneDayInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 日期(天)
     */
     @ApiModelProperty(value = "日期(天)")
      private String bizDay;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 总数量
     */
     @ApiModelProperty(value = "总数量")
      private Integer totalNum;

    /**
     * 总导流数量
     */
     @ApiModelProperty(value = "总导流数量")
      private Integer diversionNum;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;


}
