package com.xxh.cloud.healthy.data.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 检验检查项目关联表
 * </p>
 *
 * @author limengjie
 * @since 2025-01-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("s_md_standard_exam_lab_item_rel")
public class StandardExamLabItemRel extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据id
     */
     @ApiModelProperty(value = "数据id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 组套项目
     */
     @ApiModelProperty(value = "组套项目")
      private String groupItem;

    /**
     * 子项目
     */
     @ApiModelProperty(value = "子项目")
      private String infoItem;

    /**
     * 数据状态
     */
     @ApiModelProperty(value = "数据状态")
      private String rowsStatus;


}
