package com.xxh.cloud.healthy.data.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 科室标签关系表
 * </p>
 *
 * @author anros
 * @since 2023-10-09
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("hd_task_dept_label_relation_info")
public class TaskDeptLabelRelationInfo{

    private static final long serialVersionUID = 1L;

    /**
     * 科室(部门)ID
     */
     @ApiModelProperty(value = "科室(部门)ID")
//    @TableId(value = "dept_id", type = IdType.INPUT)
      private String deptId;

    /**
     * 标签ID
     */
     @ApiModelProperty(value = "标签ID")
      private String labelId;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDt;


}
