package com.xxh.cloud.healthy.data.framework.modules.biz.bean.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class PatientFeeRecordBO {

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "费用编号")
    private String feeCodeStandard;

    @ApiModelProperty(value = "费用名称")
    private String feeNameStandard;

    @ApiModelProperty(value = "收费项目编号")
    private String itemCodeStandard;

    @ApiModelProperty(value = "收费项目名称")
    private String itemNameStandard;

    @ApiModelProperty(value = "收费总金额")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "自费金额")
    private BigDecimal ownFee;

    @ApiModelProperty(value = "自付金额")
    private BigDecimal ownPayFee;

    @ApiModelProperty(value = "统筹金额")
    private BigDecimal centerPayFee;

    @ApiModelProperty(value = "挂号流水号")
    private String registerSn;

    @ApiModelProperty(value = "挂号科室编码")
    private String departmentCodeStandard;

    @ApiModelProperty(value = "挂号科室名称")
    private String departmentNameStandard;

    @ApiModelProperty(value = "医生编号")
    private String doctorCode;

    @ApiModelProperty(value = "医生名称")
    private String doctorName;

    @ApiModelProperty(value = "挂号级别编号")
    private String regLevelCodeRaw;

    @ApiModelProperty(value = "挂号级别名称")
    private String regLevelNameRaw;

    @ApiModelProperty(value = "挂号时间")
    private String registerDate;

}
