package com.xxh.cloud.healthy.data.framework.modules.biz.bean.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class PatientInLossUnitedRO {

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "住院申请单ID")
    private String applyId;

    @ApiModelProperty(value = "住院申请部门ID")
    private String applyDeptCode;

    @ApiModelProperty(value = "住院申请医院ID")
    private String applyDoctorCode;
    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "标签")
    private String labelName;

    private Date opDate;

    public PatientInLossUnitedRO(String patientId,String labelId,String labelName,Date opDate){
        this.patientId=patientId;
        this.labelId=labelId;
        this.labelName=labelName;
        this.opDate=opDate;
    }

    public PatientInLossUnitedRO(String patientId,String applyId,String applyDeptCode,String applyDoctorCode,Date opDate){
        this.patientId=patientId;
        this.applyId=applyId;
        this.applyDeptCode=applyDeptCode;
        this.applyDoctorCode=applyDoctorCode;
        this.opDate=opDate;
    }




    public PatientInLossUnitedRO(){

    }

}
