package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DeptLabelRelationDelDTO {
    
    @ApiModelProperty(value = "科室(部门)ID")
    @NotEmpty(message = "科室(部门)ID[deptId]不能为空")
    private String deptId;

    @ApiModelProperty(value = "标签ID")
    @NotEmpty(message = "标签ID[labelId]不能为空")
    private String labelId;

}
