package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DeptPatientRelationAddDTO {
    
    @ApiModelProperty(value = "科室(部门)ID")
    @NotEmpty(message = "科室(部门)ID[deptId]不能为空")
    private String deptId;

    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "绑定类型[DeptPatientTypeEnum]")
    @NotEmpty(message = "绑定类型[type]不能为空")
    private String type;

    @ApiModelProperty(value = "挂号时间")
    private Date registerDt;

}
