package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorLabelPatientExcludDataQueryDTO extends BasePageDTO {

    /**
     * 运营助理id
     */
    @ApiModelProperty(value = "运营助理id")
    private String doctorId;

    @ApiModelProperty(value = "运营助理ids")
    private List<String> doctorIds;

    @ApiModelProperty(value = "运营助理名称")
    private String doctorName;

    /**
     * 标签id
     */
    @ApiModelProperty(value = "标签id")
    private String labelId;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

}
