package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientDiversionOneDayAddDTO {

    /**
     * 日期(天)
     */
     @ApiModelProperty(value = "日期(天)")
      private String bizDay;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 总数量
     */
     @ApiModelProperty(value = "总数量")
      private Integer totalNum;

    /**
     * 总导流数量
     */
     @ApiModelProperty(value = "总导流数量")
      private Integer diversionNum;

}
