package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientManageDetailAddDTO {

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 患者标签ID
     */
     @ApiModelProperty(value = "患者标签ID")
      private String labelId;

    /**
     * 标签时间
     */
     @ApiModelProperty(value = "标签时间")
      private Date labelDate;

    /**
     * 管理来源类型
     */
     @ApiModelProperty(value = "管理来源类型")
      private String sourceType;

    /**
     * 管理来源ID
     */
     @ApiModelProperty(value = "管理来源ID")
      private String sourceId;

    /**
     * 管理来源时间
     */
     @ApiModelProperty(value = "管理来源时间")
      private Date sourceDate;

    /**
     * 备注操作
     */
     @ApiModelProperty(value = "备注操作")
      private String remarkStatus;

    /**
     * 管理来源时间
     */
     @ApiModelProperty(value = "管理来源时间")
      private Date remarkDate;

}
