package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientStatisticPatientQueryDTO extends BasePageDTO {
    
    @ApiModelProperty(value = "部门ID")
    private String deptId;
    
    @ApiModelProperty(value = "标签统计维度分类[PatientDataDimensionTypeEnum]", required = true)
    @NotEmpty(message = "标签统计维度分类[labelStatDimensionType]不能为空")
    private String labelStatDimensionType;
    
    @ApiModelProperty(value = "病种ID")
    private String diseaseId;
    
    @ApiModelProperty(value = "开始时间")
    private String startDate;
    
    @ApiModelProperty(value = "结束时间")
    private String endDate;
    
    @ApiModelProperty(value = "查询当前标签")
    private String isNowLabel;
    
    // zs202311231104
    @ApiModelProperty(value = "患者姓名查询")
    private String patientName;
    
    @ApiModelProperty(value = "患者手机号查询")
    private String patientPhone;
    
}
