package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientStatisticUserQueryDTO extends BasePageDTO {
    
    @ApiModelProperty(value = "部门ID")
    private String deptId;
    
    @ApiModelProperty(value = "标签统计维度分类[PatientDataDimensionTypeEnum]", required = true)
    @NotEmpty(message = "标签统计维度分类[labelStatDimensionType]不能为空")
    private String labelStatDimensionType;
    
    @ApiModelProperty(value = "推送服务ID", required = true)
    @NotEmpty(message = "推送服务ID[pushServeId]不能为空")
    private String pushServeId;
    
}
