package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class TaskPatientQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "病种id列表")
    private List<String> diseaseIds;

    @ApiModelProperty(value = "标签id列表")
    private List<String> labelIds;

    @ApiModelProperty(value = "部门id")
    private String deptId;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    @ApiModelProperty(value = "标准性别")
    private String patientGenderStandard;

    @ApiModelProperty(value = "电话号码")
    private String phone;
    
    @ApiModelProperty(value = "开始年龄")
    private Integer startAge;
    
    @ApiModelProperty(value = "结束年龄")
    private Integer endAge;
    
    @ApiModelProperty(value = "统计维度分类列表")
    private List<String> statDimensionType;

    @ApiModelProperty(value = "关系类型[DeptPatientTypeEnum]")
    private String relationType;

    @ApiModelProperty(value = "主患者编号")
    private String mainPersonId;

}
