package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DataDwdPatientInHospitalVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 住院科室编码(标准)
     */
    @ApiModelProperty(value = "住院科室编码(标准)")
    private String admitDepartmentCodeStandard;

    @ApiModelProperty(value = "住院时间")
    private Date inpatientDate;

}
