package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DeptPushServeVO {

    @ApiModelProperty(value = "部门id")
    private String deptId;

    
    @ApiModelProperty(value = "推送服务id")
    private String pushServeId;


    @ApiModelProperty(value = "服务名称")
    private String name;


    @ApiModelProperty(value = "媒体编号[外链]")
    private String mediaId;


    @ApiModelProperty(value = "媒体名称")
    private String mediaName;


    @ApiModelProperty(value = "媒体类型(文章 量表)")
    private String mediaType;


    @ApiModelProperty(value = "运营标题")
    private String title;


    @ApiModelProperty(value = "服务分类")
    private String type;

    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "病种ids")
    private List<String> diseaseIds;

}
