package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorConsultationLaunchApplyDataVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 会诊类型
     */
    @ApiModelProperty(value = "会诊类型")
    private String consultationType;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 住院号
     */
    @ApiModelProperty(value = "住院号")
    private String inpatientId;

    /**
     * 门诊号
     */
    @ApiModelProperty(value = "门诊号")
    private String visitId;

    /**
     * 相关疾病ID
     */
    @ApiModelProperty(value = "相关疾病ID")
    private String diseaseId;

    /**
     * 申请负责医生ID
     */
    @ApiModelProperty(value = "申请医生ID")
    private String applyDoctorId;

    /**
     * 发起会诊医生ID
     */
    @ApiModelProperty(value = "发起会诊医生ID")
    private String launchDoctorId;

    /**
     * 申请发起会诊内容
     */
    @ApiModelProperty(value = "申请发起会诊内容")
    private String content;

    /**
     * 实际发起申请会诊提醒的时间
     */
    @ApiModelProperty(value = "实际发起申请会诊提醒的时间")
    private Date applyTime;

    /**
     * 实际发起的会诊id
     */
    @ApiModelProperty(value = "实际发起的会诊id")
    private String consultationId;

    /**
     * 实际发起会诊的时间
     */
    @ApiModelProperty(value = "实际发起会诊的时间")
    private Date submitTime;

    /**
     * 实际会诊完成的时间
     */
    @ApiModelProperty(value = "实际会诊完成的时间")
    private Date finishTime;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;

    /**
     * 管理id
     */
    @ApiModelProperty(value = "管理id")
    private String manageId;

}
