package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorRelationStatisticVO {

    /**
     * 关联类型（医生科室/医生病种）
     */
    @ApiModelProperty(value = "关联类型")
    private String type;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    /**
     * 关联id（部门/病种）
     */
    @ApiModelProperty(value = "关联id")
    private String relationId;

    /**
     * 关联部门的病种
     */
    @ApiModelProperty(value = "关联部门的病种")
    private String diseaseIds;

    /**
     * 关联的病种列表
     */
    @ApiModelProperty(value = "关联的病种列表")
    private List<String> diseaseIdList;

}
