package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者管理日统计数据表
 * </p>
 */
@Getter
@Setter
public class PatientManageOneDayVO {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 日期(天)
     */
     @ApiModelProperty(value = "日期(天)")
      private String bizDay;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 总患者数量
     */
     @ApiModelProperty(value = "总患者数量")
      private Integer totalNum;

    /**
     * 排除患者数量
     */
     @ApiModelProperty(value = "排除患者数量")
      private Integer excludeNum;

    /**
     * 备注患者数量
     */
     @ApiModelProperty(value = "备注患者数量")
      private Integer remarkNum;

    /**
     * 纳入管理患者数量
     */
     @ApiModelProperty(value = "纳入管理患者数量")
      private Integer joinNum;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;

    /**
     * 医生名称
     */
     @ApiModelProperty(value = "医生名称")
      private String doctorName;


}
