package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientDischargeContentClientBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientDischargeRecordClientBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientInpatientRecordClientBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientVisitRecordClientBO;
import com.xxh.cloud.healthy.mdt.api.bean.bo.ConsultationBO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientNewestDataVO {
    
    @ApiModelProperty(value = "患者最新就诊信息")
    private PatientVisitRecordClientBO patientVisitRecordInfo;

    @ApiModelProperty(value = "患者最新住院信息")
    private PatientInpatientRecordClientBO patientInpatientRecordInfo;

    @ApiModelProperty(value = "患者最新出院信息")
    private PatientDischargeRecordClientBO patientDischargeRecordInfo;

    @ApiModelProperty(value = "患者最新出院小结信息")
    private PatientDischargeContentClientBO dwdDischargeContentInfo;

    @ApiModelProperty(value = "患者最新会诊信息")
    private ConsultationBO consultationInfo;

}
