package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeBehaviorVO {

    @ApiModelProperty(value = "日期")
    private String date;

    @ApiModelProperty(value = "浏览数量")
    private Long browseCount;

    @ApiModelProperty(value = "感兴趣数量")
    private Long interestedCount;

    @ApiModelProperty(value = "已知晓数量")
    private Long knewCount;

    @ApiModelProperty(value = "衍生阅读数量")
    private Long furtherReadingCount;

    @ApiModelProperty(value = "挂号数量")
    private Long registerCount;

    @ApiModelProperty(value = "在线问诊")
    private Long consultationOnlineCount;

    @ApiModelProperty(value = "就诊")
    private Long consultationCount;

    // @ApiModelProperty(value = "浏览数量")
    // private List<PatientBehaviorDataVO> browseCountList;

    // @ApiModelProperty(value = "感兴趣数量")
    // private List<PatientBehaviorDataVO> interestedCountList;

    // @ApiModelProperty(value = "已知晓数量")
    // private List<PatientBehaviorDataVO> knewCountList;

    // @ApiModelProperty(value = "衍生阅读数量")
    // private List<PatientBehaviorDataVO> furtherReadingCountList;

    // @ApiModelProperty(value = "挂号数量")
    // private List<PatientBehaviorDataVO> registerCountList;

    // @ApiModelProperty(value = "在线问诊")
    // private List<PatientBehaviorDataVO> consultationOnlineCountList;

    // @ApiModelProperty(value = "就诊")
    // private List<PatientBehaviorDataVO> consultationCountList;

}
