package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushServeDataOneDayVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "日期(天)")
    private String bizDay;

    @ApiModelProperty(value = "部门ID")
    private String deptId;

    @ApiModelProperty(value = "一级分类[诊前、诊中、诊后]")
    private String oneType;

    @ApiModelProperty(value = "二级分类")
    private String twoType;

    @ApiModelProperty(value = "病种id列表")
    private String diseaseIds;

    @ApiModelProperty(value = "推送服务id")
    private String pushServeId;

    @ApiModelProperty(value = "服务次数")
    private Integer serveNum;

    @ApiModelProperty(value = "点击行动埋点次数")
    private Integer clickNum;

    @ApiModelProperty(value = "阅读次数")
    private Integer readNum;

    @ApiModelProperty(value = "阅读人数")
    private Integer readUserNum;

    @ApiModelProperty(value = "服务后就诊人数")
    private Integer comeNum;

    @ApiModelProperty(value = "总阅读时间")
    private Integer readTotalTime;

    @ApiModelProperty(value = "未关注人数发送失败")
    private Integer notFollowingPushFailNum;

    @ApiModelProperty(value = "发送失败次数")
    private Integer pushFailNum;

    @ApiModelProperty(value = "推送服务信息")
    private PushServeConfigBO pushServeConfigBO;

    @ApiModelProperty(value = "操作时间")
    private Date opDate;

}
