package com.xxh.cloud.healthy.data.framework.modules.biz.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.healthy.data.framework.modules.base.entity.TaskPatientInfo;

/**
 * 20231023
 */
public interface DeptPatientBehaviorQueryBizMapper {
    
    /**
     * 查询部门下的患者
     * 
     * @param wrapper
     * @return
     */
    // @Select("SELECT DISTINCT a.patient_id, a.patient_name, a.patient_gender, a.patient_gender_standard, a.birthday, a.remark " + 
    //         "    FROM hd_task_patient_info a " +
    //         "    INNER JOIN hd_task_dept_patient_relation_info e ON a.patient_id = e.patient_id " +
    //         "    INNER JOIN h_patient_label_history_info b ON a.patient_id = b.patient_id AND b.op_type = '1' " + 
    //         "    INNER JOIN s_md_standard_label_info c ON b.label_id = c.id " +
    //         "    LEFT JOIN s_md_standard_disease_info d ON c.disease_ids LIKE CONCAT('%,', d.id, ',%') " +
    //         "    ${ew.customSqlSegment} ")
    // IPage<TaskPatientInfo> queryDeptPatient(Page<TaskPatientInfo> page, @Param(Constants.WRAPPER) Wrapper<TaskPatientInfo> wrapper);
    @Select("SELECT DISTINCT a.patient_id " + 
            "    FROM hd_task_dept_patient_relation_info a " +
            "    INNER JOIN h_patient_label_history_info b ON a.patient_id = b.patient_id AND b.op_type = '1' " + 
            "    INNER JOIN s_md_standard_label_info c ON b.label_id = c.id " +
            "    LEFT JOIN s_md_standard_disease_info d ON c.disease_ids LIKE CONCAT('%,', d.id, ',%') " +
            "    ${ew.customSqlSegment} ")
    IPage<TaskPatientInfo> queryDeptPatient(Page<TaskPatientInfo> page, @Param(Constants.WRAPPER) Wrapper<TaskPatientInfo> wrapper);

}