package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;
import java.util.Set;

import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptLabelRelationAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptLabelRelationDelDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptLabelRelationQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.TaskDeptLabelRelationVO;

public interface DeptLabelRelationBizService {
    
    void add(DeptLabelRelationAddDTO params);

    void addBatch(List<DeptLabelRelationAddDTO> params);

    void del(DeptLabelRelationDelDTO params);

    void delBatch(List<DeptLabelRelationDelDTO> params);

    List<TaskDeptLabelRelationVO> getByDeptLabelIds(Set<String> deptLabelIds);

    List<TaskDeptLabelRelationVO> getByDeptLabel(DeptLabelRelationQueryDTO params);
}
