package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;
import java.util.Set;

import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptPatientRelationAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptPatientRelationDelDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DeptPatientRelationQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.TaskDeptPatientRelationVO;

public interface DeptPatientRelationBizService {
    
    void add(DeptPatientRelationAddDTO params);

    void addBatch(List<DeptPatientRelationAddDTO> params);

    void del(DeptPatientRelationDelDTO params);

    void delBatch(List<DeptPatientRelationDelDTO> params);

    List<TaskDeptPatientRelationVO> getByDeptPatientIds(Set<String> deptPatientIds);

    List<TaskDeptPatientRelationVO> query(DeptPatientRelationQueryDTO params);
}
