package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.base.entity.DoctorLabelPatientDataInfo;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorLabelPatientDataQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorLabelPatientExcludDataQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.DoctorLabelPatientDataVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.DoctorLabelPatientExcludeStatisticVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.DoctorLabelPatientStatisticVO;

public interface DoctorLabelPatientDataBizService {

    // 运营助理数据
    PageData<DoctorLabelPatientDataVO> query(DoctorLabelPatientDataQueryDTO params);

    // 统计运营助理数据
    PageData<DoctorLabelPatientStatisticVO> queryStatisticBySecene(DoctorLabelPatientDataQueryDTO params);

    // 统计运营助理数据
    PageData<DoctorLabelPatientStatisticVO> queryStatisticByNoSecene(DoctorLabelPatientDataQueryDTO params);

    // 统计运营助理数据
    List<DoctorLabelPatientExcludeStatisticVO> excludeStatisticReason(DoctorLabelPatientExcludDataQueryDTO params);

    // 保存统计运营助理数据
    void saveBatch(List<DoctorLabelPatientDataInfo> params);

}
