package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorManagePatientAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorManagePatientDetailDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorManagePatientGetDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorManagePatientQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorManagePatientUpdateDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.DoctorManagePatientVO;

public interface DoctorManagePatientBizService {

    PageData<DoctorManagePatientVO> page(DoctorManagePatientQueryDTO params);
    
    List<DoctorManagePatientVO> list(DoctorManagePatientQueryDTO params);
    
    List<DoctorManagePatientVO> simpleList(DoctorManagePatientQueryDTO params);
    
    DoctorManagePatientVO getById(DoctorManagePatientGetDTO params);
    
    DoctorManagePatientVO detail(DoctorManagePatientDetailDTO params);
    
    DoctorManagePatientVO save(DoctorManagePatientAddDTO params);

    void update(DoctorManagePatientUpdateDTO params);

    void del(DoctorManagePatientGetDTO params);

}
