package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DataArticleExamineQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientArchivesVO;

public interface PatientArchivesQueryBizService {

    @Deprecated
    PatientArchivesVO patientArchives(DwdPatientDataQueryDTO params);

    PatientArchivesVO patientArchivesV2(DwdPatientDataQueryDTO params);

    PatientArchivesVO patientArchivesV3(DwdPatientDataQueryDTO params);

    // 患者端查询档案，需要合并相同患者不同患者id的数据
    PatientArchivesVO patientMergeArchives(DwdPatientDataQueryDTO params);

    // 患者端查询档案，需要合并相同患者不同患者id的数据
    PatientArchivesVO patientMergeArchivesV3(DwdPatientDataQueryDTO params);

    // 患者检查报告信息
    List<Map<String, String>> examineReportList(DataArticleExamineQueryDTO params);

    // 患者检验报告信息
    List<Map<String, String>> laboratoryReportList(DataArticleExamineQueryDTO params);

}
