package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientDiseaseStatisticQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientEstimateDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientDiagnosisDataVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientDiseaseStatisticVO;

import java.util.List;

/**
 * 按病种进行患者数据统计
 */
public interface PatientEstimateDateBizService {
    
    // 患者数据统计
    List<PatientDiagnosisDataVO> getPatientDiagnosis(String patientId);


    // 患者数据统计(关联)
    List<PatientDiagnosisDataVO> getPatientDiagnosis2(PatientEstimateDTO params);
}
