package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.TaskPatientGetDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.TaskPatientQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.TaskPatientVO;

public interface TaskPatientQueryBizService {

    // 查询患者信息
    PageData<TaskPatientVO> query(TaskPatientQueryDTO params);

    List<TaskPatientVO> list(TaskPatientQueryDTO params);

    // 查询患者信息
    TaskPatientVO getById(TaskPatientGetDTO params);

    List<TaskPatientVO> simpleList(TaskPatientQueryDTO params);

    TaskPatientVO getOneSimple(TaskPatientGetDTO params);

}
