package com.xxh.cloud.healthy.data.framework.modules.task.service;

public interface PatientDataStatisticService {

    // 统计患者数据任务
    void patientDataStatisticTaskExecute();

    // 按病种统计患者数据任务
    void patientDiseaseDataStatisticTaskExecute();

    // 按服务统计数据任务
    void patientPushServeDataStatisticTask();
    void patientPushServeDataStatisticTaskExecute();

    // 扫描数仓中数据给患者打标签：挂号流失患者、住院流失患者、手术流失患者、流失比例
    void patientLabelingTaskExecute();

    // 扫描数仓中数据给患者打住院流失标签
    void patientInpatientLabelingTaskExecute();

    // 扫描患者信息表中没有主患者id的数据，并从数仓中同步过来
    void patientMainPersonIdTaskExecute();
}
