package com.xxh.cloud.healthy.data.framework.modules.third.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ViewUndrugztinfoInfo {

    /** 项目代码 */
    private String itemCode;
    /** 项目名称 */
    private String itemName;
    /** 单位 */
    private String unit;
    /** 规格 */
    private String specs;
    /** 执行科室 */
    private String excCode;
    /** 备注 */
    private String mark;
    /** 项目明细时间 */
    private String updateTime;
    /** 疾病分类(开立检验项目时使用) */
    private String diseaseClass;
    /** 适用范围 0 全部  1 门诊 2住院 */
    private String areaType;
    /** 0明细 1组套 */
    private String unitFlag;
    /** 是否需要预约 1 需要 0 不需要 */
    private String needbespeak;
    /** 病史及检查(开立检查申请单时使用) */
    private String illnessHistory;
    /** 检查要求(开立检查申请单时使用) */
    private String requirement;
    /** 注意事项(开立检查申请单时使用) */
    private String precautions;
    /** 检查申请单名称 */
    private String examApplyName;
    /** 组套数量 */
    private String qty;
}
