package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置信息表
 */
@Getter
@Setter
public class DrugNotityConfigGetDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

}
