package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置日志信息表
 */
@Getter
@Setter
public class DrugNotityConfigLogVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 配置id
     */
    @ApiModelProperty(value = "配置id")
    private String configId;

    /**
     * 标准药品ID
     */
    @ApiModelProperty(value = "标准药品ID")
    private String medicantId;

    /**
     * 标准药品编号(准字)
     */
    @ApiModelProperty(value = "标准药品编号(准字)")
    private String medicantCode;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 操作动作分类
     */
    @ApiModelProperty(value = "操作动作分类")
    private String opActType;

    /**
     * 操作内容备注
     */
    @ApiModelProperty(value = "操作内容备注")
    private String opRemark;

    /**
     * 操作内容提醒状态
     */
    @ApiModelProperty(value = "操作内容提醒状态")
    private String opStatus;

    /**
     * 操作内容提醒生效时间
     */
    @ApiModelProperty(value = "操作内容提醒生效时间")
    private String opEffectiveTime;

    /**
     * 操作内容提醒状态
     */
    @ApiModelProperty(value = "操作内容提醒状态")
    private String opUser;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opTime;

}
