package com.xxh.cloud.healthy.mdt.api.bean.bo;

import java.util.Date;

public class HisConsultationAdviceBO {

    /**
     * id
     */
    private String id;

    /**
     * 会诊ID
     */
    private String consultationId;

    /**
     * 住院号
     */
    private String inpatientId;

    /**
     * 门诊号
     */
    private String visitId;

    /**
     * 被会诊科室编号
     */
    private String mdtDeptCode;

    /**
     * 被会诊科室名称
     */
    private String mdtDeptName;

    /**
     * 科室编号
     */
    private String deptCode;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 护士站编号
     */
    private String wardCode;

    /**
     * 护士站名称
     */
    private String wardName;

    /**
     * 提交医生ID
     */
    private String submitDoctorId;

    /**
     * 提交医生名称
     */
    private String submitDoctorName;

    /**
     * 提交内容
     */
    private String submitContent;

    /**
     * 提交xml内容
     */
    private String submitXmlContent;

    /**
     * 提交时间
     */
    private Date submitTime;

    /**
     * 状态[1 已会诊 0 未会诊]
     */
    private String status;

    /**
     * 随访时间
     */
    private String followup;

    /**
     * 会诊目标类型[ConsultationConstant.ConsultationTargetType]
     */
    private String targetType;

    /**
     * 会诊目标类型[ConsultationConstant.ConsultationTargetSubType]
     */
    private String targetSubType;

    /**
     * 会诊目标
     */
    private String target;

    /**
     * 会诊目标完成时间
     */
    private Date targetFinishTime;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getConsultationId() {
      return consultationId;
    }

    public void setConsultationId(String consultationId) {
      this.consultationId = consultationId;
    }

    public String getInpatientId() {
      return inpatientId;
    }

    public void setInpatientId(String inpatientId) {
      this.inpatientId = inpatientId;
    }

    public String getVisitId() {
      return visitId;
    }

    public void setVisitId(String visitId) {
      this.visitId = visitId;
    }

    public String getMdtDeptCode() {
      return mdtDeptCode;
    }

    public void setMdtDeptCode(String mdtDeptCode) {
      this.mdtDeptCode = mdtDeptCode;
    }

    public String getMdtDeptName() {
      return mdtDeptName;
    }

    public void setMdtDeptName(String mdtDeptName) {
      this.mdtDeptName = mdtDeptName;
    }

    public String getDeptCode() {
      return deptCode;
    }

    public void setDeptCode(String deptCode) {
      this.deptCode = deptCode;
    }

    public String getDeptName() {
      return deptName;
    }

    public void setDeptName(String deptName) {
      this.deptName = deptName;
    }

    public String getWardCode() {
      return wardCode;
    }

    public void setWardCode(String wardCode) {
      this.wardCode = wardCode;
    }

    public String getWardName() {
      return wardName;
    }

    public void setWardName(String wardName) {
      this.wardName = wardName;
    }

    public String getSubmitDoctorId() {
      return submitDoctorId;
    }

    public void setSubmitDoctorId(String submitDoctorId) {
      this.submitDoctorId = submitDoctorId;
    }

    public String getSubmitDoctorName() {
      return submitDoctorName;
    }

    public void setSubmitDoctorName(String submitDoctorName) {
      this.submitDoctorName = submitDoctorName;
    }

    public String getSubmitContent() {
      return submitContent;
    }

    public void setSubmitContent(String submitContent) {
      this.submitContent = submitContent;
    }

    public Date getSubmitTime() {
      return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
      this.submitTime = submitTime;
    }

    public String getStatus() {
      return status;
    }

    public void setStatus(String status) {
      this.status = status;
    }

    public String getFollowup() {
      return followup;
    }

    public void setFollowup(String followup) {
      this.followup = followup;
    }

    public String getSubmitXmlContent() {
      return submitXmlContent;
    }

    public void setSubmitXmlContent(String submitXmlContent) {
      this.submitXmlContent = submitXmlContent;
    }

    public String getTargetType() {
      return targetType;
    }

    public void setTargetType(String targetType) {
      this.targetType = targetType;
    }

    public String getTarget() {
      return target;
    }

    public void setTarget(String target) {
      this.target = target;
    }

    public Date getTargetFinishTime() {
      return targetFinishTime;
    }

    public void setTargetFinishTime(Date targetFinishTime) {
      this.targetFinishTime = targetFinishTime;
    }

    public String getTargetSubType() {
      return targetSubType;
    }

    public void setTargetSubType(String targetSubType) {
      this.targetSubType = targetSubType;
    }

}
