package com.xxh.cloud.healthy.mdt.api.constant;

public class ConsultationNotifyConstant {
    
    /**
     * 会诊信息整体状态
     */
    public enum NotifyType {

        INVITE("invite", "发起会诊"),
        JOIN("join", "参加邀请"),
        ;

        private String code;
        private String msg;

        private NotifyType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }

    }
    
    /**
     * 会诊信息整体状态
     */
    public enum NotifyStatus {

        TODO("todo","待处理"),
        DOING("doing", "已发起"),
        DONE("done", "已完成"),
        CANCEL("cancel", "已取消"),
        ;

        private String code;
        private String msg;

        private NotifyStatus(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }
    
}
