package com.xxh.cloud.healthy.mdt.framework.modules.async;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 会诊结论目标解析数据
 */
@Getter
@Setter
public class AnalysisDataModel {

    // 是/否
    @ApiModelProperty(value = "是否本科室随访")
    private String isFollowUp;

    @ApiModelProperty(value = "随访时间")
    private String followUpDate;

    @ApiModelProperty(value = "随访时间单位")
    private String followUpDateUnit;

    @ApiModelProperty(value = "建议完善检查内容")
    private String checkContent;

    // 是/否
    @ApiModelProperty(value = "是否转入本科室治疗")
    private String isChangeDept;

    @ApiModelProperty(value = "治疗的方式")
    private String treatmentMethods;

    @ApiModelProperty(value = "原始数据")
    private String sourceData;

}
