package com.xxh.cloud.healthy.mdt.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 发起会诊申请日志表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("mdt_consultation_launch_apply_log")
public class ConsultationLaunchApplyLog extends BaseEntity {
    
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 申请id
     */
     @ApiModelProperty(value = "申请id")
      private String applyId;

    /**
     * 申请状态
     */
     @ApiModelProperty(value = "申请状态")
      private String applyStatus;

    /**
     * 申请日志类型
     */
    @ApiModelProperty(value = "申请日志类型")
    private String applyLogType;

    /**
     * 操作人id
     */
    @ApiModelProperty(value = "操作人id")
    private String opUserId;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opDate;

}
