package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationAdviceAddDTO {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[consultationId]不能为空")
    private String consultationId;

    @ApiModelProperty(value = "会诊医生ID", required = true)
    @NotEmpty(message = "会诊医生ID[doctorId]不能为空")
    private String doctorId;

    @ApiModelProperty(value = "意见内容", required = true)
    @NotEmpty(message = "意见内容[advice]不能为空")
    private String advice;

}
