package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationApplyExamineCreateDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String applyId;

    @ApiModelProperty(value = "申诉类型 cancel", required = true)
    @NotEmpty(message = "申诉类型不能为空")
    private String examineType;

    @ApiModelProperty(value = "申诉描述", required = true)
    @NotEmpty(message = "申诉描述不能为空")
    private String examineDescribe;

    @ApiModelProperty(value = "操作人")
    private String opUserId;
    
}
