package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class ConsultationApplyStatGetDTO {

     @ApiModelProperty(value = "查询天数", required = true)
     @NotNull(message = "查询天数不能为空")
     private Integer days;

     @ApiModelProperty(value = "校验key", required = true)
     @NotEmpty(message = "校验key不能为空")
     private String key;
}
