package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationDoctorAlternateDTO {

    /**
     * 会诊ID
     */
    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[consultationId]不能为空")
    private String consultationId;

    /**
     * 拒绝参加会诊医生ID
     */
    @ApiModelProperty(value = "拒绝参加会诊的医生ID", required = true)
    @NotEmpty(message = "会诊医生ID[doctorId]不能为空")
    private String doctorId;

    @ApiModelProperty(value = "指定替补医生ID")
    private String appointDoctorId;

}
