package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationDoctorUpdateStatusDTO {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID不能为空")
    private String consultationId;

    @ApiModelProperty(value = "状态", required = true)
    @NotEmpty(message = "状态不能为空")
    private String status;

    @ApiModelProperty(value = "会诊医生ID")
    private String doctorId;

}
