package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationFinishDTO {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[id]不能为空")
    private String id;

    @ApiModelProperty(value = "会诊发起人医生ID")
    private String doctorId;

}
