package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationGetDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    /**
     * 负责医生ID
     */
    @ApiModelProperty(value = "负责医生ID")
    private String doctorId;

}
