package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyGetDTO {
    
    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 申请负责医生ID
     */
     @ApiModelProperty(value = "申请医生ID")
      private String applyDoctorId;

    @ApiModelProperty(value = "重发标识")
    private String resendFlg = YN.NO.getCode();

    @ApiModelProperty(value = "操作人")
    private String opUserId;
}
