package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyUpdateStatusDTO {
    
    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 实际发起的会诊id
     */
     @ApiModelProperty(value = "实际发起的会诊id")
      private String consultationId;

    /**
     * 实际发起会诊的时间
     */
     @ApiModelProperty(value = "实际发起会诊的时间")
      private Date submitTime;

    /**
     * 实际会诊完成的时间
     */
     @ApiModelProperty(value = "实际会诊完成的时间")
      private Date finishTime;

}
