package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationSignAddDTO {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[consultationId]不能为空")
    private String consultationId;

    @ApiModelProperty(value = "会诊医生ID", required = true)
    @NotEmpty(message = "会诊医生ID[doctorId]不能为空")
    private String doctorId;

    @ApiModelProperty(value = "签到时间")
    private Date signTime;

    @ApiModelProperty(value = "签到方式")
    private String signWay;

    @ApiModelProperty(value = "签到位置-经度")
    private String signLongitude;

    @ApiModelProperty(value = "签到位置-纬度")
    private String signLatitude;

    @ApiModelProperty(value = "签到IP")
    private String signIp;

    @ApiModelProperty(value = "会诊发起人医生ID")
    private String promoterId;

}
