package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class HisConsultationSyncDTO {

    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull(message = "开始时间[startDate]不能为空")
    private Date startDate;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotNull(message = "结束时间[endDate]不能为空")
    private Date endDate;

    @ApiModelProperty(value = "需要同步的会诊类型")
    private String applyType;

    @ApiModelProperty(value = "同步时间间隔")
    private Integer during;

}
