package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationAdviceReq {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[id]不能为空")
    private String id;

    @ApiModelProperty(value = "意见内容", required = true)
    @NotEmpty(message = "意见内容[advice]不能为空")
    private String advice;

}
