package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationDoctorQueryReq {

    /**
     * 会诊ID
     */
    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID不能为空")
    private String consultationId;

}
