package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationQueryReq extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 相关疾病id
     */
    @ApiModelProperty(value = "相关疾病id")
    private String diseaseId;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;

    /**
     * 医生参加状态
     */
    @ApiModelProperty(value = "医生参加状态")
    private String joinStatus;

    /**
     * 会诊名称
     */
    @ApiModelProperty(value = "会诊名称")
    private String consultationName;

    /**
     * 会诊类型
     */
    @ApiModelProperty(value = "会诊类型")
    private String applyType;

}
