package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationSignReq {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[id]不能为空")
    private String id;

    @ApiModelProperty(value = "签到会诊医生ID", required = true)
    @NotEmpty(message = "签到会诊医生ID[signDoctorId]不能为空")
    private String signDoctorId;

    @ApiModelProperty(value = "签到方式")
    private String signWay;

    @ApiModelProperty(value = "签到位置-经度")
    private String signLongitude;

    @ApiModelProperty(value = "签到位置-纬度")
    private String signLatitude;

}
