package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationLaunchApplyExportVO {

    /**
     * 实际状态
     */
    @ApiModelProperty(value = "实际状态")
    private String realStatus;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;

    /**
     * 住院号
     */
    @ApiModelProperty(value = "住院号")
    private String inpatientId;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 患者性别
     */
    @ApiModelProperty(value = "患者性别")
    private String patientGender;

    /**
     * 患者年龄
     */
    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

    /**
     * 申请发起会诊内容
     */
    @ApiModelProperty(value = "申请发起会诊内容")
    private String content;

    /**
     * 申请类型[ConsultationLaunchApplyConstant.Type]
     */
    @ApiModelProperty(value = "申请类型[ConsultationLaunchApplyConstant.Type]")
    private String type;

    /**
     * 运营助理
     */
    @ApiModelProperty(value = "运营助理")
    private String applyDoctorName;

    /**
     * 运营助理科室
     */
    @ApiModelProperty(value = "运营助理科室")
    private String applyDeptName;

    /**
     * 助理申请时间
     */
    @ApiModelProperty(value = "助理申请时间")
    private String applyTime;

    /**
     * 发起会诊申请医生
     */
    @ApiModelProperty(value = "发起会诊申请医生")
    private String launchDoctorName;

    /**
     * 发起会诊申请科室
     */
    @ApiModelProperty(value = "发起会诊申请科室")
    private String launchDeptName;

    /**
     * 参与协助会诊科室
     */
    @ApiModelProperty(value = "参与协助会诊科室")
    private String consultationDeptName;

    /**
     * 海泰会诊发起时间
     */
    @ApiModelProperty(value = "海泰会诊发起时间")
    private String submitTime;

    /**
     * 完成会诊时间
     */
    @ApiModelProperty(value = "完成会诊时间")
    private String finishTime;

    /**
     * 会诊内容
     */
    @ApiModelProperty(value = "会诊内容")
    private String consultationContent;

    /**
     * 会诊结论
     */
    @ApiModelProperty(value = "会诊结论")
    private String consultationAdvice;

    /**
     * 是否督办
     */
    @ApiModelProperty(value = "是否督办")
    private String resendFlg;

    /**
     * 第一次督办时间
     */
    @ApiModelProperty(value = "第一次督办时间")
    private String resendDate1;

    /**
     * 第一次督办人
     */
    @ApiModelProperty(value = "第一次督办人")
    private String resendUser1;

    /**
     * 第二次督办时间
     */
    @ApiModelProperty(value = "第二次督办时间")
    private String resendDate2;

    /**
     * 第二次督办人
     */
    @ApiModelProperty(value = "第二次督办人")
    private String resendUser2;

    /**
     * 病种
     */
    @ApiModelProperty(value = "病种")
    private String diseaseName;


}
