package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 发起会诊申请信日志
 */
@Getter
@Setter
public class ConsultationLaunchApplyLogVO {

    @ApiModelProperty(value = "数据ID")
    private String id;

    @ApiModelProperty(value = "申请id")
    private String applyId;

    @ApiModelProperty(value = "申请状态")
    private String applyStatus;

    @ApiModelProperty(value = "申请日志类型 new_send新发/resend重发")
    private String applyLogType;

    @ApiModelProperty(value = "操作人id")
    private String opUserId;

    @ApiModelProperty(value = "操作人姓名")
    private String opUserName;

    @ApiModelProperty(value = "操作时间")
    private Date opDate;

}
