package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyStatisticVO {
    
    @ApiModelProperty(value = "发起会诊提醒数量") // 需要发起
    private Integer startNum = 0;

    @ApiModelProperty(value = "申请过期数量")
    private Integer startExpireNum = 0;

    @ApiModelProperty(value = "会诊进行中数量")
    private Integer doingNum = 0;

    @ApiModelProperty(value = "会诊过期数量")
    private Integer expireNum = 0;

    @ApiModelProperty(value = "会诊完成数量")
    private Integer doneNum = 0;

    @ApiModelProperty(value = "申请取消数量")
    private Integer cancelNum = 0;

    @ApiModelProperty(value = "超时未发起数量")
    private Integer timeoutUndoingNum = 0;

    @ApiModelProperty(value = "超时未完成数量")
    private Integer timeoutUndoneNum = 0;

    @ApiModelProperty(value = "实际未发起会诊数量") // 未发起
    private Integer realNotSubmitNum = 0;

    @ApiModelProperty(value = "实际未完成会诊数量") // 发起未完成
    private Integer realNotFinishNum = 0;

    @ApiModelProperty(value = "实际已完成会诊数量") // 发起且完成
    private Integer realFinishNum = 0;

    @ApiModelProperty(value = "申诉总数")
    private Integer examineNum = 0;

    @ApiModelProperty(value = "申诉通过总数")
    private Integer examineSuccessNum = 0;

    @ApiModelProperty(value = "申诉驳回总数")
    private Integer examineFailNum = 0;

}
