package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ConsultationNotifyVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "会诊申请id")
    private String applyId;

    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    @ApiModelProperty(value = "相关疾病")
    private String diseaseId;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "通知内容")
    private String notifyInfo;

    @ApiModelProperty(value = "记录分类(发起/参与)")
    private String notifyType;

    @ApiModelProperty(value = "实际发起的会诊id")
    private String consultationId;

    @ApiModelProperty(value = "通知状态")
    private String notifyStatus;

    @ApiModelProperty(value = "会诊状态")
    private String consultationStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    // ---------------------------------
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者性别")
    private String patientGender;

    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

    @ApiModelProperty(value = "申请医生ID")
    private String applyDoctorId;

    @ApiModelProperty(value = "申请医生姓名")
    private String applyDoctorName;

    @ApiModelProperty(value = "申请科室Id")
    private String applyDeptId;

    @ApiModelProperty(value = "申请科室名称")
    private String applyDeptName;

    @ApiModelProperty(value = "督办标识")
    private String resendFlg;

    @ApiModelProperty(value = "最新督办时间")
    private Date resendDate;

    @ApiModelProperty(value = "申诉类型")
    private String examineType;

    @ApiModelProperty(value = "申诉状态")
    private String examineState;

    @ApiModelProperty(value = "申诉描述")
    private String examineDescribe;

    @ApiModelProperty(value = "申诉描述")
    private Date examineDate;

    @ApiModelProperty(value = "审批内容")
    private String examineAuditInfo;

    @ApiModelProperty(value = "审批人")
    private String examineAuditUser;

    @ApiModelProperty(value = "审批时间")
    private Date examineAuditDate;
}
