package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationSignVO {
    
    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 会诊ID
     */
     @ApiModelProperty(value = "会诊ID")
      private String consultationId;

    /**
     * 会诊医生ID
     */
     @ApiModelProperty(value = "会诊医生ID")
      private String doctorId;

    /**
     * 签到时间
     */
     @ApiModelProperty(value = "签到时间")
      private Date signTime;

    /**
     * 签到方式
     */
     @ApiModelProperty(value = "签到方式")
      private String signWay;

    /**
     * 签到位置-经度
     */
     @ApiModelProperty(value = "签到位置-经度")
      private String signLongitude;

    /**
     * 签到位置-纬度
     */
     @ApiModelProperty(value = "签到位置-纬度")
      private String signLatitude;

    /**
     * 签到IP
     */
     @ApiModelProperty(value = "签到IP")
      private String signIp;

}
