package com.xxh.cloud.healthy.mdt.framework.modules.biz.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.healthy.mdt.framework.modules.base.entity.ConsultationInfo;

public interface ConsultationDwdBizMapper {

    /**
     * 就诊患者
     */
    @Select(" SELECT patient_id AS patientId " + 
            " FROM dwd_visit_record_info " + 
            " ${ew.customSqlSegment} ")
    String getPatientIdByVisitId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
//     @Select(" SELECT b.main_person_id AS patientId " + 
//             " FROM dwd_visit_record_info a " + 
//             " INNER JOIN dwd_patient_info b ON a.patient_id = b.patient_id " + 
//             " ${ew.customSqlSegment} ")
//     String getPatientIdByVisitId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);

    /**
     * 就诊患者
     */
    @Select(" SELECT id, patient_id AS patientId " + 
            " FROM dwd_visit_record_info " + 
            " ${ew.customSqlSegment} ")
    List<Map<String, String>> listPatientIdByVisitId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
//     @Select(" SELECT a.id, b.main_person_id AS patientId " + 
//             " FROM dwd_visit_record_info a " + 
//             " INNER JOIN dwd_patient_info b ON a.patient_id = b.patient_id " + 
//             " ${ew.customSqlSegment} ")
//     List<Map<String, String>> listPatientIdByVisitId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);

    /**
     * 住院患者
     */
    @Select(" SELECT patient_id AS patientId " + 
            " FROM dwd_inpatient_record_info " + 
            " ${ew.customSqlSegment} ")
    String getPatientIdByInpatientId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
//     @Select(" SELECT b.main_person_id AS patientId " + 
//             " FROM dwd_inpatient_record_info a " + 
//             " INNER JOIN dwd_patient_info b ON a.patient_id = b.patient_id " + 
//             " ${ew.customSqlSegment} ")
//     String getPatientIdByInpatientId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);

    /**
     * 住院患者
     */
    @Select(" SELECT id, patient_id AS patientId " + 
    " FROM dwd_inpatient_record_info " + 
    " ${ew.customSqlSegment} ")
    List<Map<String, String>> listPatientIdByInpatientId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
//     @Select(" SELECT a.id, b.main_person_id AS patientId " + 
//             " FROM dwd_inpatient_record_info a " + 
//             " INNER JOIN dwd_patient_info b ON a.patient_id = b.patient_id " + 
//             " ${ew.customSqlSegment} ")
//     List<Map<String, String>> listPatientIdByInpatientId(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);





}
