package com.xxh.cloud.healthy.mdt.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationAdviceAddDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationAdviceQueryDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.ConsultationAdviceVO;

public interface ConsultationAdviceBizService {
    
    // 发表会诊意见
    void add(ConsultationAdviceAddDTO params);

    // 会诊意见列表（会诊发起人可以查看所有人的会诊意见，参加人只能看到自己的会诊意见）
    List<ConsultationAdviceVO> list(ConsultationAdviceQueryDTO params);

    // 会诊详情
    ConsultationAdviceVO detail(ConsultationAdviceQueryDTO params);
}
