package com.xxh.cloud.healthy.mdt.framework.modules.biz.service;

import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientInpatientChangeClientBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientInpatientRecordClientBO;

import java.util.List;
import java.util.Map;

public interface ConsultationDwdBizService {
    
    // 查询门诊患者id
    String getPatientIdByVisitId(String visitId);

    // 查询门诊患者id
    Map<String, String> mapPatientIdByVisitId(List<String> visitIds);


    // 查询住院患者id
    String getPatientIdByInpatientId(String inpatientId);
    
    // 查询门诊患者id
    Map<String, String> mapPatientIdByInpatientId(List<String> inpatientIds);

    // 查询最新的住院记录
    List<PatientInpatientRecordClientBO> listPatientInpatientChangeLastDateInfo(String patientId);
}
