package com.xxh.cloud.healthy.mdt.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.mdt.framework.modules.base.entity.ConsultationLaunchApplyInfo;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationAdviceAddDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationAdviceQueryDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationNotifyQueryDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.ConsultationAdviceVO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.ConsultationLaunchApplyVO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.ConsultationNotifyVO;

import java.util.List;

public interface ConsultationNotifyInfoBizService {

    void addNotify(ConsultationLaunchApplyInfo applyInfo);

    void addNotify(List<ConsultationLaunchApplyInfo> applyInfoList);

    void updateNotify(ConsultationLaunchApplyInfo applyInfoList);

    void updateNotify(List<ConsultationLaunchApplyInfo> applyInfo);

    void addDoctorRemind(String applyId, String applyDeptName, String applyDoctorName, String patientName);

    PageData<ConsultationNotifyVO> query(ConsultationNotifyQueryDTO params);

    List<ConsultationNotifyVO> list(ConsultationNotifyQueryDTO params);

}
