package com.xxh.cloud.healthy.mdt.framework.modules.task.service;

import java.util.Date;

public interface ConsultationBizTaskService {
    
    // 处理过期数据
    void consultationExpireTask(); 
    
    // 同步海泰会诊申请数据
    void syncHisConsultationApplyTask(); 
    
    // 同步海泰会诊结论数据
    void syncHisConsultationResultTask(Date startTime, Date endTime); 
    
    // 同步海泰会诊结论数据
    void syncHisConsultationResultByTimeTask(String startTime, String endTime); 
    
    
    // 医生参加会诊提醒
    void mdtDoctorJoinRemindTask(String startTime, String endTime); 
    
    
    // 定时任务判断是否有医生超时未接收邀请
    void consultationJoinTaskJobHandler(int timeout); 
    
    

    void consultationLaunchApplyTask(int timeout, Date startDate, Date endDate); 

    void consultationLaunchApplyResultTask(int timeout, Date startDate, Date endDate); 
    
    void labelConsultationLaunchApplyResultTask(Date startTime, Date endTime); 
    
    void consultationAdviceTargetTask(Date startTime, Date endTime);
    
    void consultationAdviceTargetFinishTask(Date startTime, Date endTime);
    
    void consultationStatTask(Date startDate, Date endDate);
    
    void consultationChangeStatTask(Date startDate, Date endDate);
    
}
