package com.xxh.cloud.healthy.mdt.third.bean;

import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.digest.MD5;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MdtHtTaskReq {

    private String serviceId;

    private String sysId;

    private String signature;

    private String unCheckSignature;

    private String unCheckUser;

    private String ipid;

    private String userId;

    private String deptCode;

    public MdtHtTaskReq(String applyId, String ipid, String userId, String deptCode){
        this.serviceId = "otherSystemCreateConsTask";
        this.sysId = applyId;
        this.signature = MD5.create().digestHex(applyId);
        this.unCheckSignature = "Y";
        this.unCheckUser = "Y";
        this.ipid = ipid;
        this.userId = userId;
        if (StrUtil.isNotEmpty(deptCode)) {
            this.deptCode = deptCode;
        } else {
            this.deptCode = "";
        }
    }

}
