package com.xxh.cloud.healthy.mdt.third.bean;


import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 *会诊单申请[包含普通申请]
 * */
@Getter
@Setter
public class SlifeMdtApply {


    /**
     * mdt会诊单模板名称
     * */
    private String mdtTemplateName;


    /**
     * 申请单编号
     */
    private String applyId ;

    /**
     * 申请单详细内容
     */
    private String applyContent ;

    /**
     *住院号
     */
    public String ipid ;

    /**
     * 门诊号(实际是患者id)
     */
    public String pid ;

    /**
     * 申请时间
     */
    public String applyTimeStr ;

    /**
     * 申请时间
     */
    public Date applyTime;


    /**
     * 申请人
     */
    public String applyDocCode ;


    /**
     * 申请人
     */
    public String applyDocName ;


    /**
     * 申请科室
     */
    public String applyDeptCode ;


    /**
     * 申请科室
     */
    public String applyDeptName ;


    /**
     * 会诊单类型 1 mdt 会诊 0其他会诊
     */
    public int applyType ;


    /**
     * 会诊单类型
     */
    public String applyTypeName ;

    /**
     * 提交时间
     */
    public Date submitTime ;

    /**
     * 提交人
     */

    public String submitDocCode ;

    /**
     * 提交人
     */
    public String submitDocName ;

    /**
     * 所在科室
     */
    public String deptCode ;

    /**
     * 所在科室
     */
    public String deptName ;

    /**
     * 所在护士站
     */
    public String wardCode;

    /**
     * 所在护士站
     */
    public String wardName ;


    /**
     * 更新时间
     */
    public String updateTimeStr;

    /**
     * 会诊专家列表
     */
    public List<SlifeMdtApplyDoctor> docList;

    /**
     * 主持人
     */
    // private String summaryUserId;
}
