package com.xxh.cloud.healthy.mdt.third.bean;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 会诊明细
 * */
@Getter
@Setter
public class SlifeMdtApplyDetail {

    /**
     * 明细id
     * */
    public String applyDetailId;

    /**
     * 会诊id
     * */
    public String applyId;

    /**
     * 住院号
     * */
    public String ipid ;

    /**
     * 门诊号
     * */
    public String pid ;

    /**
     *
     * */
    public Date submitTime;

    /**
     *
     * */
    public String updateTimeStr;

    /**
     * 被会诊科室
     * */
    public String mdtDeptCode ;

    /**
     * 被会诊科室
     * */
    public String mdtDeptName ;

    /**
     * 状态 1 已会诊 0 未会诊
     * */
    public int status;

    /**
     *
     * */
    public String deptCode ;

    /**
     *
     * */
    public String deptName ;

    /**
     *
     * */
    public String wardCode;

    /**
     *
     * */
    public String wardName;


    /**
     * 提交人编号
     * */
    public String submitDocCode ;

    /**
     *  提交人名称
     * */
    public String submitDocName ;

    /**
     * 内容
     * */
    public String mdtContent ;

    /**
     * 会诊数据
     * */
    public String xmlContent ;

    /**
     * 随访数据
     * */
    public SlifeMdtApplyDetailVisit visitObject ;


}
