package com.xxh.cloud.healthy.mdt.third.bean;


import lombok.Getter;
import lombok.Setter;

/**
 *会诊单申请附加信息
 * */
@Getter
@Setter
public class SlifeMdtApplyExtras {


    /**
     * mdt会诊单模板id
     * */
    private String mdtTemplateId;

    /**
     * mdt会诊单模板名称
     * */
    private String mdtTemplateName;


    /**
     * 医生编号
     */
    public String docCode;

    /**
     * 医生名称
     */
    public String docName ;

    /**
     * 科室编号
     */
    public String deptCode ;

    /**
     * 科室名称
     */
    public String deptName ;


    /**
     * 人员职责编号
     */
    public String docDuty ;

    /**
     * 人员职责名称
     */
    public String docDutyName ;

}
