package com.xxh.cloud.healthy.mdt.third.bean;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class WecomSendTextcardReq {

    private List<String> toUserList;

    private String title;

    private String description;

    private String url;

    private String btntxt;

    private String convertId;

    private String wecomSource;


    public WecomSendTextcardReq(List<String> toUserList, String title, String description, String url){
        this.toUserList = toUserList;
        this.title = title;
        this.description = description;
        this.convertId = "false";
        this.wecomSource = "Slife";
        if (StrUtil.isNotEmpty(url)) {
            this.url = url;
            this.btntxt = "查看";
        }
    }

    public WecomSendTextcardReq(String toUser, String title, String description, String url){
        this.toUserList = new ArrayList<>();
        this.toUserList.add(toUser);
        if (toUser.length() >= 6) { // 可以传his的6位工号 如果传his工号 convertId就置为 true（默认false）
            this.convertId = "true";
        } else {
            this.convertId = "false";
        }
        this.title = title;
        this.description = description;
        this.wecomSource = "Slife";
        if (StrUtil.isNotEmpty(url)) {
            this.url = url;
            this.btntxt = "查看";
        }
    }

}
