package com.xxh.cloud.healthy.push.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 互联网医院推广信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hd_his_promotion_info")
public class HisPromotionInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "推广码类型")
    private String extendType;

    @ApiModelProperty(value = "推广人员名称")
    private String extendName;

    @ApiModelProperty(value = "推广人员code")
    private String extendCode;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否启用[1.启用]")
    private String enable;

}
