package com.xxh.cloud.healthy.push.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生患者关注数据信息表
 * </p>
 *
 * @author wing
 * @since 2023-12-08
 */
@Data
@TableName("hd_patient_subscribe_data_log")
public class PatientSubscribeDataLog {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 二维码数据id
     */
    @ApiModelProperty(value = "二维码数据id")
    private String qrcodeId;

    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    private String event;

    /**
     * 关注者openid
     */
    @ApiModelProperty(value = "关注者openid")
    private String openId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

}
