package com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushWeixinLogQueryDTO extends BasePageDTO {

    /**
     * 用户分类
     */
    @ApiModelProperty(value = "用户分类")
    private String userType;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private String userId;

    /**
     * 微信用户ID
     */
    @ApiModelProperty(value = "微信用户ID")
    private String openId;

    /**
     * 微信主体编号
     */
    @ApiModelProperty(value = "微信主体编号")
    private String wxAppId;

    /**
     * 关联业务一级分类
     */
    @ApiModelProperty(value = "关联业务一级分类")
    private String bizOneType;

    /**
     * 关联业务二级分类
     */
    @ApiModelProperty(value = "关联业务二级分类")
    private String bizTwoType;

    /**
     * 关联业务ID
     */
    @ApiModelProperty(value = "关联业务ID")
    private String bizId;

    /**
     * 推送状态
     */
    @ApiModelProperty(value = "推送状态")
    private String sendStatus;

}
