package com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class WechatQRCodeDataUpdateDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "拥有者类型[护士/护工/医生/机器等]")
    private String ownerType;

    @ApiModelProperty(value = "拥有者名字")
    private String ownerName;

}
