package com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import com.xxh.cloud.healthy.push.framework.modules.base.entity.WeixinUserPatientBindInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 同步海鹚用户信息，并更新已同步过的状态
 */
@Getter
@Setter
public class WeixinUserSyncDTO extends BaseEntity {

    @ApiModelProperty(value = "保存需要同步的用户列表")
    private List<WeixinUserPatientBindInfo> saveList;

    @ApiModelProperty(value = "更新已经同步的用户列表")
    private List<String> updateList;

}
