package com.xxh.cloud.healthy.push.framework.modules.biz.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties("wechat.mp")
public class WechatConfig {
    
    // 患者推送模版信息
    private WechatTemplateConfig patient;

    // 医生推送模版信息
    private WechatTemplateConfig doctor;

}
