package com.xxh.cloud.healthy.push.framework.modules.biz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import com.xxh.cloud.healthy.push.framework.modules.base.entity.WeixinUserInfo;
import com.xxh.cloud.healthy.push.framework.modules.base.entity.WeixinUserPatientBindInfo;

public interface WechatMapper {

    @Insert({
        "<script>",
        "INSERT INTO hl_weixin_user_info (id, open_id, union_id, is_sync, create_date, update_date) VALUES ",
        "<foreach collection='dataList' item='item' index='index' separator=','>",
        "(#{item.id}, #{item.openId}, #{item.unionId}, #{item.isSync}, #{item.createDate}, #{item.updateDate})",
        "</foreach>",
        "</script>"
    })
    Long saveWechatUserInfoBatch(@Param("dataList") List<WeixinUserInfo> dataList);

    @Insert({
        "<script>",
        "INSERT INTO hl_weixin_user_patient_bind_info ( " + 
        "  id, wx_user_id, wx_open_id, wx_union_id, birthday, patient_id, patient_name, patient_mobile, id_type, id_no, pat_his_no, " + 
        "  pat_card_type, pat_card_type_name, pat_card_no, is_default, patient_sex, relation_type, relation_name, patient_type, " + 
        "  patient_type_name, health_card_flag, ext_fields, create_date, update_date " + 
        ") VALUES ",
        "<foreach collection='dataList' item='item' index='index' separator=','>",
        "(" + 
        "  #{item.id}, #{item.wxUserId}, #{item.wxOpenId}, #{item.wxUnionId}, #{item.birthday}, #{item.patientId}, #{item.patientName}, " + 
        "  #{item.patientMobile}, #{item.idType}, #{item.idNo}, #{item.patHisNo}, #{item.patCardType}, #{item.patCardTypeName}, #{item.patCardNo}, " + 
        "  #{item.isDefault}, #{item.patientSex}, #{item.relationType}, #{item.relationName}, #{item.patientType}, #{item.patientTypeName}, " + 
        "  #{item.healthCardFlag}, #{item.extFields}, #{item.createDate}, #{item.updateDate} " + 
        ")",
        "</foreach>",
        "</script>"
    })
    Long saveUserInfoBatch(@Param("dataList") List<WeixinUserPatientBindInfo> dataList);

}
