package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ScaleConfigCategorySaveDTO {



    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "图标")
    private String icon;


    @ApiModelProperty(value = "上级分类ID")
    private String pid= Constant.RootParentNodeId;


    @ApiModelProperty(value = "顺序")
    private Integer orders;
}
