package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ScaleConfigCategoryUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "图标")
    private String icon;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


}
