package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ScaleConfigInfoQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类ID")
    private String categoryId;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "类别(ScaleConfigTypeEnum)")
    private String type;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "结果配置是否为空标记")
    private String resultConfigNullFlag;

}
