package com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ScaleItemConfigVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "量表Id")
    private String scaleConfigId;


    @ApiModelProperty(value = "标准元数据")
    private String metadataId;


    @ApiModelProperty(value = "题型分类")
    private String type;


    @ApiModelProperty(value = "题型标题")
    private String title;


    @ApiModelProperty(value = "题型副标题")
    private String subTitle;


    @ApiModelProperty(value = "序号")
    private Integer orders;

    @ApiModelProperty(value = "是否不为空标识")
    private String notNullFlag;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    @ApiModelProperty(value = "题型内容(输入框)")
    private ScaleItemConfigContentInputVO inputContent;

    @ApiModelProperty(value = "题型内容(日期框)")
    private ScaleItemConfigContentDateVO dateContent;

    @ApiModelProperty(value = "题型内容(选择)")
    private ScaleItemConfigContentListVO listContent;




    //============================================




}
