package com.xxh.cloud.healthy.scale.framework.modules.result.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 量表评估结果明细表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_scale_item_result_info")
public class ScaleItemResultInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 评估结果ID
     */
     @ApiModelProperty(value = "评估结果ID")
      private String scaleResultId;

    /**
     * 量表配置明细ID
     */
     @ApiModelProperty(value = "量表配置明细ID")
      private String scaleItemConfigId;

    /**
     * 量表配置明细元数据ID
     */
     @ApiModelProperty(value = "量表明细配置")
      private String scaleItemConfig;

    /**
     * 结果值
     */
     @ApiModelProperty(value = "结果值")
      private String resultVal;




}
