package com.xxh.cloud.healthy.serve.label.client.api.bean.bos;

import java.util.Date;
import java.util.List;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;

// zs20230920
@Getter
@Setter
public class PatientLabelBO {

    private String id;
    
    private String patientId;

    private String labelId;

    private String isValidity;

    private Integer validityNum;

    private String validityValue;

    private String remark;

    private String creator;

    private Date createDate;

    private String sourceType;

    private String sourceRelId;

    private String sourceRelTwoId;

    private Date dataDt;

    // zs20231124
    // 扩展字段1")
    private String extend1;

    // 扩展字段2")
    private String extend2;

    // 扩展字段3")
    private String extend3;

    // 扩展字段4")
    private String extend4;


    /**
     * 标签数据
     */

    // 标签
    private String labelName;
    // 所属标签分类
    private String categoryId;
    // 病种ID
    private List<String> diseaseIds;
    // 统计维度分类
    private String statDimensionType;
    // 病种
    private List<Map<String,String>> diseaseList;
    // 业务分类
    private String bizType;

    // 标签分类名称
    private String labelCategoryName;

    /**
     * 患者信息
     */
    
    // 患者姓名
    private String patientName;

    // 标准性别
    private String patientGenderStandard;

    // 生日
    private String birthday;

    // 电话号码
    private String phone;

    // 年龄
    private String age;

    // 死亡状态(Y生 N死)
    private String deathStatus;

    // 死亡时间
    private String deathTime;

}
