package com.xxh.cloud.healthy.serve.label.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 标签患者数据表
 * </p>
 *
 */
@Data
@TableName("hd_label_patient_data_info")
public class LabelPatientDataInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 标签ID
     */
    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "患者数量")
    private Integer patientNum;

    @ApiModelProperty(value = "数据统计时间")
    private Date dataDt;

}
