package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

// zs:2023-09-18
@Getter
@Setter
public class PatientLabelAddBatchDTO {

    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "标签信息列表")
    @NotEmpty(message = "标签信息列表[labelList]不能为空")
    private List<PatientLabelDTO> labelList;

    @ApiModelProperty(value = "操作者")
    private String opUser;

    // zs20230920
    // @ApiModelProperty(value = "来源分类")
    // private String sourceType;

    // @ApiModelProperty(value = "来源关联ID")
    // private String sourceRelId;

    // @ApiModelProperty(value = "来源关联TwoID")
    // private String sourceRelTwoId;

    // @ApiModelProperty(value = "患者数据时间")
    // private Date dataDt;

}
