package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientLabelDirectRemoveDTO {

    // 四个必须参数至少指定一个
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "标签ID列表")
    private List<String> labelIds;


    // 额外参数

    @ApiModelProperty(value = "来源分类")
    private String sourceType;

    @ApiModelProperty(value = "来源关联ID")
    private String sourceRelId;

    @ApiModelProperty(value = "来源关联TwoID")
    private String sourceRelTwoId;

    @ApiModelProperty(value = "患者数据时间：开始时间")
    private Date startDate;

    @ApiModelProperty(value = "患者数据时间：结束时间")
    private Date endDate;

}
