package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientLabelRemoveDTO {
    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "标签ID")
    @NotEmpty(message = "标签ID[labelId]不能为空")
    private List<String> labelIds;

    @ApiModelProperty(value = "操作者")
    private String opUser;

    @ApiModelProperty(value = "操作动作分类[OpTypeEnum]")
    private String opType;

}
