package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

// zs:20231101
@Getter
@Setter
public class PatientLabelSaveDTO {

    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "标签id")
    @NotEmpty(message = "标签id[labelId]不能为空")
    private String labelId;

    @ApiModelProperty(value = "操作者")
    private String opUser;

    @ApiModelProperty(value = "来源分类")
    private String sourceType;

    @ApiModelProperty(value = "来源关联ID")
    private String sourceRelId;

    @ApiModelProperty(value = "来源关联TwoID")
    private String sourceRelTwoId;

    @ApiModelProperty(value = "患者数据时间")
    private Date dataDt;

    @ApiModelProperty(value = "有效期天数")
    private Integer validityNum;

    @ApiModelProperty(value = "备注")
    private String remark;

    // zs20231124
    @ApiModelProperty(value = "扩展字段1")
    private String extend1;

    @ApiModelProperty(value = "扩展字段2")
    private String extend2;

    @ApiModelProperty(value = "扩展字段3")
    private String extend3;

    @ApiModelProperty(value = "扩展字段4")
    private String extend4;


}
