package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos;

import java.util.Date;
import java.util.List;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class LabelPatientDataVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "患者数量")
    private Integer patientNum;

    @ApiModelProperty(value = "数据统计时间")
    private Date dataDt;

    // 标签数据

    @ApiModelProperty(value = "名称")
    private String labelName;

    @ApiModelProperty(value = "所属标签分类")
    private String labelCategoryId;

    @ApiModelProperty(value = "状态")
    private String labelStatus;

    @ApiModelProperty(value = "统计维度分类列表")
    private String labelStatDimensionType;

    @ApiModelProperty(value = "业务分类")
    private String labelBizType;

    @ApiModelProperty(value = "标签备注")
    private String labelRemark;

    @ApiModelProperty(value = "病种ID")
    private List<String> diseaseIds;

    @ApiModelProperty(value = "病种数据")
    private List<Map<String,String>> diseaseList;


    @ApiModelProperty(value = "二级业务分类")
    private String labelBizTwoType;

    @ApiModelProperty(value = "三级业务分类")
    private String labelBizThreeType;

}
