package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientLabelInfoVO {

    @ApiModelProperty(value = "id")
    private String id;
    
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    // zs20230920
    @ApiModelProperty(value = "来源分类")
    private String sourceType;

    @ApiModelProperty(value = "来源关联ID")
    private String sourceRelId;

    @ApiModelProperty(value = "来源关联TwoID")
    private String sourceRelTwoId;

    @ApiModelProperty(value = "患者数据时间")
    private Date dataDt;

    // zs20231124
    @ApiModelProperty(value = "扩展字段1")
    private String extend1;

    @ApiModelProperty(value = "扩展字段2")
    private String extend2;

    @ApiModelProperty(value = "扩展字段3")
    private String extend3;

    @ApiModelProperty(value = "扩展字段4")
    private String extend4;

    

    
    // 患者姓名
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    // 标准性别
    @ApiModelProperty(value = "标准性别")
    private String patientGenderStandard;

    // 身份证号
    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    // 生日
    @ApiModelProperty(value = "生日")
    private String birthday;

    // 电话号码
    @ApiModelProperty(value = "电话号码")
    private String phone;

    // 年龄
    @ApiModelProperty(value = "年龄")
    private Integer age;

    // 数据更新时间
    @ApiModelProperty(value = "数据更新时间")
    private Date dataUpdateDate;

}
