package com.xxh.cloud.healthy.serve.pushServe.client.api.bean.bo;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

public class PatientPushServeClientBO {

    /**
     * id
     */
    private String id;

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 推送服务快照ID
     */
    private String snapshotId;

    /**
     * 推送服务ID
     */
    private String pushServeId;

    /**
     * 推送服务名称
     */
    private String pushServeName;

    /**
     * 推送服务内部名称
     */
    private String pushServeTitle;

    /**
     * 基准发送时间内容
     */
    private String benchmarkDateValue;

    /**
     * 发送时间列表
     */
    private List<String> sendDateList;

    /**
     * 已发送时间列表
     */
    private List<String> sendDateListYes;

    /**
     * 未发送时间列表
     */
    private List<String> sendDateListNo;

    /**
     * 发送状态
     */
    private String sendStatus;

    private PushServeConfigBO pushServeConfig;

    private String sendDate;

    private String pushContentType;

    private String pushContentId;

    // zs20231021
    private String remindWay;

    private Date createDate;

    // 阅读时间
    private Date readDate;

    // 是否阅读
    private String read;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getSnapshotId() {
        return snapshotId;
    }

    public void setSnapshotId(String snapshotId) {
        this.snapshotId = snapshotId;
    }

    public String getPushServeId() {
        return pushServeId;
    }

    public void setPushServeId(String pushServeId) {
        this.pushServeId = pushServeId;
    }

    public String getPushServeName() {
        return pushServeName;
    }

    public void setPushServeName(String pushServeName) {
        this.pushServeName = pushServeName;
    }

    public String getPushServeTitle() {
        return pushServeTitle;
    }

    public void setPushServeTitle(String pushServeTitle) {
        this.pushServeTitle = pushServeTitle;
    }

    public String getBenchmarkDateValue() {
        return benchmarkDateValue;
    }

    public void setBenchmarkDateValue(String benchmarkDateValue) {
        this.benchmarkDateValue = benchmarkDateValue;
    }

    public List<String> getSendDateList() {
        return sendDateList;
    }

    public void setSendDateList(List<String> sendDateList) {
        this.sendDateList = sendDateList;
    }

    public List<String> getSendDateListYes() {
        return sendDateListYes;
    }

    public void setSendDateListYes(List<String> sendDateListYes) {
        this.sendDateListYes = sendDateListYes;
    }

    public List<String> getSendDateListNo() {
        return sendDateListNo;
    }

    public void setSendDateListNo(List<String> sendDateListNo) {
        this.sendDateListNo = sendDateListNo;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public PushServeConfigBO getPushServeConfig() {
        return pushServeConfig;
    }

    public void setPushServeConfig(PushServeConfigBO pushServeConfig) {
        this.pushServeConfig = pushServeConfig;
    }

    public String getSendDate() {
        return sendDate;
    }

    public void setSendDate(String sendDate) {
        this.sendDate = sendDate;
    }

    public String getPushContentType() {
        return pushContentType;
    }

    public void setPushContentType(String pushContentType) {
        this.pushContentType = pushContentType;
    }

    public String getPushContentId() {
        return pushContentId;
    }

    public void setPushContentId(String pushContentId) {
        this.pushContentId = pushContentId;
    }

    public String getRemindWay() {
        return remindWay;
    }

    public void setRemindWay(String remindWay) {
        this.remindWay = remindWay;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getReadDate() {
        return readDate;
    }

    public void setReadDate(Date readDate) {
        this.readDate = readDate;
    }

    public String getRead() {
        return read;
    }

    public void setRead(String read) {
        this.read = read;
    }

}
