package com.xxh.cloud.healthy.serve.pushServe.client.api.bean.dto;

import java.util.List;

public class PatientScheduleQueryClientDTO {

    /**
     * 部门Id
     */
      private String deptId;

    /**
     * id
     */
      private String id;

    /**
     * 患者编号
     */
      private String patientId;

    /**
     * 患者编号列表
     */
      private List<String> patientIds;

    /**
     * 用户ID
     */
      private String userId;

    /**
     * 用户ID列表
     */
      private List<String> userIds;

    /**
     * 执行业务ID[patientPushServeId]
     */
      private String bizId;

     // 执行业务ID列表[patientPushServeId]
      private List<String> bizIds;

    /**
     * 日程状态
     */
      private String status;

    // 查询格式[bizId-scheduleDate]
    private List<String> bizIdAndScheduleDate;

    // 查询开始时间
    private String startDate;

    // 查询结束时间
    private String endDate;

    // 查询参数格式[biz_id-user_id-push_date]
    private List<String> querParams;

    public String getStartDate() {
      return startDate;
    }

    public void setStartDate(String startDate) {
      this.startDate = startDate;
    }

    public String getEndDate() {
      return endDate;
    }

    public void setEndDate(String endDate) {
      this.endDate = endDate;
    }

    public String getDeptId() {
      return deptId;
    }

    public void setDeptId(String deptId) {
      this.deptId = deptId;
    }

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public List<String> getPatientIds() {
      return patientIds;
    }

    public void setPatientIds(List<String> patientIds) {
      this.patientIds = patientIds;
    }

    public String getUserId() {
      return userId;
    }

    public void setUserId(String userId) {
      this.userId = userId;
    }

    public List<String> getUserIds() {
      return userIds;
    }

    public void setUserIds(List<String> userIds) {
      this.userIds = userIds;
    }

    public String getBizId() {
      return bizId;
    }

    public void setBizId(String bizId) {
      this.bizId = bizId;
    }

    public List<String> getBizIds() {
      return bizIds;
    }

    public void setBizIds(List<String> bizIds) {
      this.bizIds = bizIds;
    }

    public String getStatus() {
      return status;
    }

    public void setStatus(String status) {
      this.status = status;
    }

    public List<String> getBizIdAndScheduleDate() {
      return bizIdAndScheduleDate;
    }

    public void setBizIdAndScheduleDate(List<String> bizIdAndScheduleDate) {
      this.bizIdAndScheduleDate = bizIdAndScheduleDate;
    }

    public List<String> getQuerParams() {
      return querParams;
    }

    public void setQuerParams(List<String> querParams) {
      this.querParams = querParams;
    }

}
