package com.xxh.cloud.healthy.serve.pushServe.client.api.constant;

// 患者复诊
public class PatientReturnVisitConstant {
    
    // 患者复诊类型
    public enum Type {
        MZ("MZ","门诊"),
        CY("CY", "出院"),
        HZ("HZ", "会诊"),

        ;

        private String code;
        private String msg;
        private Type(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    // 患者复诊来源类型
    public enum SourceType {
        Follow_Up("follow_up","随访"),

        ;

        private String code;
        private String msg;
        private SourceType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    // 患者复诊状态
    public enum Status {
        Not_Follow_Up("not_follow_up","未随访"),
        Follow_Up("follow_up", "已随访"),
        Return_Visit("return_visit","已复诊"),
        Not_Return_Visit("not_return_visit", "未复诊"),

        ;

        private String code;
        private String msg;
        private Status(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    // 患者复诊操作类型
    public enum OpType {
        Task("task","系统生成"),

        ;

        private String code;
        private String msg;
        private OpType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

}
