package com.xxh.cloud.healthy.serve.pushServe.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者推送服务配置快照表
 * </p>
 *
 * @author anros
 * @since 2023-09-19
 */
@Data
@TableName("h_patient_push_serve_config_snapshot_info")
public class PatientPushServeConfigSnapshotInfo{

    private static final long serialVersionUID = 1L;

    /**
     * 推送服务快照KEY
     */
     @ApiModelProperty(value = "推送服务快照KEY")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 推送服务ID
     */
     @ApiModelProperty(value = "推送服务ID")
      private String pushServeId;

    /**
     * 推送服务配置快照
     */
     @ApiModelProperty(value = "推送服务配置快照")
      private String pushServeConfig;

    /**
     * 操作者
     */
     @ApiModelProperty(value = "操作者")
      private String opUser;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;


}
