package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeDateQueryParam {

    /**
     * 患者推送服务id
     */
    @ApiModelProperty(value = "患者推送服务id")
    private String patientPushServeId;

    /**
     * 患者推送服务id列表
     */
    @ApiModelProperty(value = "患者推送服务id列表")
    private List<String> patientPushServeIds;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

}
