package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeHistoryQueryParam extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * id列表
     */
    @ApiModelProperty(value = "id列表")
    private List<String> ids;

    /**
     * 患者推送服务id
     */
    @ApiModelProperty(value = "患者推送服务id")
    private String patientPushServeId;

    /**
     * 患者推送服务id列表
     */
    @ApiModelProperty(value = "患者推送服务id列表")
    private List<String> patientPushServeIds;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    // 患者姓名
    @ApiModelProperty(value = "患者姓名")
    private String patientName;
    
    /**
     * 推送服务ID
     */
    @ApiModelProperty(value = "推送服务ID")
    private String pushServeId;

    @ApiModelProperty(value = "推送服务IDs")
    private List<String> pushServeIds;

    /**
     * 推送服务名称
     */
    @ApiModelProperty(value = "推送服务名称")
    private String pushServeName;

    /**
     * 推送服务内部名称
     */
    @ApiModelProperty(value = "推送服务内部名称")
    private String pushServeTitle;

    @ApiModelProperty(value = "发送状态")
    private String sendStatus;

    @ApiModelProperty(value = "需要发送的时间列表")
    private List<String> sendDateList;

    @ApiModelProperty(value = "限制查询数量")
    private Integer limit;

    /**
     * 操作动作分类
     */
    @ApiModelProperty(value = "操作动作分类")
    private String opType;

    @ApiModelProperty(value = "提醒方式")
    private String remindWay;

    
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "提醒方式")
    private Date endDate;
}
