package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeUpdateDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    // zs20230922: 需要根据发送时间更新发送时间列表
    @ApiModelProperty(value = "当前要发送的时间", required = true)
    @NotEmpty(message = "当前要发送的时间[sendDate]不能为空")
    private String sendDate;

    @ApiModelProperty(value = "操作者")
    private String opUser;

}
