package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServiceDataQueryDTO extends BasePageDTO {
    
    /**
     * 患者推送服务id
     */
    @ApiModelProperty(value = "患者推送服务id")
    private String patientPushServeId;

    @ApiModelProperty(value = "患者推送服务id列表")
    private List<String> patientPushServeIds;

    // 服务名称
    @ApiModelProperty(value = "服务名称")
    private String pushServiceName;

    /**
     * 推送服务ID
     */
    @ApiModelProperty(value = "推送服务ID")
    private String pushServeId;

    @ApiModelProperty(value = "推送服务IDs")
    private List<String> pushServeIds;

    // 患者编号
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    // 患者姓名
    @ApiModelProperty(value = "患者姓名")
    private String patientName;
    
    // 开始时间
    @ApiModelProperty(value = "开始时间")
    private Date startDate;
    
    // 结束时间
    @ApiModelProperty(value = "结束时间")
    private Date endDate;
    
    // 是否推送
    @ApiModelProperty(value = "是否推送")
    private String isPush;
    
    // 是否阅读
    @ApiModelProperty(value = "是否阅读")
    private String isBrowse;
}
