package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientRemindQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "业务ID")
    private String bizId;

    @ApiModelProperty(value = "业务IDs")
    private List<String> bizIds;

    @ApiModelProperty(value = "业务一级分类[ObjectTypeEnum.OT_OneType_PatientPushServe]")
    private String bizOneType;

    @ApiModelProperty(value = "推送渠道[PushWayEnum]")
    private String pushChannel;

    @ApiModelProperty(value = "推送状态")
    private String pushStatus;

    @ApiModelProperty(value = "查询参数格式[biz_id-user_id-push_date]")
    private List<String> querParams;

    @ApiModelProperty(value = "查询格式[bizId-pushDate]")
    private List<String> bizIdAndPushDate;

    @ApiModelProperty(value = "查询开始日期")
    private Date startDate;

    @ApiModelProperty(value = "查询结束日期")
    private Date endDate;

    @ApiModelProperty(value = "查询数量限制")
    private Integer limit;

}
