package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Setter
@Getter
public class PatientReturnVisitAddDTO {

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 就诊类型
     */
    @ApiModelProperty(value = "就诊类型")
    private String visitType;

    /**
     * 门诊号
     */
    @ApiModelProperty(value = "门诊号/住院号")
    private String visitId;

    /**
     * 复诊来源类型
     */
    @ApiModelProperty(value = "复诊来源类型")
    private String sourceType;

    /**
     * 复诊来源id
     */
    @ApiModelProperty(value = "复诊来源id")
    private String sourceId;

    /**
     * 复诊来源科室
     */
    @ApiModelProperty(value = "复诊来源科室")
    private String sourceDeptId;

    /**
     * 复诊来源时间
     */
    @ApiModelProperty(value = "复诊来源时间")
    private String sourceTime;

    /**
     * 复诊科室组
     */
    @ApiModelProperty(value = "复诊科室组")
    private List<String> deptIds;

    /**
     * 实际复诊科室
     */
    @ApiModelProperty(value = "实际复诊科室")
    private String deptId;

    /**
     * 复诊内容
     */
    @ApiModelProperty(value = "复诊内容")
    private String content;

    /**
     * 设定复诊开始时间
     */
    @ApiModelProperty(value = "设定复诊开始时间")
    private Date visitStartTime;

    /**
     * 设定复诊结束时间
     */
    @ApiModelProperty(value = "设定复诊结束时间")
    private Date visitEndTime;

    /**
     * 实际复诊时间
     */
    @ApiModelProperty(value = "实际复诊时间")
    private Date realTime;

    /**
     * 复诊状态
     */
    @ApiModelProperty(value = "复诊状态")
    private String status;

    /**
     * 操作类型
     */
    @ApiModelProperty(value = "操作类型")
    private String opType;

}
