package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientScheduleGetDTO {

    /**
     * 部门Id
     */
     @ApiModelProperty(value = "部门Id")
      private String deptId;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 患者编号列表
     */
     @ApiModelProperty(value = "患者编号列表")
      private List<String> patientIds;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户ID列表
     */
     @ApiModelProperty(value = "用户ID列表")
      private List<String> userIds;

    // zs20231021
     @ApiModelProperty(value = "日程类型[RemindWayEnum]")
      private String scheduleType;
     @ApiModelProperty(value = "日程类型列表[RemindWayEnum]")
      private List<String> scheduleTypes;

}
