package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.vos;

import com.company.cloud.sdk.weixin.mp.model.msgmanage.SendTempMsgModel;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientPushServeRemindRemoteVO {

    // 指明是哪个提醒发送的消息，在callback时传过来，另外还需要传过来微信错误码和错误信息
    @ApiModelProperty(value = "消息id")
    private String id;

    // 指明要查询的消息类型：微信/短信/ai语音电话
    @ApiModelProperty(value = "推送渠道[PushWayEnum]")
    private String pushChannel;

    @ApiModelProperty(value = "可直接发送的微信消息")
    private SendTempMsgModel wechatMsg;

    // TODO 短信数据

    // TODO AI语音电话

}
