package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

import io.swagger.annotations.ApiModelProperty;

// 服务数据统计详情
@Getter
@Setter
public class PatientPushServiceDataDetailVO {

    @ApiModelProperty(value = "患者推送服务id")
    private String pushServiceName;
    @ApiModelProperty(value = "推送服务内部名称")
    private String pushServiceTitle;
    @ApiModelProperty(value = "患者推送服务id")
    private String patientPushServiceId;

    // 提醒信息
    @ApiModelProperty(value = "用户ID（家属）")
    private String userId;
    @ApiModelProperty(value = "家属关系")
    private String familyRelation;
    
    @ApiModelProperty(value = "推送时间")
    private Date pushServiceDate;
    @ApiModelProperty(value = "服务推送状态（只要提醒推送家属有成功的就设置为成功）")
    private String pushServiceStatus;
    @ApiModelProperty(value = "服务推送状态码（微信推送消息状态码）")
    private String pushServiceErrorCode;
    @ApiModelProperty(value = "服务推送错误信息（微信推送消息错误信息，若没有需要推送的家属则直接设置为“无家属信息”）")
    private String pushServiceErrorMsg;

    // 家属行为信息
    @ApiModelProperty(value = "阅读时间")
    private String readDate;
    @ApiModelProperty(value = "是否阅读")
    private String read;
    // @ApiModelProperty(value = "是否感兴趣")
    // private String interested;

    @ApiModelProperty(value = "推送服务配置快照")
    private PushServeConfigBO pushServeConfig;

}
