package com.xxh.cloud.healthy.serve.pushTask.client.api.bean.bo;

import java.util.Date;

/**
 * <p>
 * 医生随访表
 * </p>
 */
public class DoctorFollowUpBO {

    /**
     * id
     */
    private String id;

    /**
     * 随访类型
     */
    private String type;

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 住院号
     */
    private String inpatientId;

    /**
     * 门诊号
     */
    private String visitId;

    /**
     * 相关疾病ID
     */
    private String diseaseId;

    /**
     * 随访医生ID
     */
    private String doctorId;

    /**
     * 随访内容
     */
    private String content;

    /**
     * 设定随访时间
     */
    private Date followTime;

    /**
     * 实际随访时间
     */
    private Date realTime;

    /**
     * 随访状态
     */
    private String status;

    // 患者姓名
    private String patientName;

    // 标准性别
    private String patientGenderStandard;

    // 生日
    private String patientBirthday;

    // 电话号码
    private String patientPhone;

    // 年龄
    private String patientAge;

    // 死亡状态(Y生 N死)
    private String patientDeathStatus;

    // 死亡时间
    private String patientDeathTime;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getType() {
      return type;
    }

    public void setType(String type) {
      this.type = type;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getInpatientId() {
      return inpatientId;
    }

    public void setInpatientId(String inpatientId) {
      this.inpatientId = inpatientId;
    }

    public String getVisitId() {
      return visitId;
    }

    public void setVisitId(String visitId) {
      this.visitId = visitId;
    }

    public String getDiseaseId() {
      return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
      this.diseaseId = diseaseId;
    }

    public String getDoctorId() {
      return doctorId;
    }

    public void setDoctorId(String doctorId) {
      this.doctorId = doctorId;
    }

    public String getContent() {
      return content;
    }

    public void setContent(String content) {
      this.content = content;
    }

    public Date getFollowTime() {
      return followTime;
    }

    public void setFollowTime(Date followTime) {
      this.followTime = followTime;
    }

    public Date getRealTime() {
      return realTime;
    }

    public void setRealTime(Date realTime) {
      this.realTime = realTime;
    }

    public String getStatus() {
      return status;
    }

    public void setStatus(String status) {
      this.status = status;
    }

    public String getPatientName() {
      return patientName;
    }

    public void setPatientName(String patientName) {
      this.patientName = patientName;
    }

    public String getPatientGenderStandard() {
      return patientGenderStandard;
    }

    public void setPatientGenderStandard(String patientGenderStandard) {
      this.patientGenderStandard = patientGenderStandard;
    }

    public String getPatientBirthday() {
      return patientBirthday;
    }

    public void setPatientBirthday(String patientBirthday) {
      this.patientBirthday = patientBirthday;
    }

    public String getPatientPhone() {
      return patientPhone;
    }

    public void setPatientPhone(String patientPhone) {
      this.patientPhone = patientPhone;
    }

    public String getPatientAge() {
      return patientAge;
    }

    public void setPatientAge(String patientAge) {
      this.patientAge = patientAge;
    }

    public String getPatientDeathStatus() {
      return patientDeathStatus;
    }

    public void setPatientDeathStatus(String patientDeathStatus) {
      this.patientDeathStatus = patientDeathStatus;
    }

    public String getPatientDeathTime() {
      return patientDeathTime;
    }

    public void setPatientDeathTime(String patientDeathTime) {
      this.patientDeathTime = patientDeathTime;
    }

}
