package com.xxh.cloud.healthy.serve.pushTask.client.api.bean.dto;

import java.util.Date;

/**
 * <p>
 * 医生随访表
 * </p>
 */
public class DoctorFollowUpClientAddDTO {

    /**
     * 随访类型
     */
    private String type;

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 门诊号/住院号
     */
    private String visitId;

    /**
     * 相关疾病ID
     */
    private String diseaseId;

    /**
     * 随访医生ID
     */
    private String doctorId;

    /**
     * 随访内容
     */
    private String content;

    /**
     * 随访备注
     */
    private String remark;

    /**
     * 设定随访时间
     */
    private Integer followTime;

    /**
     * 设定随访时间
     */
    private Date followDate;

    /**
     * 操作类型
     */
    private String opType;

    /**
     * 会诊id
     */
    private String consultationId;

    /**
     * 来源科室
     */
    private String sourceDeptId;

    /**
     * 来源时间
     */
    private Date sourceDate;

    /**
     * 关联个案id
     */
    private String crmRelationId;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
        this.diseaseId = diseaseId;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getFollowTime() {
        return followTime;
    }

    public void setFollowTime(Integer followTime) {
        this.followTime = followTime;
    }

    public Date getFollowDate() {
        return followDate;
    }

    public void setFollowDate(Date followDate) {
        this.followDate = followDate;
    }

    public String getOpType() {
        return opType;
    }

    public void setOpType(String opType) {
        this.opType = opType;
    }

    public String getConsultationId() {
        return consultationId;
    }

    public void setConsultationId(String consultationId) {
        this.consultationId = consultationId;
    }

    public String getSourceDeptId() {
        return sourceDeptId;
    }

    public void setSourceDeptId(String sourceDeptId) {
        this.sourceDeptId = sourceDeptId;
    }

    public Date getSourceDate() {
        return sourceDate;
    }

    public void setSourceDate(Date sourceDate) {
        this.sourceDate = sourceDate;
    }

    public String getCrmRelationId() {
        return crmRelationId;
    }

    public void setCrmRelationId(String crmRelationId) {
        this.crmRelationId = crmRelationId;
    }
}
