package com.xxh.cloud.healthy.serve.pushTask.client.api.bean.dto;

import java.util.List;

/**
 * <p>
 * 医生(运营助理)关系表
 * </p>
 */
public class DoctorRelationClientQueryDTO {

    /**
     * id
     */
    private String id;

    /**
     * 关联类型（医生科室/医生病种）
     */
    private String type;

    /**
     * 医生ID
     */
    private String doctorId;

    private List<String> doctorIds;

    /**
     * 关联id（部门/病种）
     */
    private String relationId;

    private List<String> relationIds;

    /**
     * 关联状态
     */
    private String status;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public List<String> getDoctorIds() {
        return doctorIds;
    }

    public void setDoctorIds(List<String> doctorIds) {
        this.doctorIds = doctorIds;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public List<String> getRelationIds() {
        return relationIds;
    }

    public void setRelationIds(List<String> relationIds) {
        this.relationIds = relationIds;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
