package com.xxh.cloud.healthy.serve.pushTask.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访日统计表
 * </p>
 */
@Data
@TableName("hd_doctor_follow_up_one_day_info")
public class DoctorFollowUpOneDayInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 日期(天)
     */
    @ApiModelProperty(value = "日期(天)")
    private String bizDay;

    /**
     * 随访医生ID
     */
    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    /**
     * 总随访数量
     */
    @ApiModelProperty(value = "总随访数量")
    private Integer totalNum;

    /**
     * 实际总随访数量
     */
    @ApiModelProperty(value = "实际总随访数量")
    private Integer realNum;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opDate;


}
