package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访日统计表
 * </p>
 */
@Getter
@Setter
public class DoctorFollowUpOneDayQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

}
