package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访表
 * </p>
 */
@Getter
@Setter
public class DoctorFollowUpUpdateDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 随访类型
     */
    @ApiModelProperty(value = "随访类型")
    private String type;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 门诊号/住院号
     */
    @ApiModelProperty(value = "门诊号/住院号")
    private String visitId;

    /**
     * 相关疾病ID
     */
    @ApiModelProperty(value = "相关疾病ID")
    private String diseaseId;

    /**
     * 随访医生ID
     */
    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    /**
     * 随访内容
     */
    @ApiModelProperty(value = "随访内容")
    private String content;

    /**
     * 随访备注
     */
    @ApiModelProperty(value = "随访备注")
    private String remark;

    /**
     * 设定随访时间
     */
    @ApiModelProperty(value = "设定随访时间")
    private Integer followTime;

    /**
     * 实际随访时间
     */
    @ApiModelProperty(value = "实际随访时间")
    private Date realTime;

    /**
     * 随访状态
     */
    @ApiModelProperty(value = "随访状态")
    private String status;

    /**
     * 操作类型
     */
    @ApiModelProperty(value = "操作类型")
    private String opType;

}
