package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorScheduleQueryDTO extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

     @ApiModelProperty(value = "医生IDs")
      private List<String> doctorIds;

    /**
     * 业务一级分类
     */
     @ApiModelProperty(value = "业务一级分类")
      private String bizOneType;

    /**
     * 业务二级分类
     */
     @ApiModelProperty(value = "业务二级分类")
      private String bizTwoType;

    /**
     * 执行业务ID
     */
     @ApiModelProperty(value = "执行业务ID")
      private String bizId;

    /**
     * 日程状态
     */
     @ApiModelProperty(value = "日程状态")
      private String status;

    /**
     * 查询日期
     */
     @ApiModelProperty(value = "查询日期")
     private String date;

    /**
     * 查询开始日期
     */
     @ApiModelProperty(value = "查询开始日期")
     private String startDate;

    /**
     * 查询结束日期
     */
     @ApiModelProperty(value = "查询结束日期")
     private String endDate;

     @ApiModelProperty(value = "紧急等级[RemindLevelEnum]")
     private String urgentLevel;
 
}
