package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TaskDoctorInfoAddDTO {

    @ApiModelProperty(value = "任务ID")
    @NotEmpty(message = "任务ID[taskId]不能为空")
    private String taskId;

    // @ApiModelProperty(value = "任务名称")
    // private String taskName;

    // @ApiModelProperty(value = "任务类型[字典定义]")
    // private String taskType;

    @ApiModelProperty(value = "执行人列表")
    @NotEmpty(message = "执行人列表[doctorIds]不能为空")
    private List<String> doctorIds;

    // @ApiModelProperty(value = "状态")
    // private String status;

    @ApiModelProperty(value = "关联业务分类")
    private String relType;

    @ApiModelProperty(value = "关联一级业务ID(流程任务ID)")
    private String relOneId;

    @ApiModelProperty(value = "关联二级业务ID(流程任务节点ID)")
    private String relTwoId;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者性别")
    private String patientSex;

}
