package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPushServeLogVO extends BaseEntity {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 部门ID
     */
     @ApiModelProperty(value = "部门ID")
      private String deptId;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 推送任务id
     */
     @ApiModelProperty(value = "推送任务id")
      private String pushTaskId;

    /**
     * 患者id
     */
     @ApiModelProperty(value = "患者id")
      private String patientId;

    /**
     * 推送服务id
     */
     @ApiModelProperty(value = "推送服务id")
      private String pushServeId;

    /**
     * 患者推送服务id
     */
     @ApiModelProperty(value = "患者推送服务id")
      private String patientPushServeId;

    /**
     * 推送类型
     */
     @ApiModelProperty(value = "推送类型[PushWayEnum]")
      private String type;

    /**
     * 推送状态
     */
     @ApiModelProperty(value = "推送状态[YN]")
      private String status;

}
