package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import com.xxh.cloud.healthy.data.client.api.bean.bo.PatientClientBO;
import com.xxh.cloud.healthy.serve.pushTask.client.api.bean.bo.DoctorFollowUpBO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorScheduleVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    /**
     * 业务一级分类
     */
    @ApiModelProperty(value = "业务一级分类")
    private String bizOneType;

    /**
     * 业务二级分类
     */
    @ApiModelProperty(value = "业务二级分类")
    private String bizTwoType;

    /**
     * 执行业务ID
     */
    @ApiModelProperty(value = "执行业务ID")
    private String bizId;

    /**
     * 日程时间
     */
    @ApiModelProperty(value = "日程时间")
    private Date date;

    /**
     * 日程标题
     */
    @ApiModelProperty(value = "日程标题")
    private String title;

    /**
     * 日程内容
     */
    @ApiModelProperty(value = "日程内容")
    private String content;

    /**
     * 日程状态
     */
    @ApiModelProperty(value = "日程状态")
    private String status;

    @ApiModelProperty(value = "紧急等级")
    private String urgentLevel;

    @ApiModelProperty(value = "患者信息")
    private PatientClientBO patientInfo;

    @ApiModelProperty(value = "随访信息")
    private DoctorFollowUpBO followupInfo;

    /**
     * 关联一级对象分类
     */
    @ApiModelProperty(value = "关联一级对象分类")
    private String relOneType;

    /**
     * 关联一级对象ID
     */
    @ApiModelProperty(value = "关联一级对象ID")
    private String relOneId;

    /**
     * 关联二级对象分类
     */
    @ApiModelProperty(value = "关联二级对象分类")
    private String relTwoType;

    /**
     * 关联二级对象ID
     */
    @ApiModelProperty(value = "关联二级对象ID")
    private String relTwoId;

}
