package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface DoctorConsultationQueryBizMapper {

    // 会诊申请信息
    @Select(" SELECT a.id, a.inpatient_id inpatientId, a.consultation_id consultationId, b.consultation_dept_ids consultationDeptIds " + 
            " FROM mdt_consultation_launch_apply_info a " +
            " INNER JOIN s_md_standard_label_info b ON a.consultation_label_id = b.id " +
            " ${ew.customSqlSegment} ")
    List<Map<String, String>> consultationApplyList(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
    
    // 会诊信息
    @Select(" SELECT a.inpatient_id inpatientId, b.dept_code deptCode " + 
            " FROM mdt_consultation_info a " +
            " INNER JOIN mdt_consultation_doctor_info b ON a.id = b.consultation_id " +
            " ${ew.customSqlSegment} ")
    List<Map<String, String>> consultationList(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);
    
}