package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationAddBatchDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationAddDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationGetByDoctorDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationGetDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationQueryDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorRelationUpdateDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorRelationByDoctorVO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorRelationVO;

public interface DoctorRelationBizService {
    
    PageData<DoctorRelationVO> page(DoctorRelationQueryDTO params);
    
    List<DoctorRelationVO> list(DoctorRelationQueryDTO params);
    
    List<DoctorRelationVO> simpleList(DoctorRelationQueryDTO params);
    
    DoctorRelationVO detail(DoctorRelationGetDTO params);
    
    void add(DoctorRelationAddDTO params);

    void update(DoctorRelationUpdateDTO params);

    void del(DoctorRelationGetDTO params);



    PageData<DoctorRelationByDoctorVO> pageByDoctor(DoctorRelationQueryDTO params);
    
    DoctorRelationByDoctorVO detailByDoctor(DoctorRelationGetByDoctorDTO params);
    
    void saveByDoctor(DoctorRelationAddBatchDTO params);

    void delByDoctor(DoctorRelationGetByDoctorDTO params);

}
