package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorScheduleAddDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorScheduleQueryDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorScheduleRemoveDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorScheduleUpdateDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorScheduleVO;

public interface DoctorScheduleBizService {

    DoctorScheduleVO add(DoctorScheduleAddDTO params);

    void updateById(DoctorScheduleUpdateDTO params);

    void remove(DoctorScheduleRemoveDTO params);

    PageData<DoctorScheduleVO> page(DoctorScheduleQueryDTO params);

    DoctorScheduleVO getById(DoctorScheduleQueryDTO params);
    
    List<DoctorScheduleVO> list(DoctorScheduleQueryDTO params);
}
