package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.service;

import com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo.DoctorPatientStatusMarkBO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorPushServeAddDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorTaskExeDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorTaskManageDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorTaskExeVO;

public interface DoctorTaskExeBizService {

    /**
     * 生成执行记录
     * @param params
     */
    DoctorTaskExeVO add(DoctorTaskExeDTO params);
    
    // 医生推送患者服务
    void doctorPushServeAdd(DoctorPushServeAddDTO params);
    // 医生忽略推送患者服务
    void doctorPushServeIgnore(DoctorPushServeAddDTO params);
    

    // 个案管理
    DoctorPatientStatusMarkBO doctorManageExe(DoctorTaskManageDTO params, String status);

}
