package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.service;

import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorConsultationIgnoreDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorConsultationInitiateDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.DoctorPushServeAddDTO;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorTaskVO;

public interface DoctorTaskExeHandlerBizService {

    // 初始化执行数据
    void doctorPushServeInitExe(DoctorPushServeAddDTO params);

    // 医生推送患者服务
    void doctorPushServeAddExe(DoctorPushServeAddDTO params, DoctorTaskVO doctorTaskVO, String status);

    // 医生忽略推送患者服务
    void doctorPushServeIgnoreExe(DoctorPushServeAddDTO params, DoctorTaskVO doctorTaskVO, String status);

    // 发起会诊
    void consultationInitiate(DoctorConsultationInitiateDTO params);
    // 忽略会诊
    void consultationIgnore(DoctorConsultationIgnoreDTO params);
    
}
