package com.xxh.cloud.healthy.serve.pushTask.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class DoctorTaskCacheKeysHelper {

    /**
     * 医生任务数量缓存key
     */
    public static String getDoctorTaskCountKey(String doctorId, String statisticStatus){
        return StrUtil.format("healthy:doctorTask:count:{}:{}", statisticStatus, doctorId);
    }

    /**
     * 医生提醒紧急程度数量缓存key
     */
    public static String getDoctorRemindUrgentCountKey(String doctorId, String urgent){
        return StrUtil.format("healthy:doctorRemind:count:{}:{}", urgent, doctorId);
    }

}
