package com.xxh.cloud.healthy.serve.risk.client.api.bean.bo;

import java.util.Date;
import java.util.List;

public class PatientRiskBO {

    /**
     * id
     */
      private String id;

    /**
     * 患者编号
     */
      private String patientId;

    /**
     * 风险ID
     */
      private String riskId;

    /**
     * 风险名称
     */
      private String riskName;

    /**
     * 风险病种ID
     */
      private List<String> riskDiseaseIds;

    /**
     * 风险系统ID
     */
      private String riskSysId;

    /**
     * 风险类型
     */
      private String riskType;

    /**
     * 风险等级
     */
      private String riskLevel;

    /**
     * 风险关联分类
     */
      private String riskRelType;

    /**
     * 风险关联ID
     */
      private String riskRelId;

    /**
     * 来源分类
     */
      private String sourceType;

    /**
     * 来源关联ID
     */
      private String sourceRelId;

    /**
     * 患者数据时间
     */
      private Date dataDt;

    /**
     * 备注
     */
      private String remark;

    /**
     * 创建者
     */
      private String creator;

    /**
     * 创建时间
     */
      private Date createDate;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getRiskId() {
      return riskId;
    }

    public void setRiskId(String riskId) {
      this.riskId = riskId;
    }

    public String getRiskName() {
      return riskName;
    }

    public void setRiskName(String riskName) {
      this.riskName = riskName;
    }

    public List<String> getRiskDiseaseIds() {
      return riskDiseaseIds;
    }

    public void setRiskDiseaseIds(List<String> riskDiseaseIds) {
      this.riskDiseaseIds = riskDiseaseIds;
    }

    public String getRiskSysId() {
      return riskSysId;
    }

    public void setRiskSysId(String riskSysId) {
      this.riskSysId = riskSysId;
    }

    public String getRiskType() {
      return riskType;
    }

    public void setRiskType(String riskType) {
      this.riskType = riskType;
    }

    public String getRiskLevel() {
      return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
      this.riskLevel = riskLevel;
    }

    public String getRiskRelType() {
      return riskRelType;
    }

    public void setRiskRelType(String riskRelType) {
      this.riskRelType = riskRelType;
    }

    public String getRiskRelId() {
      return riskRelId;
    }

    public void setRiskRelId(String riskRelId) {
      this.riskRelId = riskRelId;
    }

    public String getSourceType() {
      return sourceType;
    }

    public void setSourceType(String sourceType) {
      this.sourceType = sourceType;
    }

    public String getSourceRelId() {
      return sourceRelId;
    }

    public void setSourceRelId(String sourceRelId) {
      this.sourceRelId = sourceRelId;
    }

    public Date getDataDt() {
      return dataDt;
    }

    public void setDataDt(Date dataDt) {
      this.dataDt = dataDt;
    }

    public String getRemark() {
      return remark;
    }

    public void setRemark(String remark) {
      this.remark = remark;
    }

    public String getCreator() {
      return creator;
    }

    public void setCreator(String creator) {
      this.creator = creator;
    }

    public Date getCreateDate() {
      return createDate;
    }

    public void setCreateDate(Date createDate) {
      this.createDate = createDate;
    }


}
