package com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientRiskHistoryQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "风险ID")
    private String riskId;

    @ApiModelProperty(value = "风险ID列表")
    private List<String> riskIds;

    @ApiModelProperty(value = "患者数据时间")
    private Date dataDt;

    @ApiModelProperty(value = "操作动作分类")
    private String opType;

}
