package com.xxh.cloud.healthy.serve.risk.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskAddBatchDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskAddDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskDelBatchDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskDelDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.vo.PatientRiskVO;

public interface PatientRiskBizService {

    PatientRiskVO add(PatientRiskAddDTO params);

    List<PatientRiskVO> addBatch(List<PatientRiskAddDTO> params);

    List<PatientRiskVO> addBatch(PatientRiskAddBatchDTO params);

    void remove(PatientRiskDelDTO params);

    void removeBatch(List<PatientRiskDelDTO> params);

    void removeBatch(PatientRiskDelBatchDTO params);

}
