package com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Set;

@Getter
@Setter
public class UserDiseaseInfoAddDTO {

    @ApiModelProperty(value = "客户用户ID",required = true)
    @NotEmpty(message = "客户用户ID不能为空")
    private String custUserId;

    @ApiModelProperty(value = "疾病ID",required = true)
    @NotNull(message = "新增疾病不能为空")
    private List<UserDiseaseInfoItemDTO> items;



}
