package com.xxh.cloud.healthy.serv.framework.modules.userDisease.helper;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dos.UserDiseaseInfo;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dos.UserDiseaseLogInfo;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dto.UserDiseaseInfoItemDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class UserDiseaseHelper {

    public static UserDiseaseInfo getUserDiseaseInfo(String custUserId, UserDiseaseInfoItemDTO item){
        UserDiseaseInfo data=new UserDiseaseInfo();
        data.setId(IdUtil.getSnowflake(6,1).nextIdStr());
        data.setCustUserId(custUserId);
        data.setDiseaseId(item.getDiseaseId());
        data.setRelIdType(item.getRelIdType());
        data.setRelId(item.getRelId());
        data.setRemark(item.getRemark());
        return data;
    }

    public static UserDiseaseInfo getUserDiseaseInfo_edit(UserDiseaseInfo entity,UserDiseaseInfoItemDTO item){
        entity.setRelIdType(item.getRelIdType());
        entity.setRelId(item.getRelId());
        entity.setRemark(item.getRemark());
        return entity;
    }

    public static UserDiseaseLogInfo getUserDiseaseLogInfo(UserDiseaseInfo userDiseaseEntity){
        UserDiseaseLogInfo data=new UserDiseaseLogInfo();
        data.setId(IdUtil.getSnowflake(6,2).nextIdStr());
        data.setUserId(userDiseaseEntity.getCustUserId());
        data.setDiseaseId(userDiseaseEntity.getDiseaseId());
        data.setRelIdType(userDiseaseEntity.getRelIdType());
        data.setRelId(userDiseaseEntity.getRelId());
        data.setRemark(userDiseaseEntity.getRemark());
        data.setOpUser(userDiseaseEntity.getCreator());
        data.setOpDate(new Date());
        return data;
    }



}
