package com.xxh.cloud.healthy.serv.framework.modules.userEvent.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dto.*;
import com.xxh.cloud.healthy.serv.framework.modules.userEvent.entity.dos.UserEventInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.healthy.serv.framework.modules.userEvent.entity.dto.*;
import com.xxh.cloud.healthy.serv.framework.modules.userEvent.entity.vos.UserEventVO;

import java.util.List;

/**
 * <p>
 * 用户事件信息表 服务类
 * </p>
 */
public interface UserEventInfoService extends IService<UserEventInfo> {



    public PageData<UserEventVO> query(UserEventInfoQueryDTO params);

    public List<UserEventVO> list(UserEventInfoListDTO params);

    public void operateUserEvent(UserEventInfoOperateDTO params);

    public void removeUserEvent(UserEventInfoRemoveDTO params);

    public void addUserEvent(UserEventInfoAddDTO params);



}
