package com.xxh.cloud.healthy.serv.framework.modules.userGroup.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户服务目标信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_user_healthy_service_group_info")
public class UserHealthyServiceGroupInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 客户用户ID
     */
     @ApiModelProperty(value = "客户用户ID")
      private String custUserId;

    /**
     * 服务目标ID
     */
     @ApiModelProperty(value = "服务目标ID")
      private String serviceGroupId;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 操作关联业务分类
     */
     @ApiModelProperty(value = "操作关联业务分类")
      private String relIdType;

    /**
     * 操作关联业务ID
     */
     @ApiModelProperty(value = "操作关联业务ID")
      private String relId;




}
