package com.xxh.cloud.healthy.serv.framework.modules.userRisk.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户风险日志信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_user_risk_log_info")
public class UserRiskLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 风险ID
     */
     @ApiModelProperty(value = "风险ID")
      private String riskId;

    /**
     * 操作关联业务分类
     */
     @ApiModelProperty(value = "操作关联业务分类")
      private String relIdType;

    /**
     * 操作关联业务ID
     */
     @ApiModelProperty(value = "操作关联业务ID")
      private String relId;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 操作动作分类
     */
     @ApiModelProperty(value = "操作动作分类")
      private String opType;

    /**
     * 操作者
     */
     @ApiModelProperty(value = "操作者")
      private String opUser;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;


}
