package com.xxh.cloud.healthy.service.com.manager.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.xxh.cloud.framework.common.entity.Result;

import cn.dev33.satoken.annotation.SaIgnore;
import io.swagger.annotations.ApiOperation;

import java.util.HashMap;
import java.util.Map;

@SaIgnore
@RestController
@RequestMapping("/test")
public class TestController {
    
    // @Autowired
    // private Environment env;

    // @SaIgnore
    // @GetMapping("/env")
    // public Result<Map<String, String>> testEnv() {

    //     Map<String, String> data = new HashMap<>();
    //     data.put("dir", System.getProperty("user.dir"));
    //     data.put("port", env.getProperty("server.port"));

    //     return new Result<Map<String,String>>().ok(data);
    // }

    @SaIgnore
    @GetMapping("/{type}/{value}")
    @ApiOperation(value = "接口测试", response = Object.class)
    public Result<Map<String,String>> update(@PathVariable("type") String type, @PathVariable("value") String value) {
        System.out.println("++++++ 接口测试:"+value);
        Map<String,String> data =this.getData1(value);
        if ("1".equals(type)) {
            data = getData1(value);
        } else if ("2".equals(type)) {
            data = getData2(value);
        } else if ("3".equals(type)) {
            data = getData3(value);
        }
        return new Result<Map<String,String>>().ok(data);
    }

    private Map<String,String> getData1(String value) {
        Map<String,String> data=new HashMap<>();
        data.put("value",value);
        data.put("k1","0");
        data.put("k2","ok");
        return data;
    }

    private Map<String,String> getData2(String value) {
        Map<String,String> data=new HashMap<>();
        data.put("value",value);
        data.put("k1","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k2","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        return data;
    }


    private Map<String,String> getData3(String value) {
        Map<String,String> data=new HashMap<>();
        data.put("value",value);
        data.put("k1","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k2","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k3","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k4","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k5","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        data.put("k6","2024年8月11日，这个对全红婵而言既平凡又意义非凡的日子，她通过一篇帖子宣布离开巴黎奥运会的赛场。这位仅十七岁的年轻才俊，已成为中国奥运史上最年轻的三枚金牌得主。在她的两次奥运旅程中，累计摘得三金，这样的成就堪称震撼！从东京到巴黎，全红婵以她无与伦比的跳水技艺，不单征服了裁判，更赢得了全世界的敬意与赞叹");
        return data;
    }


}
