package com.xxh.cloud.healthy.third.client.modules.api;

import com.xxh.cloud.healthy.third.client.modules.api.entity.bos.HealthyUserBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 用户接口(健康)
 * */
public interface HealthyThirdUserService {

    public HealthyUserBO getById(String id);

    public List<HealthyUserBO> getListByIds(Collection<String> ids);

    public Map<String,HealthyUserBO> getMapByIds(Collection<String> ids);


}
