package com.xxh.cloud.healthy.doctor.crm.client.api;

import java.util.List;

import com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo.DoctorBehaviorBO;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo.DoctorBehaviorDataCountBO;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.dto.DoctorBehaviorDataCountQueryClientDTO;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.dto.DoctorBehaviorQueryClientDTO;

public interface DoctorBehaviorClientService {
    
    // 统计用户各种行为数据
    List<DoctorBehaviorDataCountBO> getBehaviorDataCount(DoctorBehaviorDataCountQueryClientDTO params);

    // 第一条行为数据
    DoctorBehaviorBO getFirstBehaviorData(DoctorBehaviorQueryClientDTO params);

    // 第一条行为数据
    List<DoctorBehaviorBO> listFirstBehaviorData(DoctorBehaviorQueryClientDTO params);

}
