package com.xxh.cloud.healthy.doctor.crm.client.api.constant;

public class DoctorRemarkConstant {
    
    // 备注一级关联对象类型
    public enum RelOneType {
        
        /**
         * 医生操作标签下用户行为
         */
        Label_Patient("label_patient", "医生操作标签下用户行为"), // 对应relOneId为标签id  ???难道不应该是患者标签id

        ;
        private String code;
        private String msg;
        private RelOneType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
        
    }
}
