package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import java.util.Date;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientStatusMarkHisQueryDTO extends BasePageDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 医生患者标记ID
     */
     @ApiModelProperty(value = "医生患者标记ID")
      private String doctorPatientMarkId;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 操作分类
     */
     @ApiModelProperty(value = "操作分类")
      private String opType;
  
     @ApiModelProperty(value = "是否为删除操作[YN]，默认为N")
      private String isDel;
  
    /**
     * 个案类型，字典定义
     */
     @ApiModelProperty(value = "个案类型，字典定义")
      private String type;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 目标执行状态
     */
     @ApiModelProperty(value = "目标执行状态")
      private String targetExeStatus;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    /**
     * 科室id
     */
    @ApiModelProperty(value = "科室id")
    private String deptId;

    @ApiModelProperty(value = "患者名称")
    private String patientName;

    /**
     * 目标
     */
    @ApiModelProperty(value = "目标")
    private String targetId;

    /**
     * 目标新增时间
     */
    @ApiModelProperty(value = "目标新增时间")
    private Date addTime;

}
