package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientStatusMarkUpdateTargetExeStatusDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 目标执行状态
     */
    @ApiModelProperty(value = "目标执行状态")
    private String targetExeStatus;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date opTime;

}
