package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientTrackQueryDTO extends BasePageDTO {

    /**
     * 医生患者状态标记ID
     */
     @ApiModelProperty(value = "医生患者状态标记ID", required = true)
     @NotEmpty(message = "医生患者状态标记ID[doctorPatientMarkId]不能为空")
      private String doctorPatientMarkId;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    @ApiModelProperty(value = "查询开始时间")
    private Date startDate;

    @ApiModelProperty(value = "查询结束时间")
    private Date endDate;

}
