package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientRemarkUpdateReq {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注", required = true)
     @NotEmpty(message = "备注[remark]不能为空")
      private String remark;

}
