package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.req;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorTargetTotalCountTrendQueryReq {

    @ApiModelProperty(value = "目标编号")
    private String targetCode;

    @ApiModelProperty(value = "目标编号列表")
    private List<String> targetCodes;

    @ApiModelProperty(value = "日期类型[year/month/week]")
    private String dateType;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty(value = "阶段类型")
    private String stageType;

}
