package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import java.util.List;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorBehaviorDataVO {

     @ApiModelProperty(value = "医生ID")
      private String doctorId;

     @ApiModelProperty(value = "医生用户名")
      private String userName;
  
     @ApiModelProperty(value = "医生真实姓名")
      private String realName;

     @ApiModelProperty(value = "头像")
      private String headUrl;
  
     @ApiModelProperty(value = "性别")
      private String gender;
  
     @ApiModelProperty(value = "手机号")
      private String mobile;
  
     @ApiModelProperty(value = "科室名称")
      private String deptName;

     @ApiModelProperty(value = "统计数据信息")
      private List<DoctorBehaviorDataCountVO> dataCountList;

}
