package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorPatientRemarkVO extends BaseEntity {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 操作一级关联对象类型
     */
     @ApiModelProperty(value = "操作一级关联对象类型")
      private String relOneType;

    /**
     * 操作一级关联对象id
     */
     @ApiModelProperty(value = "操作一级关联对象id")
      private String relOneId;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

}
