package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorTargetCountWithDoctorVO {

    @ApiModelProperty(value = "医生id")
    private String doctorId;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "目标数量")
    private Long totalCount;

    @ApiModelProperty(value = "完成数量")
    private Long doneCount;

    @ApiModelProperty(value = "进行中数量")
    private Long doingCount;

    @ApiModelProperty(value = "失败数量")
    private Long expireCount;

    @ApiModelProperty(value = "放弃数量")
    private Long abandonCount;

}
