package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorTaskCountWithDoctorVO {

    @ApiModelProperty(value = "医生id")
    private String doctorId;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "总数量")
    private Long totalCount;

    @ApiModelProperty(value = "待处理数量")
    private Long todoCount;

    @ApiModelProperty(value = "接收数量")
    private Long sendCount;

    @ApiModelProperty(value = "忽略数量")
    private Long ignoreCount;

    @ApiModelProperty(value = "查看数量")
    private Long visitCount;

}
