package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorCompanyVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorDeptVO;

public interface DoctorCompanyDeptBizMapper {
    
    @Select(" SELECT * " + 
            " FROM basic_company " +
            " ${ew.customSqlSegment} ")
    List<DoctorCompanyVO> companyList(@Param(Constants.WRAPPER) Wrapper<DoctorCompanyVO> wrapper);

    @Select(" SELECT DISTINCT a.* " + 
            " FROM sys_dept a " +
            " INNER JOIN crm_doctor_target_config_info b ON a.id = b.dept_id " +
            " ${ew.customSqlSegment} ")
    List<DoctorDeptVO> deptList(@Param(Constants.WRAPPER) Wrapper<DoctorDeptVO> wrapper);

}