package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorBehaviorAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorBehaviorDataCountQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorBehaviorGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorBehaviorQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorBehaviorDataCountVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorBehaviorDataVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorBehaviorVO;

public interface DoctorBehaviorService {
    
    DoctorBehaviorVO add(DoctorBehaviorAddDTO params);

    // 分页查询
    PageData<DoctorBehaviorVO> query(DoctorBehaviorQueryDTO params);

    List<DoctorBehaviorVO> list(DoctorBehaviorQueryDTO params);

    DoctorBehaviorVO detail(DoctorBehaviorGetDTO params);


    // 行为统计相关
    // 统计用户各种行为数据
    List<DoctorBehaviorDataCountVO> getBehaviorDataCount(DoctorBehaviorDataCountQueryDTO params);

    PageData<DoctorBehaviorDataVO> doctorBehaviorDataList(DoctorBehaviorQueryDTO params);

    
    // 获取第一次操作数据
    DoctorBehaviorVO firstSimple(DoctorBehaviorQueryDTO params);

    // 批量获取第一次操作数据
    List<DoctorBehaviorVO> firstSimpleList(DoctorBehaviorQueryDTO params);

}
