package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkHisAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkHisGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkHisQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateTargetExeStatusDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientStatusMarkHisVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.ManageDoctorPatientStatusMarkHisVO;

public interface DoctorPatientStatusMarkHisService {
    
    // 加入个案历史
    void add(DoctorPatientStatusMarkHisAddDTO params);

    // 更新个案历史的目标执行状态
    void updateTargetExeStatusBatch(List<DoctorPatientStatusMarkUpdateTargetExeStatusDTO> params);

    // 分页查询
    PageData<DoctorPatientStatusMarkHisVO> page(DoctorPatientStatusMarkHisQueryDTO params);

    // 列表查询
    List<DoctorPatientStatusMarkHisVO> list(DoctorPatientStatusMarkHisQueryDTO params);
    
    PageData<ManageDoctorPatientStatusMarkHisVO> managePage(DoctorPatientStatusMarkHisQueryDTO params);
    
    ManageDoctorPatientStatusMarkHisVO manageDetail(DoctorPatientStatusMarkHisGetDTO params);

}
