package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkTargetCountQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateFocusDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateStatusDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateTargetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateTargetExeStatusDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientStatusMarkUpdateTypeDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientStatusMarkTargetCountVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientStatusMarkVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.ManageDoctorPatientStatusMarkVO;

public interface DoctorPatientStatusMarkService {
    
    // 加入个案管理
    DoctorPatientStatusMarkVO add(DoctorPatientStatusMarkAddDTO params);

    // 更新个案管理目标
    void updateTarget(DoctorPatientStatusMarkUpdateTargetDTO params);
    // 更新目标执行状态
    void updateTargetExeStatus(DoctorPatientStatusMarkUpdateTargetExeStatusDTO params);
    void updateTargetExeStatusBatch(List<DoctorPatientStatusMarkUpdateTargetExeStatusDTO> params);

    void updateStatus(DoctorPatientStatusMarkUpdateStatusDTO params);

    void updateFocus(DoctorPatientStatusMarkUpdateFocusDTO params);

    void updateType(DoctorPatientStatusMarkUpdateTypeDTO params);

    void remove(DoctorPatientStatusMarkGetDTO params);

    // 分页查询
    PageData<DoctorPatientStatusMarkVO> query(DoctorPatientStatusMarkQueryDTO params);

    List<DoctorPatientStatusMarkVO> list(DoctorPatientStatusMarkQueryDTO params);

    DoctorPatientStatusMarkVO detail(DoctorPatientStatusMarkGetDTO params);

    List<DoctorPatientStatusMarkTargetCountVO> getTargetCount(DoctorPatientStatusMarkTargetCountQueryDTO params);
    
    PageData<ManageDoctorPatientStatusMarkVO> manageQuery(DoctorPatientStatusMarkQueryDTO params);
    
    ManageDoctorPatientStatusMarkVO manageDetail(DoctorPatientStatusMarkGetDTO params);

}
