package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientTrackAddDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientTrackGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientTrackQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorPatientTrackUpdateDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorPatientTrackVO;

public interface DoctorPatientTrackService {
    
    DoctorPatientTrackVO add(DoctorPatientTrackAddDTO params);

    void update(DoctorPatientTrackUpdateDTO params);

    void remove(DoctorPatientTrackGetDTO params);

    // 分页查询
    PageData<DoctorPatientTrackVO> query(DoctorPatientTrackQueryDTO params);

    List<DoctorPatientTrackVO> list(DoctorPatientTrackQueryDTO params);

    DoctorPatientTrackVO detail(DoctorPatientTrackGetDTO params);

}
