package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetCountQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetTotalCountQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetTotalCountTrendQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTaskTotalCountQueryDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetCountTrendVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetCountVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetCountWithDoctorVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetTotalCountVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTaskCountWithDoctorVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTaskTotalCountVO;

public interface ManageDoctorStatisticBizService {
    
    DoctorTaskTotalCountVO taskTotalCount(DoctorTaskTotalCountQueryDTO params);
    
    List<DoctorTaskCountWithDoctorVO> taskCountByDoctor();
    
    DoctorTargetTotalCountVO targetTotalCount(DoctorTargetTotalCountQueryDTO params);
    
    DoctorTargetTotalCountVO targetHisTotalCount(DoctorTargetTotalCountQueryDTO params);

    List<DoctorTargetCountVO> targetCount(DoctorTargetCountQueryDTO params);
    
    List<DoctorTargetCountVO> targetHisCount(DoctorTargetCountQueryDTO params);
    
    List<DoctorTargetCountWithDoctorVO> targetCountByDoctor();
    
    List<DoctorTargetCountWithDoctorVO> targetHisCountByDoctor();
    
    List<DoctorTargetCountTrendVO> targetCountTrend(DoctorTargetTotalCountTrendQueryDTO params);
    
    List<DoctorTargetCountTrendVO> targetHisCountTrend(DoctorTargetTotalCountTrendQueryDTO params);
    
}
