package com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorCompanyVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorDeptVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.mapper.DoctorCompanyDeptBizMapper;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service.DoctorCompanyDeptService;

@Service
public class DoctorCompanyDeptServiceImpl implements DoctorCompanyDeptService {

    @Autowired
    private DoctorCompanyDeptBizMapper doctorCompanyDeptBizMapper;

    @Override
    public List<DoctorCompanyVO> doctorCompanyList() {
        return doctorCompanyDeptBizMapper.companyList(new QueryWrapper<DoctorCompanyVO>()
                .eq("rows_status", YN.YES.getCode())
                .orderByDesc("sort")
        );
    }

    @Override
    public List<DoctorDeptVO> doctorDeptList() {
        return doctorCompanyDeptBizMapper.deptList(new QueryWrapper<DoctorDeptVO>()
                .eq("b.rows_status", YN.YES.getCode())
                .orderByDesc("company_no","sort")
        );
    }
    
}
