package com.xxh.cloud.healthy.doctor.crm.framework.modules.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.xxh.cloud.healthy.doctor.crm.client.api.DoctorTargetConfigClientService;
import com.xxh.cloud.healthy.doctor.crm.client.api.bean.bo.DoctorTargetConfigBO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.dto.DoctorTargetConfigGetDTO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.bean.vos.DoctorTargetConfigVO;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.helper.DoctorPatientHelper;
import com.xxh.cloud.healthy.doctor.crm.framework.modules.biz.service.DoctorTargetConfigService;

@Service
public class DoctorTargetConfigClientServiceImpl implements DoctorTargetConfigClientService {

    @Autowired
    private DoctorTargetConfigService doctorTargetConfigService;

    @Override
    public DoctorTargetConfigBO getDetail(String id) {
        DoctorTargetConfigGetDTO doctorTargetConfigGetDTO = new DoctorTargetConfigGetDTO();
        doctorTargetConfigGetDTO.setId(id);
        DoctorTargetConfigVO vo = doctorTargetConfigService.detail(doctorTargetConfigGetDTO);
        return DoctorPatientHelper.getDoctorTargetConfigBO(vo);
    }
    
}
