package com.xxh.cloud;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableAsync
@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
// @EnableScheduling
public class HealthyDoctorApp {

    public static void main(String[] args) {
        SpringApplication.run(HealthyDoctorApp.class, args);
    }
}
