package com.xxh.cloud;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
public class HealthyPatientApp {

    public static void main(String[] args) {
        SpringApplication.run(HealthyPatientApp.class, args);
    }
}
