package com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ArticleInfoQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "文章分类")
    private String articleCategoryId;

    @ApiModelProperty(value = "所属科室")
    private String deptId;

    @ApiModelProperty(value = "标签ID")
    private String labelId;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "文章业务分类")
    private String articleBizType;


    @ApiModelProperty(value = "作者")
    private String author;


    @ApiModelProperty(value = "来源")
    private String source;

}
