package com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Set;

@Getter
@Setter
public class ArticleInfoSaveDTO {



    @ApiModelProperty(value = "标题",required = true)
    private String title;


    @ApiModelProperty(value = "推送内容")
    private String messasgeConent;


    @ApiModelProperty(value = "概要")
    private String summary;

    @ApiModelProperty(value = "缩略图")
    private String thumbnail;

    @ApiModelProperty(value = "文章分类(多)")
    private Set<String> articleCategoryIds;

    @ApiModelProperty(value = "所属科室(多)")
    private Set<String> deptIds;

    @ApiModelProperty(value = "疾病ID(多)")
    private Set<String> diseaseIds;

    @ApiModelProperty(value = "标签(多)")
    private Set<String> labelIds;


    @ApiModelProperty(value = "文章业务分类")
    private String articleBizType;

    @ApiModelProperty(value = "作者")
    private String author;

    @ApiModelProperty(value = "来源")
    private String source;



    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "顺序")
    private Integer orders;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "评论状态(YN)")
    private String commentStatus;

//    @ApiModelProperty(value = "草稿箱状态(YN)")
//    private String draftStatus;

    @ApiModelProperty(value = "关联业务ID分类")
    private String relIdType;

    @ApiModelProperty(value = "关联业务ID")
    private String relId;




}
