package com.xxh.cloud.healthy.basic.framework.modules.article.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ArticleInfoUpdateStatusDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "状态(ArticleStatusEnum)",required = true)
    @NotEmpty(message = "状态不能为空")
    private String status;



}
