package com.xxh.cloud.healthy.basic.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class ArticleCacheKeysHelper {


    /**
     * 文章分类主key
     * */
    public static String getArticleCategoryMainKey(){
        return "healthy:article:category:*";
    }

    /**
     * 文章分类key
     * */
    public static String getArticleCategoryKey(String id){
        return StrUtil.format("healthy:article:category:{}",id);
    }

    /**
     * 文章主key
     * */
    public static String getArticleMainKey(){
        return "healthy:article:info:*";
    }
    /**
     * 文章key
     * */
    public static String getArticleKey(String id){
        return StrUtil.format("healthy:article:info:{}",id);
    }



}
