package com.xxh.cloud.healthy.basic.common.bean;

public class ServPushConfigModel {

    // 推送模板ID
    private String templateId;

    // 标题
    private String title;
    // 内容
    private String content;
    // 时间
    private String date;
    // 备注
    private String remark;
    // 医生
    private String doctor;

    // 跳转链接
    private String url;



    /**
     * 基础信息
     * 模板IDV8lRfeDdXClTbMnDDw_lPWRXq8HoPGnie_vh_zk-2cs
     * 模板编号54128
     * 标题患者出院通知
     * 所属类目医疗机构
     * 操作人寅 2024-08-29 添加
     * 场景说明患者出院通知
     * 详细内容
     * 患者姓名{{thing2.DATA}}
     * 患者电话{{phone_number3.DATA}}
     * 出院时间{{time4.DATA}}
     * 出院科室{{thing7.DATA}}
     * 接诊医院{{thing1.DATA}}
     * 跳转文案点击查看详情管理文案
     * 
     * 模板ID4Z3JtsQTlWso53o38PcjfSbGIBKoXKyE6L_ZMjluzQ0
     * 模板编号59775
     * 标题诊后医嘱生成通知
     * 所属类目其他私立医疗机构
     * 操作人寅 2024-08-29 添加
     * 场景说明诊后医嘱生成
     * 详细内容
     * 姓名{{thing1.DATA}}
     * 医嘱状态{{const5.DATA}}管理枚举值
     * 机构名称{{thing6.DATA}}
     * 跳转文案点击查看详情管理文案
     * 
     * 模板IDdiv8ZOg568mLzAEVT9EaoXHPqQytYbLUjT8jmbjOHJY
     * 模板编号54437
     * 标题检查检验报告通知
     * 所属类目其他私立医疗机构
     * 操作人寅 2024-08-29 添加
     * 场景说明检查检验报告通知
     * 详细内容
     * 就诊人{{thing1.DATA}}
     * 项目名称{{thing2.DATA}}
     * 就诊时间{{time3.DATA}}
     * 机构名称{{thing7.DATA}}
     * 跳转文案点击查看详情管理文案
     * 
     * 模板IDNItS0rWuxbhE47eTQp0hqB2ALwse0_nVbTL3jx2S1Ks
     * 模板编号51430
     * 标题完诊通知
     * 所属类目医疗机构
     * 操作人寅 2024-08-29 添加
     * 场景说明提醒患者就诊完后的注意事项
     * 详细内容
     * 姓名{{thing1.DATA}}
     * 完诊项目{{thing4.DATA}}
     * 就诊时间{{time6.DATA}}
     * 诊室{{thing8.DATA}}
     * 跳转文案点击查看详情管理文案
     * 
     * 模板IDt6paNLWcXnAzJsQaoqyFblZpNoBYczdoIe6kwWWNAUY
     * 模板编号60199
     * 标题挂号成功通知
     * 所属类目医疗机构
     * 操作人寅 2024-04-04 添加
     * 场景说明预约挂号成功提醒
     * 详细内容
     * 就诊人{{thing1.DATA}}
     * 就诊科室{{thing2.DATA}}
     * 就诊医生{{thing3.DATA}}
     * 就诊时间{{time4.DATA}}
     * 跳转文案点击查看详情管理文案
     */
    // 服务消息模板字段1
    private String value1;

    // 服务消息模板字段2
    private String value2;
    
    // 服务消息模板字段3
    private String value3;
    
    // 服务消息模板字段4
    private String value4;
    
    // 服务消息模板字段5
    private String value5;

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getValue1() {
        return value1;
    }

    public void setValue1(String value1) {
        this.value1 = value1;
    }

    public String getValue2() {
        return value2;
    }

    public void setValue2(String value2) {
        this.value2 = value2;
    }

    public String getValue3() {
        return value3;
    }

    public void setValue3(String value3) {
        this.value3 = value3;
    }

    public String getValue4() {
        return value4;
    }

    public void setValue4(String value4) {
        this.value4 = value4;
    }

    public String getValue5() {
        return value5;
    }

    public void setValue5(String value5) {
        this.value5 = value5;
    }

}
