package com.xxh.cloud.healthy.basic.common.constant;

/**
 * 服务分类
 * */
public enum PushServeTypeEnum {

    Pre("pre", "诊前"),
    // 诊前
    Risk("risk","提醒疾病风险"),
    Alert("alert","引导患者就诊"),
    No_visit("no_visit","召回未就诊患者"),

    During("during", "诊中"),
    // 诊中
    Push("push", "推送疾病患者"),
    Ntro("intro", "介绍治疗方案"),
    Get_visit("get_visit", "召回流失患者"),
    Article("article", "住院宣教"),
    Opt_risk("opt_risk", "手术风险告知"),
    Service("service", "诊中智慧服务"),

    After("after", "诊后"),
    // 诊后
    Push_article("push_article", "出院宣教"),
    Visited("visited", "病情随访"),
    Visit_push("visit_push", "提醒复诊"),
    Medicine("medicine", "用药指导"),
    Get_lost("get_lost", "召回流失患者"),
    Satisfaction("satisfaction", "满意度调查"),
    Dr_service("3dr_service", "院外服务推荐"),

    ;

    private String code;
    private String msg;
    private PushServeTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
