package com.xxh.cloud.healthy.basic.common.constant;

/**
 * 推送方式
 * */
public enum PushWayEnum {
    PCW_WX("wx","微信"),
    PCW_SMS("sms","短信"),
    PCW_AITel("aitel","AI语音电话"),
    PCW_WX_WORK("wxwork","企业微信"),
    ;

    private String code;
    private String msg;
    private PushWayEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
