package com.xxh.cloud.healthy.basic.framework.modules.disease.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 实体病种关系配置表
 * </p>
 */
@Data
@TableName("h_entity_disease_config_info")
public class EntityDiseaseConfigInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 实体分类
     */
     @ApiModelProperty(value = "实体分类")
      private String entityType;

    /**
     * 实体ID
     */
     @ApiModelProperty(value = "实体ID")
      private String entityId;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

}
