package com.xxh.cloud.healthy.basic.framework.modules.disease.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class EntityDiseaseConfigSaveDTO {

    /**
     * 实体分类
     */
     @ApiModelProperty(value = "实体分类", required = true)
     @NotEmpty(message = "实体分类[entityType]不能为空")
      private String entityType;

    /**
     * 实体ID
     */
     @ApiModelProperty(value = "实体ID", required = true)
     @NotEmpty(message = "实体ID[entityId]不能为空")
      private String entityId;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种IDs")
      private List<String> diseaseIds;

}
