package com.xxh.cloud.healthy.basic.framework.modules.food.entity.dto;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;
import java.util.List;

@Getter
@Setter
public class FoodInfoQueryParam extends BasePageDTO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "id[多]")
    private Collection<String> ids;


    @ApiModelProperty(value = "分类ID")
    private String categoryId;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;




    @ApiModelProperty(value = "分类(FoodConfigTypeEnum)")
    private String type;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "状态(YN)")
    private String status;


}
