package com.xxh.cloud.healthy.basic.framework.modules.risk.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 风险因素信息表
 * </p>
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("h_risk_factor_info")
public class RiskFactorInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 风险ID
     */
     @ApiModelProperty(value = "风险ID")
      private String riskId;

    /**
     * 元数据
     */
     @ApiModelProperty(value = "元数据")
      private String metadataId;

    /**
     * 比较操作符
     */
     @ApiModelProperty(value = "比较操作符")
      private String op;

    /**
     * 比较值
     */
     @ApiModelProperty(value = "比较值")
      private String val;

    /**
     * 校验项目编号
     */
     @ApiModelProperty(value = "校验项目编号")
      private String testingProectCode;

    /**
     * 就医科室
     */
     @ApiModelProperty(value = "就医科室")
      private String medicalDept;


}
