package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 305_服务信息表 
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_healthy_service_info")
public class HealthyServiceInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 服务发送条件
     */
     @ApiModelProperty(value = "服务发送条件")
      private String sendCondition;

    /**
     * 服务发送策略
     */
     @ApiModelProperty(value = "服务发送策略")
      private String sendStrategy;

    /**
     * 服务内容类型
     */
     @ApiModelProperty(value = "服务内容类型")
      private String contentType;

    /**
     * 提醒内容模板
     */
     @ApiModelProperty(value = "提醒内容模板")
      private String remindTemplate;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 所属分组编号
     */
     @ApiModelProperty(value = "所属分组编号")
      private String serviceTargetId;

    /**
     * 服务内容意见
     */
     @ApiModelProperty(value = "服务内容意见")
      private String contentSuggest;

    /**
     * 关联服务内容
     */
     @ApiModelProperty(value = "关联服务内容")
      private String content;

    /**
     * 是否必须提醒
     */
     @ApiModelProperty(value = "是否必须提醒")
      private String isNeedRemind;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
