package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dto;

import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos.HealthyServeGroupTargetModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class HealthyServiceGroupSaveDTO {


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序",required = true)
    @NotNull(message = "顺序不能为空")
    private Integer orders;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "服务目标配置")
    private List<HealthyServeGroupTargetModel> targetConfig;

}
