package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dto;

import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos.HealthyServeGroupTargetModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class HealthyServiceGroupUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序")
    private Integer orders;




    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "服务目标配置")
    private List<HealthyServeGroupTargetModel> targetConfig;

}
