package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.dto;

import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos.HealthyServiceContentBean;
import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos.HealthyServiceSendCondtionBean;
import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos.HealthyServiceSendStrategyBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class HealthyServiceInfoSaveDTO {



    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "所属分组ID")
    private String serviceTargetId;


    @ApiModelProperty(value = "服务发送条件")
    private HealthyServiceSendCondtionBean sendCondition;

    @ApiModelProperty(value = "服务发送策略")
    private HealthyServiceSendStrategyBean sendStrategy;


    @ApiModelProperty(value = "服务内容类型(HealthyServiceContentTypeEnum)",required = true)
    @NotEmpty(message = "服务内容类型不能为空")
    private String contentType;


    @ApiModelProperty(value = "关联服务内容")
    private List<HealthyServiceContentBean> content;

    @ApiModelProperty(value = "服务内容意见")
    private String contentSuggest;


    @ApiModelProperty(value = "提醒内容模板")
    private String remindTemplate;







}
