package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Set;

@Getter
@Setter
public class HealthyServeGroupTargetModel {

    @ApiModelProperty(value = "目标名称(标准数据名称)")
    private String n;

    @ApiModelProperty(value = "目标编号(标准数据编号)")
    private String c;

    @ApiModelProperty(value = "目标类型(标准数据类型)")
    private String t;


    @ApiModelProperty(value = "目标单位(标准数据单位)")
    private String u;

    @ApiModelProperty(value = "是否主目标(YN)")
    private String m;

    @ApiModelProperty(value = "操作符")
    private String op;

    @ApiModelProperty(value = "用户数据")
    private Object uv;

    @ApiModelProperty(value = "目标值1")
    private HealthyServeGroupTargetValModel v1;

    @ApiModelProperty(value = "目标值2")
    private HealthyServeGroupTargetValModel v2;

    @ApiModelProperty(value = "目标多值")
    private Set<HealthyServeGroupTargetValModel> vs;
}
