package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos;

import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.enums.HealthyServiceSendStrategyDateTypeEnum;
import com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.enums.HealthyServiceSendStrategyDateUnitEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 循环发送
 * */
@Getter
@Setter
public class HealthyServiceSendStrategyLoopBean {

    //发送时间分类 HealthyServiceSendStrategyDateTypeEnum
    private String type= HealthyServiceSendStrategyDateTypeEnum.HS_SSDT_After.getCode();

    //发送时间数量
    private int num=1;

    //发送时间单位 HealthyServiceSendStrategyDateUnitEnum
    private String unit= HealthyServiceSendStrategyDateUnitEnum.HS_SSSD_Day.getCode();

    //每-多少
    private int loopNum;

    //每-单位 HealthyServiceSendStrategyDateUnitEnum
    private String loopUnit;

    //的-时间(hh:mm)
    private String hm;


    //最多循环次数
    private int maxLoopNum;





}
