package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class HealthyServiceTargetVO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "创建者")
    private String creator;


    @ApiModelProperty(value = "创建时间")
    private Date createDate;


    @ApiModelProperty(value = "更新者")
    private String updater;


    @ApiModelProperty(value = "更新时间")
    private Date updateDate;



    //=======================================


    @ApiModelProperty(value = "服务目标配置")
    private List<HealthyServeGroupTargetModel> targetConfig;


    @ApiModelProperty(value = "病种名称")
    private String diseaseName;

    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;


    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;


    @ApiModelProperty(value = "是否选择(YN)")
    private String userCheckFlag;

    @ApiModelProperty(value = "服务列表")
    private List<HealthyServiceVO> list;

    public void addItem(HealthyServiceVO item){
        if(this.list==null){
            this.list=new ArrayList<>();
        }
        if(item!=null){
            this.list.add(item);
        }
    }
}
