package com.xxh.cloud.healthy.basic.framework.modules.serviceTarget.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class HealthyServiceVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "所属分组编号")
    private String serviceTargetId;


    @ApiModelProperty(value = "是否必须提醒")
    private String isNeedRemind;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


    @ApiModelProperty(value = "服务发送条件")
    private HealthyServiceSendCondtionBean sendCondition;

    @ApiModelProperty(value = "服务发送策略")
    private HealthyServiceSendStrategyBean sendStrategy;


    @ApiModelProperty(value = "服务内容类型")
    private String contentType;

    @ApiModelProperty(value = "关联服务内容")
    private List<HealthyServiceContentBean> content;


    @ApiModelProperty(value = "服务内容意见")
    private String contentSuggest;

    @ApiModelProperty(value = "提醒内容模板")
    private String remindTemplate;




    //============================


//    @ApiModelProperty(value = "关联服务内容")
//    private String contentName;

    @ApiModelProperty(value = "是否用户已选择的服务(YN)")
    private String isUserServ;


    //========================================

    @ApiModelProperty(value = "所属分组名称")
    private String serviceTargetName;

    @ApiModelProperty(value = "病种名称")
    private String diseaseName;



    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;

    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;



}
