package com.xxh.cloud.healthy.basic.framework.modules.sport.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto.*;
import com.xxh.cloud.healthy.basic.framework.modules.sport.entity.vos.SportVO;

import java.util.List;

public interface SportBizService {


    public PageData<SportVO> query(SportInfoQueryDTO params);

    public List<SportVO> list(SportInfoListDTO params);

    public SportVO save(SportInfoSaveDTO params);

    public SportVO update(SportInfoUpdateDTO params);

    public SportVO updateState(SportInfoUpdateStateDTO params);

    public void delById(String id);

    public SportVO infoById(String id);

//    public SportVO info2NullById(String id);


}
