package com.xxh.cloud.healthy.basic.framework.modules.sport.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class SportInfoQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "id(多)")
    private List<String> ids;


    @ApiModelProperty(value = "分类ID")
    private String categoryId;

    @ApiModelProperty(value = "分类ID")
    private List<String> categoryIds;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "业务分类")
    private String type;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "MET值")
    private String metVal;

    @ApiModelProperty(value = "状态")
    private String status;
}
