package com.xxh.cloud.healthy.basic.label.client.api;


import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.label.client.api.bean.bos.LabelBO;
import com.xxh.cloud.healthy.basic.label.client.api.bean.dto.LabelQueryPageDTO;
import com.xxh.cloud.healthy.basic.label.client.api.bean.dto.LabelSaveDTO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface LabelClientService {

    public LabelBO getLabelById(String id);

    public LabelBO copyAndGetLabelById(String id);


    public List<LabelBO> getLabelListByIds(Collection<String> ids);

    public Map<String, LabelBO> getLabelMapByIds(Collection<String> ids);

    public List<LabelBO> queryList(LabelQueryPageDTO params);

    public List<LabelBO> addBatch(List<LabelSaveDTO> params);

    public PageData<LabelBO> queryPage(LabelQueryPageDTO params);

}
