package com.xxh.cloud.healthy.basic.label.client.api.bean.constant;

/**
 * 标签会诊随访基准时间类型
 */
public enum LabelConsultationFollowUpBaseDateTypeEnum {

    HZ("HZ","会诊结束时间"), // 默认时间，该值为空就是默认会诊时间为基准
    CY("CY","出院时间"),
    
    ;

    private String code;
    private String msg;
    private LabelConsultationFollowUpBaseDateTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
