package com.xxh.cloud.healthy.basic.label.client.api.bean.constant;

/**
 * 标签统计维度分类
 * */
public enum LabelStatDimensionTypeEnum {

    //诊前
    LSD_Pre_Not_Visit("pre_notVisit","发现潜在患者/未就诊"),
    LSD_Pre_Visited("pre_visited","发现潜在患者/已就诊"),
    LSD_Pre_Confirmed("pre_confirmed","发现潜在患者/已确诊"),
    //诊中
    LSD_During_Register("during_register","挂号流失患者"),
    LSD_During_InHospital("during_inHospital","住院流失患者"),
    LSD_During_Operation("during_operation","手术流失患者"),
    //诊后
    LSD_After_Lost ("after_lost","失访患者"),
    ;

    private String code;
    private String msg;
    private LabelStatDimensionTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
