package com.xxh.cloud.healthy.basic.framework.modules.label.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardLabelCategorySaveDTO {



    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "上级分类ID",required = true)
    @NotEmpty(message = "上级ID不能为空")
    private String pid="0";


    @ApiModelProperty(value = "顺序")
    private Integer orders=1;


    @ApiModelProperty(value = "备注")
    private String remark;
}
