package com.xxh.cloud.healthy.basic.framework.modules.label.bean.vos;

import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardLabelCategoryVO extends TreeNode<StandardLabelCategoryVO> {



    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "备注")
    private String remark;



    @ApiModelProperty(value = "创建者")
    private String creator;


    @ApiModelProperty(value = "创建时间")
    private Date createDate;


    @ApiModelProperty(value = "更新者")
    private String updater;


    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    //=====================================



    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;


    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;




}
