package com.xxh.cloud.healthy.basic.framework.modules.pushServe.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.healthy.basic.framework.modules.base.entity.PushServeConfigInfo;
import com.xxh.cloud.healthy.basic.framework.modules.pushServe.bean.vos.PushServeConfigVO;

public interface PushServeConfigQueryBizMapper {


    @Select(" SELECT a.id, a.name, a.title, a.type, a.status, COUNT(b.id) pushCount " + 
            " FROM h_push_serve_config_info a " +
            " LEFT JOIN h_patient_push_serve_history_info b ON b.op_type = '1' AND a.id = b.push_serve_id " + 
            " ${ew.customSqlSegment} " + 
            " GROUP BY a.id, a.name, a.title, a.type, a.status ")
    IPage<PushServeConfigVO> queryAndStatistic(Page<PushServeConfigInfo> page, @Param(Constants.WRAPPER) Wrapper<PushServeConfigInfo> wrapper);

    @Select(" SELECT a.id, a.name, a.title, a.status, COUNT(b.id) pushCount " + 
            " FROM h_push_serve_config_info a " +
            " LEFT JOIN h_patient_push_serve_history_info b ON b.op_type = '1' AND a.id = b.push_serve_id " + 
            " ${ew.customSqlSegment} " + 
            " GROUP BY a.id, a.name, a.title, a.status ")
    List<PushServeConfigVO> listAndStatistic(@Param(Constants.WRAPPER) Wrapper<PushServeConfigInfo> wrapper);

}