package com.xxh.cloud.healthy.basic.framework.modules.pushServe.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.framework.modules.pushServe.bean.dto.*;
import com.xxh.cloud.healthy.basic.framework.modules.pushServe.bean.vos.PushServeConfigVO;

import java.util.List;

public interface PushServeConfigBizService {



    public PageData<PushServeConfigVO> query(PushServeConfigQueryDTO params);

    public List<PushServeConfigVO> list(PushServeConfigListDTO params);

    public PushServeConfigVO save(PushServeConfigSaveDTO params);

    public PushServeConfigVO update(PushServeConfigUpdateDTO params);

    public PushServeConfigVO updateStatus(PushServeConfigUpdateStatusDTO params);

    public void delById(String id);

    public PushServeConfigVO getById(String id);

    
    public PageData<PushServeConfigVO> queryAndStatistic(PushServeConfigQueryDTO params);

    public List<PushServeConfigVO> listAndStatistic(PushServeConfigListDTO params);

    public PushServeConfigVO getFullById(String id);

}
