package com.xxh.cloud.healthy.basic.framework.modules.pushTask.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushTaskCustomTypeUpdateDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "自定义类型id不能为空")
    private String id;

    /**
     * 自定义类型
     */
    @ApiModelProperty(value = "自定义类型")
    private String type;

    /**
     * 自定义类型名称
     */
    @ApiModelProperty(value = "自定义类型名称")
    private String name;

}
