package com.xxh.cloud.healthy.basic.framework.modules.remind.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class RemindConfigVO {



    @ApiModelProperty(value = "id")
    private String id;



    @ApiModelProperty(value = "提醒分类")
    private String type;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "内容")
    private String content;


    @ApiModelProperty(value = "等级")
    private String level;


    @ApiModelProperty(value = "提醒对象分类")
    private String targetObjectType;


    @ApiModelProperty(value = "基准日期")
    private String benchmarkDate;


    @ApiModelProperty(value = "发送时间分类(提早延迟)")
    private String earlyDelayType;


    @ApiModelProperty(value = "发送时间偏差量(天)")
    private Integer earlyDelayNum;


    @ApiModelProperty(value = "当天提醒的时间(hh:mm)")
    private String remindDayTime;


    @ApiModelProperty(value = "是否循环")
    private String loopModel;


    @ApiModelProperty(value = "循环间隔(天)")
    private Integer loopInterval;


    @ApiModelProperty(value = "循环最大次数")
    private Integer loopMaxNum;


    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //=============================

    @ApiModelProperty("创建者[姓名]")
    private String creatorName;


    @ApiModelProperty("更新者[姓名]")
    private String updaterName;

}
