package com.xxh.cloud.healthy.basic.framework.modules.remind.convert;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.healthy.basic.framework.modules.base.entity.RemindConfig;
import com.xxh.cloud.healthy.basic.framework.modules.remind.bean.vos.RemindConfigVO;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

import java.util.Map;

public class RemindConfigConvert {

    public static RemindConfigVO getRemindConfigVO(RemindConfig entity){
        RemindConfigVO data=new RemindConfigVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static RemindConfigVO getRemindConfigVO(RemindConfig entity, Map<String, AdminUserBO> userMap){
        RemindConfigVO data=getRemindConfigVO(entity);
        if(MapUtil.isNotEmpty(userMap)){
            if(StrUtil.isNotEmpty(entity.getCreator())){
                AdminUserBO user=userMap.get(entity.getCreator());
                if(user!=null){
                    data.setCreatorName(user.getUserName());
                }
            }

            if(StrUtil.isNotEmpty(entity.getUpdater())){
                AdminUserBO user=userMap.get(entity.getUpdater());
                if(user!=null){
                    data.setUpdaterName(user.getUserName());
                }
            }
        }
        return data;
    }

}
