package com.xxh.cloud.healthy.basic.risk.client.api;

import java.util.List;

import com.xxh.cloud.healthy.basic.risk.client.api.bean.bo.RiskConfigBO;
import com.xxh.cloud.healthy.basic.risk.client.api.bean.dto.RiskConfigAddClientDTO;
import com.xxh.cloud.healthy.basic.risk.client.api.bean.dto.RiskConfigDelClientDTO;
import com.xxh.cloud.healthy.basic.risk.client.api.bean.dto.RiskConfigQueryClientDTO;
import com.xxh.cloud.healthy.basic.risk.client.api.bean.dto.RiskConfigUpdateClientDTO;

public interface RiskConfigClientService {

    List<RiskConfigBO> list(RiskConfigQueryClientDTO params);

    RiskConfigBO getById(String id);

    RiskConfigBO add(RiskConfigAddClientDTO params);

    RiskConfigBO update(RiskConfigUpdateClientDTO params);

    void delete(RiskConfigDelClientDTO params);
}
