package com.xxh.cloud.common.mq.constant;

public class HMQQueueName2EventExe {




    /**
     * 事件规则:默认事件场景,执行(实时队列)
     * */
    public static final String Que_Event_Exe_Def="R_QR:Event:Exe:Def";



    /**
     * 挂号
     * */
    public static final String Que_Event_Exe_register="R_QR:Event:Exe:register";


    /**
     * 检查报告
     * */
    public static final String Que_Event_Exe_ExamineReport="R_QR:Event:Exe:exam_report";


    /**
     * 检验报告
     * */
    public static final String Que_Event_Exe_LaboratoryReport="R_QR:Event:Exe:lab_report";


    /**
     *  住院预约
     * */
    public static final String Que_Event_Exe_InReserve="R_QR:Event:Exe:in_reserve";

    /**
     * 住院
     * */
    public static final String Que_Event_Exe_In="R_QR:Event:Exe:in";


    /**
     * 出院
     * */
    public static final String Que_Event_Exe_Out="R_QR:Event:Exe:out";


    /**
     * 检查申请
     * */
    public static final String Que_Event_Exe_ExamineApply="R_QR:Event:Exe:exam_apply";


    /**
     * 检验申请
     * */
    public static final String Que_Event_Exe_LaboratoryApply="R_QR:Event:Exe:lab_apply";

    /**
     * 用药
     * */
    public static final String Que_Event_Exe_Medicine="R_QR:Event:Exe:medicine";

    /**
     * 手术申请
     * */
    public static final String Que_Event_Exe_OpApply="R_QR:Event:Exe:op_apply";

    /**
     * 手术执行
     * */
    public static final String Que_Event_Exe_OpExe="R_QR:Event:Exe:op_exe";




    public static String getQueueName(String eventId){
        if(PatientEventEnum.PE_E1000.getCode().equals(eventId)){
            return HMQQueueName2EventExe.Que_Event_Exe_register;
        }else if(PatientEventEnum.PE_E1010.getCode().equals(eventId)){
            return HMQQueueName2EventExe.Que_Event_Exe_LaboratoryReport;
        }else if(PatientEventEnum.PE_E1020.getCode().equals(eventId)){
            return HMQQueueName2EventExe.Que_Event_Exe_ExamineReport;
        }else if(PatientEventEnum.PE_E1030.getCode().equals(eventId)){ //出体检报告
           // todo:无
        }else if(PatientEventEnum.PE_E1040.getCode().equals(eventId)){ //预约住院
             return HMQQueueName2EventExe.Que_Event_Exe_InReserve;
        }else if(PatientEventEnum.PE_E1080.getCode().equals(eventId)){ //登记入院
             return HMQQueueName2EventExe.Que_Event_Exe_In;
        }else if(PatientEventEnum.PE_E1070.getCode().equals(eventId)){ //出院
             return HMQQueueName2EventExe.Que_Event_Exe_Out;
        } else if(PatientEventEnum.PE_E1050.getCode().equals(eventId)){ //申请检验(实验室检查）
             return HMQQueueName2EventExe.Que_Event_Exe_LaboratoryApply;
        }else if(PatientEventEnum.PE_E1060.getCode().equals(eventId)){ //申请检查
             return HMQQueueName2EventExe.Que_Event_Exe_ExamineApply;
        } else if(PatientEventEnum.PE_E1090.getCode().equals(eventId)){ //申请手术
            return HMQQueueName2EventExe.Que_Event_Exe_OpApply;
        } else if(PatientEventEnum.PE_E1100.getCode().equals(eventId)){ //开药物
            return HMQQueueName2EventExe.Que_Event_Exe_Medicine;
        }else if(PatientEventEnum.PE_E1110.getCode().equals(eventId)){ //执行手术
            return HMQQueueName2EventExe.Que_Event_Exe_OpExe;
        }

        return null;
    }



}
