package com.xxh.cloud.healthy.crm.client.api;

import com.xxh.cloud.healthy.crm.client.api.bean.bo.PatientDoctorRelationBO;
import com.xxh.cloud.healthy.crm.client.api.bean.dto.PatientDoctorRelQueryClientDTO;
import com.xxh.cloud.healthy.crm.client.api.bean.dto.PatientDoctorRelSearchClientDTO;

import java.util.List;
import java.util.Map;

public interface PatientDoctorRelationClientService {

    public List<PatientDoctorRelationBO> queryPatientDoctorRelList(PatientDoctorRelQueryClientDTO params);

    /** 最新的个案信息 **/
    public Map<String, PatientDoctorRelationBO> queryPatientDoctorRelMapLast(PatientDoctorRelQueryClientDTO params);

    /**
     * 查询关联个案
     * */
    public List<String> relationSearch(PatientDoctorRelSearchClientDTO params);


}
