package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.config;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class DiseasePhaseConfigAddDTO {


    @ApiModelProperty(value = "病种ID",required = true)
    @NotEmpty(message = "病种ID不能为空")
    private String diseaseId;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "顺序",required = true)
    @NotNull(message = "顺序不能为空")
    private Integer orders;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "是否默认(YN)")
    private String isDef;


    @ApiModelProperty(value = "状态[DiseasePhaseConfigStateEnum]",required = true)
    @NotEmpty(message = "状态不能为空")
    private String state;


}
