package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.record;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class PatientServiceRecordQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者ID")
    private String patientId;


    @ApiModelProperty(value = "医生ID")
    private String doctorId;


    @ApiModelProperty(value = "服务关系ID")
    private String relationId;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "阶段ID")
    private String phaseId;


    @ApiModelProperty(value = "记录业务分类")
    private String bizType;


    @ApiModelProperty(value = "开始-记录时间(yyyy-mm-dd hh:mm:ss)")
    private String addDtStart;

    @ApiModelProperty(value = "截止-记录时间(yyyy-mm-dd hh:mm:ss)")
    private String addDtEnd;
}
