package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientDoctorRelationQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者ID")
    private String patientId;


    @ApiModelProperty(value = "医生ID")
    private String doctorId;


    @ApiModelProperty(value = "病种ID")
    private String diseaseId;


    @ApiModelProperty(value = "所属阶段ID")
    private String phaseId;


    @ApiModelProperty(value = "所属目标ID")
    private String phaseTargetId;



    @ApiModelProperty(value = "新增方式")
    private String addWay;


    @ApiModelProperty(value = "来源分类")
    private String sourceType;


    @ApiModelProperty(value = "来源关联对象ID")
    private String sourceObjId;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "性别 1:男 2:女")
    private String patientGender;

    @ApiModelProperty(value = "新增时间-开始(yyyy-mm-dd hh:mm:ss)")
    private String startDt;


    @ApiModelProperty(value = "新增时间-截止(yyyy-mm-dd hh:mm:ss)")
    private String endDt;

}
