package com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DiseasePhaseTargetConfigVO {



    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "所属阶段ID")
    private String phaseId;

    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "状态")
    private String state;


    @ApiModelProperty(value = "条件配置分类")
    private String conditionType;


    @ApiModelProperty(value = "条件配置内容")
    private String conditionContent;

    @ApiModelProperty(value = "目标执行期限(天)")
    private int completionLimit;

    @ApiModelProperty(value = "目标执行科室")
    private List<String> targetExeDeptIds;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    //
    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty("创建者-姓名")
    private String creatorName;

    @ApiModelProperty("更新者-姓名")
    private String updaterName;



}
