package com.xxh.cloud.healthy.crm.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.config.*;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos.DiseasePhaseConfigVO;

import java.util.List;

public interface DiseasePhaseConfigBizService {

    public PageData<DiseasePhaseConfigVO> query(DiseasePhaseConfigQueryDTO params);

    public List<DiseasePhaseConfigVO> list(DiseasePhaseConfigListDTO params);

    public void addDef(String diseaseId);

    public DiseasePhaseConfigVO add(DiseasePhaseConfigAddDTO params);

    public DiseasePhaseConfigVO edit(DiseasePhaseConfigEditDTO params);

    public void updateState(DiseasePhaseConfigEditStateDTO params);

    public DiseasePhaseConfigVO getById(String id);

    public void delById(String id);

    public List<String> getDiseaseByDoctor(String doctorId);

    public List<String> getDeptByDiseaseId(String diseaseId);
}
