package com.xxh.cloud.healthy.crm.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.crm.framework.modules.base.entity.PatientDoctorRelationInfo;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel.PatientDoctorRelationChangeDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.rel.PatientDoctorRelationQueryDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos.PatientDoctorRelationChangeVO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos.PatientDoctorRelationFullVO;
import com.xxh.cloud.metadata.client.api.bean.bos.standard.StandardDiseaseBO;

import java.util.List;

public interface PatientDoctorRelationQueryService {


    public PatientDoctorRelationInfo getPatientDoctorRelationById(String relationId);

    public PageData<PatientDoctorRelationFullVO> queryPdrFull(PatientDoctorRelationQueryDTO params);

    public PatientDoctorRelationFullVO getPdrFullById(String id);

    public List<StandardDiseaseBO> queryDisease(PatientDoctorRelationQueryDTO params);

    public List<PatientDoctorRelationChangeVO> relationChange(PatientDoctorRelationChangeDTO params);
}
