package com.xxh.cloud.healthy.crm.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.record.PatientServiceRecordAddDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.record.PatientServiceRecordEditDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.dto.record.PatientServiceRecordQueryDTO;
import com.xxh.cloud.healthy.crm.framework.modules.biz.bean.vos.PatientServiceRecordVO;

public interface PatientServiceRecordBizService {

    public PageData<PatientServiceRecordVO> query(PatientServiceRecordQueryDTO params);

    public PatientServiceRecordVO add(PatientServiceRecordAddDTO params, LoginUser user);

    public PatientServiceRecordVO edit(PatientServiceRecordEditDTO params, LoginUser user);

    public PatientServiceRecordVO getById(String id);

    public void delById(String id);




}
