package com.xxh.cloud.healthy.crm.framework.modules.constant;
/**
 * 患者医生关系目标执行结果状态
 * */
public enum PDRTargetResultStateEnum {


    PDRTRS_None("none", "未执行"),
    PDRTRS_Change("Change", "阶段变更"),
    PDRTRS_Completed("Completed", "已完成"),
    PDRTRS_Expire("Expired", "已过期"),

    ;
    private String code;
    private String msg;
    private PDRTargetResultStateEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }
    public String getMsg() {
        return msg;
    }
    public void setMsg(String msg) {
        this.msg = msg;
    }

}
