package com.xxh.cloud.healthy.data.client.api;

import com.xxh.cloud.healthy.data.client.api.bean.bo.TaskDeptLabelRelationBO;
import com.xxh.cloud.healthy.data.client.api.bean.bo.TaskDeptPatientRelationBO;
import com.xxh.cloud.healthy.data.client.api.bean.dto.*;

import java.util.List;
import java.util.Set;

public interface TaskDeptLabelClientService {

    public void add(DeptLabelAddDTO params);

    public void addBatch(List<DeptLabelAddDTO> params);

    public void del(DeptLabelDelDTO params);

    public void delBatch(List<DeptLabelDelDTO> params);

    List<TaskDeptLabelRelationBO> getByDeptLabelIds(Set<String> deptLabelIds);

    List<TaskDeptLabelRelationBO> getByDeptLabel(DeptLabelQueryDTO params);

}
