package com.xxh.cloud.healthy.data.client.api;

import java.util.List;

import com.xxh.cloud.healthy.data.client.api.bean.bo.TaskDeptPatientRelationBO;
import com.xxh.cloud.healthy.data.client.api.bean.dto.DeptPatientAddDTO;
import com.xxh.cloud.healthy.data.client.api.bean.dto.DeptPatientDelDTO;
import com.xxh.cloud.healthy.data.client.api.bean.dto.DeptPatientQueryDTO;

public interface TaskDeptPatientClientService {

    public void add(DeptPatientAddDTO params);

    public void addBatch(List<DeptPatientAddDTO> params);

    public void del(DeptPatientDelDTO params);

    public void delBatch(List<DeptPatientDelDTO> params);

    public List<TaskDeptPatientRelationBO> query(DeptPatientQueryDTO params);

}
