package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

/**
 * <p>
 * 医生管理患者表
 * </p>
 */
public class DoctorManagePatientBO {

    /**
     * id
     */
    private String id;

    /**
     * 医生ID
     */
    private String doctorId;

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 患者标签id
     */
    private String labelId;

    /**
     * 标签时间
     */
    private Date labelDate;

    /**
     * 操作场景
     */
    private String opScene;

    /**
     * 操作类型（排除/纳入）
     */
    private String opType;

    /**
     * 操作子类型（由字典定义）
     */
    private String opSubType;

    /**
     * 操作内容
     */
    private String opContent;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作时间
     */
    private Date opDate;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getDoctorId() {
      return doctorId;
    }

    public void setDoctorId(String doctorId) {
      this.doctorId = doctorId;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getLabelId() {
      return labelId;
    }

    public void setLabelId(String labelId) {
      this.labelId = labelId;
    }

    public Date getLabelDate() {
      return labelDate;
    }

    public void setLabelDate(Date labelDate) {
      this.labelDate = labelDate;
    }

    public String getOpScene() {
      return opScene;
    }

    public void setOpScene(String opScene) {
      this.opScene = opScene;
    }

    public String getOpType() {
      return opType;
    }

    public void setOpType(String opType) {
      this.opType = opType;
    }

    public String getOpSubType() {
      return opSubType;
    }

    public void setOpSubType(String opSubType) {
      this.opSubType = opSubType;
    }

    public String getOpContent() {
      return opContent;
    }

    public void setOpContent(String opContent) {
      this.opContent = opContent;
    }

    public String getRemark() {
      return remark;
    }

    public void setRemark(String remark) {
      this.remark = remark;
    }

    public Date getOpDate() {
      return opDate;
    }

    public void setOpDate(Date opDate) {
      this.opDate = opDate;
    }

}
