package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.List;
import java.util.Map;

public class LabelPatientStatisticClientBO {

    /**
     * id
     * */
    private String id;

    /**
     * 名称
     * */
    private String name;

    /**
     * 所属标签分类
     * */
    private String categoryId;

    /**
     * 状态
     * */
    private String status;

    /**
     * 病种ID
     */
    private List<String> diseaseIds;

    // 统计维度分类
    private String statDimensionType;

    // 病种
    private List<Map<String,String>> diseaseList;

    // 业务分类
    private String bizType;

    // 患者数量
    private Long patientNum;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getDiseaseIds() {
        return diseaseIds;
    }

    public void setDiseaseIds(List<String> diseaseIds) {
        this.diseaseIds = diseaseIds;
    }

    public String getStatDimensionType() {
        return statDimensionType;
    }

    public void setStatDimensionType(String statDimensionType) {
        this.statDimensionType = statDimensionType;
    }

    public List<Map<String, String>> getDiseaseList() {
        return diseaseList;
    }

    public void setDiseaseList(List<Map<String, String>> diseaseList) {
        this.diseaseList = diseaseList;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public Long getPatientNum() {
        return patientNum;
    }

    public void setPatientNum(Long patientNum) {
        this.patientNum = patientNum;
    }

}
