package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

// 检查报告单信息表
public class PatientExamineReportClientBO {

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 报告ID
     */
    private String id;

    /**
     * 申请流水号
     */
    private String applyId;

    /**
     * 就诊记录号
     */
    private String visitId;

    /**
     * 关联处方id
     */
    private String recipeId;

    /**
     * 住院号
     */
    private String inPatientNo;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 患者电话
     */
    private String patientPhone;

    /**
     * 患者性别(原始)
     */
    private String patientGenderRaw;

    /**
     * 患者性别(标准)
     */
    private String patientGenderStandard;

    /**
     * 患者证件号
     */
    private String patientCardNo;

    /**
     * 患者年龄
     */
    private String patientAge;

    /**
     * 申请科室名称(原始)
     */
    private String departmentNameRaw;

    /**
     * 申请科室名称(标准)
     */
    private String departmentNameStandard;

    /**
     * 申请科室编码(原始)
     */
    private String departmentCodeRaw;

    /**
     * 申请科室编码(标准)
     */
    private String departmentCodeStandard;

    /**
     * 报告时间
     */
    private Date reportsTime;

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 检查时间
     */
    private Date inspectTime;

    /**
     * 场景分类(原始)
     */
    private String sceneTypeRaw;

    /**
     * 场景分类(标准)
     */
    private String sceneTypeStandard;

    /**
     * 申请医生编号
     */
    private String applyDoctorCode;

    /**
     * 申请医生姓名
     */
    private String applyDoctorName;

    /**
     * 报告医生编号
     */
    private String doctorCode;

    /**
     * 报告医生姓名
     */
    private String doctorName;

    /**
     * 检查类别(原始)
     */
    private String examineTypeRaw;

    /**
     * 检查类别(标准)
     */
    private String examineTypeStandard;

    /**
     * 报告名称(原始)
     */
    private String reportNameRaw;

    /**
     * 报告名称(标准)
     */
    private String reportNameStandard;

    /**
     * 检查部位名称(原始)
     */
    private String bodyPartNameRaw;

    /**
     * 检查部位名称(标准)
     */
    private String bodyPartNameStandard;

    /**
     * 检查部位编号(原始)
     */
    private String bodyPartCodeRaw;

    /**
     * 检查部位编号(标准)
     */
    private String bodyPartCodeStandard;

    /**
     * 检查所见(原始)
     */
    private String reportDescriptionRaw;

    /**
     * 检查所见(标准)
     */
    private String reportDescriptionStandard;

    /**
     * 检查结果(原始)
     */
    private String reportResultRaw;

    /**
     * 检查结果(标准)
     */
    private String reportResultStandard;

    /**
     * 数据更新时间(原始)
     */
    private Date dataUpdateDate;

    /**
     * 操作人
     */
    private String opDataUser;

    /**
     * 数据操作时间
     */
    private Date opDate;

    /**
     * 报告路径
     */
    private String reportPath;

    /**
     * 影象报告编号
     */
    private String reportNo;

    /**
     * 活动编号
     */
    private String activityNo;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getRecipeId() {
        return recipeId;
    }

    public void setRecipeId(String recipeId) {
        this.recipeId = recipeId;
    }

    public String getInPatientNo() {
        return inPatientNo;
    }

    public void setInPatientNo(String inPatientNo) {
        this.inPatientNo = inPatientNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientPhone() {
        return patientPhone;
    }

    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }

    public String getPatientGenderRaw() {
        return patientGenderRaw;
    }

    public void setPatientGenderRaw(String patientGenderRaw) {
        this.patientGenderRaw = patientGenderRaw;
    }

    public String getPatientGenderStandard() {
        return patientGenderStandard;
    }

    public void setPatientGenderStandard(String patientGenderStandard) {
        this.patientGenderStandard = patientGenderStandard;
    }

    public String getPatientCardNo() {
        return patientCardNo;
    }

    public void setPatientCardNo(String patientCardNo) {
        this.patientCardNo = patientCardNo;
    }

    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    public String getDepartmentNameRaw() {
        return departmentNameRaw;
    }

    public void setDepartmentNameRaw(String departmentNameRaw) {
        this.departmentNameRaw = departmentNameRaw;
    }

    public String getDepartmentNameStandard() {
        return departmentNameStandard;
    }

    public void setDepartmentNameStandard(String departmentNameStandard) {
        this.departmentNameStandard = departmentNameStandard;
    }

    public String getDepartmentCodeRaw() {
        return departmentCodeRaw;
    }

    public void setDepartmentCodeRaw(String departmentCodeRaw) {
        this.departmentCodeRaw = departmentCodeRaw;
    }

    public String getDepartmentCodeStandard() {
        return departmentCodeStandard;
    }

    public void setDepartmentCodeStandard(String departmentCodeStandard) {
        this.departmentCodeStandard = departmentCodeStandard;
    }

    public Date getReportsTime() {
        return reportsTime;
    }

    public void setReportsTime(Date reportsTime) {
        this.reportsTime = reportsTime;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Date getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(Date inspectTime) {
        this.inspectTime = inspectTime;
    }

    public String getSceneTypeRaw() {
        return sceneTypeRaw;
    }

    public void setSceneTypeRaw(String sceneTypeRaw) {
        this.sceneTypeRaw = sceneTypeRaw;
    }

    public String getSceneTypeStandard() {
        return sceneTypeStandard;
    }

    public void setSceneTypeStandard(String sceneTypeStandard) {
        this.sceneTypeStandard = sceneTypeStandard;
    }

    public String getApplyDoctorCode() {
        return applyDoctorCode;
    }

    public void setApplyDoctorCode(String applyDoctorCode) {
        this.applyDoctorCode = applyDoctorCode;
    }

    public String getApplyDoctorName() {
        return applyDoctorName;
    }

    public void setApplyDoctorName(String applyDoctorName) {
        this.applyDoctorName = applyDoctorName;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getExamineTypeRaw() {
        return examineTypeRaw;
    }

    public void setExamineTypeRaw(String examineTypeRaw) {
        this.examineTypeRaw = examineTypeRaw;
    }

    public String getExamineTypeStandard() {
        return examineTypeStandard;
    }

    public void setExamineTypeStandard(String examineTypeStandard) {
        this.examineTypeStandard = examineTypeStandard;
    }

    public String getReportNameRaw() {
        return reportNameRaw;
    }

    public void setReportNameRaw(String reportNameRaw) {
        this.reportNameRaw = reportNameRaw;
    }

    public String getReportNameStandard() {
        return reportNameStandard;
    }

    public void setReportNameStandard(String reportNameStandard) {
        this.reportNameStandard = reportNameStandard;
    }

    public String getBodyPartNameRaw() {
        return bodyPartNameRaw;
    }

    public void setBodyPartNameRaw(String bodyPartNameRaw) {
        this.bodyPartNameRaw = bodyPartNameRaw;
    }

    public String getBodyPartNameStandard() {
        return bodyPartNameStandard;
    }

    public void setBodyPartNameStandard(String bodyPartNameStandard) {
        this.bodyPartNameStandard = bodyPartNameStandard;
    }

    public String getBodyPartCodeRaw() {
        return bodyPartCodeRaw;
    }

    public void setBodyPartCodeRaw(String bodyPartCodeRaw) {
        this.bodyPartCodeRaw = bodyPartCodeRaw;
    }

    public String getBodyPartCodeStandard() {
        return bodyPartCodeStandard;
    }

    public void setBodyPartCodeStandard(String bodyPartCodeStandard) {
        this.bodyPartCodeStandard = bodyPartCodeStandard;
    }

    public String getReportDescriptionRaw() {
        return reportDescriptionRaw;
    }

    public void setReportDescriptionRaw(String reportDescriptionRaw) {
        this.reportDescriptionRaw = reportDescriptionRaw;
    }

    public String getReportDescriptionStandard() {
        return reportDescriptionStandard;
    }

    public void setReportDescriptionStandard(String reportDescriptionStandard) {
        this.reportDescriptionStandard = reportDescriptionStandard;
    }

    public String getReportResultRaw() {
        return reportResultRaw;
    }

    public void setReportResultRaw(String reportResultRaw) {
        this.reportResultRaw = reportResultRaw;
    }

    public String getReportResultStandard() {
        return reportResultStandard;
    }

    public void setReportResultStandard(String reportResultStandard) {
        this.reportResultStandard = reportResultStandard;
    }

    public Date getDataUpdateDate() {
        return dataUpdateDate;
    }

    public void setDataUpdateDate(Date dataUpdateDate) {
        this.dataUpdateDate = dataUpdateDate;
    }

    public String getOpDataUser() {
        return opDataUser;
    }

    public void setOpDataUser(String opDataUser) {
        this.opDataUser = opDataUser;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

    public String getReportPath() {
        return reportPath;
    }

    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    public String getReportNo() {
        return reportNo;
    }

    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    public String getActivityNo() {
        return activityNo;
    }

    public void setActivityNo(String activityNo) {
        this.activityNo = activityNo;
    }

}
