package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

public class PatientInpatientChangeClientBO {

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 转换流水号
     */
    private String changeId;

    /**
     * 住院号
     */
    private String inpatientId;

    /**
     * 更改时间
     */
    private String changeTime;

    /**
     * 更改类型
     */
    private String changeType;

    /**
     * 更改类型名称
     */
    private String changeTypeName;

    /**
     * 更改编号
     */
    private String code;

    /**
     * 更改名称
     */
    private String name;

    /**
     * 源编号
     */
    private String sourceCode;

    /**
     * 源名称
     */
    private String sourceName;

    /**
     * 目标编号
     */
    private String targetCode;

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 数据更新时间(原始)
     */
    private Date dataUpdateDate;

    /**
     * 操作人
     */
    private String opDataUser;

    /**
     * 数据操作时间
     */
    private Date opUpdateData;

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getChangeId() {
      return changeId;
    }

    public void setChangeId(String changeId) {
      this.changeId = changeId;
    }

    public String getInpatientId() {
      return inpatientId;
    }

    public void setInpatientId(String inpatientId) {
      this.inpatientId = inpatientId;
    }

    public String getChangeTime() {
      return changeTime;
    }

    public void setChangeTime(String changeTime) {
      this.changeTime = changeTime;
    }

    public String getChangeType() {
      return changeType;
    }

    public void setChangeType(String changeType) {
      this.changeType = changeType;
    }

    public String getChangeTypeName() {
      return changeTypeName;
    }

    public void setChangeTypeName(String changeTypeName) {
      this.changeTypeName = changeTypeName;
    }

    public String getCode() {
      return code;
    }

    public void setCode(String code) {
      this.code = code;
    }

    public String getName() {
      return name;
    }

    public void setName(String name) {
      this.name = name;
    }

    public String getSourceCode() {
      return sourceCode;
    }

    public void setSourceCode(String sourceCode) {
      this.sourceCode = sourceCode;
    }

    public String getSourceName() {
      return sourceName;
    }

    public void setSourceName(String sourceName) {
      this.sourceName = sourceName;
    }

    public String getTargetCode() {
      return targetCode;
    }

    public void setTargetCode(String targetCode) {
      this.targetCode = targetCode;
    }

    public String getTargetName() {
      return targetName;
    }

    public void setTargetName(String targetName) {
      this.targetName = targetName;
    }

    public Date getDataUpdateDate() {
      return dataUpdateDate;
    }

    public void setDataUpdateDate(Date dataUpdateDate) {
      this.dataUpdateDate = dataUpdateDate;
    }

    public String getOpDataUser() {
      return opDataUser;
    }

    public void setOpDataUser(String opDataUser) {
      this.opDataUser = opDataUser;
    }

    public Date getOpUpdateData() {
      return opUpdateData;
    }

    public void setOpUpdateData(Date opUpdateData) {
      this.opUpdateData = opUpdateData;
    }

}
