package com.xxh.cloud.healthy.data.client.api.bean.bo;

import java.util.Date;

// 检验报告单信息表
public class PatientLaboratoryReportClientBO {

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * id
     */
    private String id;

    /**
     * 申请单流水号
     */
    private String applyId;

    /**
     * 就诊记录号
     */
    private String visitId;

    /**
     * 关联处方id
     */
    private String recipeId;

    /**
     * 住院号
     */
    private String inPatientNo;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 申请科室名称(原始)
     */
    private String departmentNameRaw;

    /**
     * 申请科室名称(标准)
     */
    private String departmentNameStandard;

    /**
     * 申请科室编码(原始)
     */
    private String departmentCodeRaw;

    /**
     * 申请科室编码(标准)
     */
    private String departmentCodeStandard;

    /**
     * 报告时间
     */
    private Date reportsTime;

    /**
     * 复核时间
     */
    private Date checkTime;

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 采样时间
     */
    private Date inspectTime;

    /**
     * 场景分类(原始)
     */
    private String sceneTypeRaw;

    /**
     * 场景分类(标准)
     */
    private String sceneTypeStandard;

    /**
     * 申请医生编号
     */
    private String applyDoctorCode;

    /**
     * 申请医生姓名
     */
    private String applyDoctorName;

    /**
     * 报告医生编号
     */
    private String doctorCode;

    /**
     * 报告医生姓名
     */
    private String doctorName;

    /**
     * 样本类别(原始)
     */
    private String sampleTypeRaw;

    /**
     * 样本类别(标准)
     */
    private String sampleTypeStandard;

    /**
     * 报告名称
     */
    private String reportName;

    /**
     * 报告描述或备注(原始)
     */
    private String descriptionRaw;

    /**
     * 报告描述或备注(标准)
     */
    private String descriptionStandard;

    /**
     * 初步结论(原始)
     */
    private String conclusionRaw;

    /**
     * 初步结论(标准)
     */
    private String conclusionStandard;

    /**
     * 数据更新时间(原始)
     */
    private Date dataUpdateDate;

    /**
     * 操作人
     */
    private String opDataUser;

    /**
     * 数据操作时间
     */
    private Date opDate;

    /**
     * 状态编号(原始)
     */
    private String statusRaw;

    /**
     * 状态编号(标准)
     */
    private String statusStandard;

    /**
     * 活动编号
     */
    private String activityNo;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getRecipeId() {
        return recipeId;
    }

    public void setRecipeId(String recipeId) {
        this.recipeId = recipeId;
    }

    public String getInPatientNo() {
        return inPatientNo;
    }

    public void setInPatientNo(String inPatientNo) {
        this.inPatientNo = inPatientNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDepartmentNameRaw() {
        return departmentNameRaw;
    }

    public void setDepartmentNameRaw(String departmentNameRaw) {
        this.departmentNameRaw = departmentNameRaw;
    }

    public String getDepartmentNameStandard() {
        return departmentNameStandard;
    }

    public void setDepartmentNameStandard(String departmentNameStandard) {
        this.departmentNameStandard = departmentNameStandard;
    }

    public String getDepartmentCodeRaw() {
        return departmentCodeRaw;
    }

    public void setDepartmentCodeRaw(String departmentCodeRaw) {
        this.departmentCodeRaw = departmentCodeRaw;
    }

    public String getDepartmentCodeStandard() {
        return departmentCodeStandard;
    }

    public void setDepartmentCodeStandard(String departmentCodeStandard) {
        this.departmentCodeStandard = departmentCodeStandard;
    }

    public Date getReportsTime() {
        return reportsTime;
    }

    public void setReportsTime(Date reportsTime) {
        this.reportsTime = reportsTime;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Date getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(Date inspectTime) {
        this.inspectTime = inspectTime;
    }

    public String getSceneTypeRaw() {
        return sceneTypeRaw;
    }

    public void setSceneTypeRaw(String sceneTypeRaw) {
        this.sceneTypeRaw = sceneTypeRaw;
    }

    public String getSceneTypeStandard() {
        return sceneTypeStandard;
    }

    public void setSceneTypeStandard(String sceneTypeStandard) {
        this.sceneTypeStandard = sceneTypeStandard;
    }

    public String getApplyDoctorCode() {
        return applyDoctorCode;
    }

    public void setApplyDoctorCode(String applyDoctorCode) {
        this.applyDoctorCode = applyDoctorCode;
    }

    public String getApplyDoctorName() {
        return applyDoctorName;
    }

    public void setApplyDoctorName(String applyDoctorName) {
        this.applyDoctorName = applyDoctorName;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getSampleTypeRaw() {
        return sampleTypeRaw;
    }

    public void setSampleTypeRaw(String sampleTypeRaw) {
        this.sampleTypeRaw = sampleTypeRaw;
    }

    public String getSampleTypeStandard() {
        return sampleTypeStandard;
    }

    public void setSampleTypeStandard(String sampleTypeStandard) {
        this.sampleTypeStandard = sampleTypeStandard;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getDescriptionRaw() {
        return descriptionRaw;
    }

    public void setDescriptionRaw(String descriptionRaw) {
        this.descriptionRaw = descriptionRaw;
    }

    public String getDescriptionStandard() {
        return descriptionStandard;
    }

    public void setDescriptionStandard(String descriptionStandard) {
        this.descriptionStandard = descriptionStandard;
    }

    public String getConclusionRaw() {
        return conclusionRaw;
    }

    public void setConclusionRaw(String conclusionRaw) {
        this.conclusionRaw = conclusionRaw;
    }

    public String getConclusionStandard() {
        return conclusionStandard;
    }

    public void setConclusionStandard(String conclusionStandard) {
        this.conclusionStandard = conclusionStandard;
    }

    public Date getDataUpdateDate() {
        return dataUpdateDate;
    }

    public void setDataUpdateDate(Date dataUpdateDate) {
        this.dataUpdateDate = dataUpdateDate;
    }

    public String getOpDataUser() {
        return opDataUser;
    }

    public void setOpDataUser(String opDataUser) {
        this.opDataUser = opDataUser;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

    public String getStatusRaw() {
        return statusRaw;
    }

    public void setStatusRaw(String statusRaw) {
        this.statusRaw = statusRaw;
    }

    public String getStatusStandard() {
        return statusStandard;
    }

    public void setStatusStandard(String statusStandard) {
        this.statusStandard = statusStandard;
    }

    public String getActivityNo() {
        return activityNo;
    }

    public void setActivityNo(String activityNo) {
        this.activityNo = activityNo;
    }

}
