package com.xxh.cloud.healthy.data.client.api.constant;

/**
 * 用户行为数据枚举
 */
public enum PatientDataOperatedTypeEnum {

    Browse("browse","浏览"),
    Browse_Duration("browse_duration","浏览时长"),
    Interested("interested","感兴趣"),
    Knew("knew","已知晓"),
    Further_Reading("further_reading", "衍生阅读"),

    Register("register","挂号"),
    Consultation_Online("consultation_online","在线问诊"),
    Consultation("consultation","就诊"),

    ;

    private String code;
    private String msg;
    private PatientDataOperatedTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }

}

