package com.xxh.cloud.healthy.data.client.api.constant;

/**
 * 用户数据更新类型枚举
 */
public enum PatientDataUpdateTypeEnum {

    Visit("visit","就诊"),
    Inpatient("inpatient","住院"),

    ;

    private String code;
    private String msg;
    private PatientDataUpdateTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }

}

