package com.xxh.cloud.healthy.data.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者管理数据详情表
 * </p>
 */
@Data
@TableName("hd_patient_manage_detail_info")
public class PatientManageDetailInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 标签ID
     */
     @ApiModelProperty(value = "标签ID")
      private String labelId;

    /**
     * 标签时间
     */
     @ApiModelProperty(value = "标签时间")
      private Date labelDate;

    /**
     * 管理来源类型
     */
     @ApiModelProperty(value = "管理来源类型")
      private String sourceType;

    /**
     * 管理来源ID
     */
     @ApiModelProperty(value = "管理来源ID")
      private String sourceId;

    /**
     * 管理来源时间
     */
     @ApiModelProperty(value = "管理来源时间")
      private Date sourceDate;

    /**
     * 备注状态
     */
     @ApiModelProperty(value = "备注状态")
      private String remarkStatus;

    /**
     * 管理来源时间
     */
     @ApiModelProperty(value = "管理来源时间")
      private Date remarkDate;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date dataUpdateDate;


}
