package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DataArticleExamineQueryDTO {

    /**
     * 参数
     */
    @ApiModelProperty(value = "参数", required = true)
    @NotEmpty(message = "参数[key]不能为空")
    private String key;

    /**
     * 时间范围
     */
    @ApiModelProperty(value = "时间范围[1天、3天、7天、10天]", required = true)
    @NotEmpty(message = "时间范围[timeDuring]不能为空")
    private Integer timeDuring;

}
