package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

// 患者信息
@Getter
@Setter
public class DataDwdPatientQueryDTO extends BasePageDTO {

  @ApiModelProperty(value = "患者编号")
  private String patientId;

  @ApiModelProperty(value = "患者编号列表")
  private List<String> patientIds;

  @ApiModelProperty(value = "患者姓名")
  private String patientName;

  @ApiModelProperty(value = "性别(标准)")
  private String patientGenderStandard;

  @ApiModelProperty(value = "电话号码")
  private String phone;

  @ApiModelProperty(value = "身份证号")
  private String idCardNo;

  @ApiModelProperty(value = "开始年龄")
  private Integer startAge;

  @ApiModelProperty(value = "结束年龄")
  private Integer endAge;



  @ApiModelProperty(value = "查询的基准id")
  private String id;


  
  @ApiModelProperty(value = "科室id")
  private String deptId;

  @ApiModelProperty(value = "科室id列表")
  private List<String> deptIds;

  @ApiModelProperty(value = "开始时间")
  private Date startDate;

  @ApiModelProperty(value = "结束时间")
  private Date endDate;


}
