package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DeptPatientRelationQueryDTO {
    
    @ApiModelProperty(value = "科室(部门)ID")
    private String deptId;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "绑定类型[DeptPatientTypeEnum]")
    private String type;
}
