package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者流失表
 * </p>
 */
@Getter
@Setter
public class PatientLossQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "标准科室编号")
    private String deptId;

    @ApiModelProperty(value = "标准科室编号列表")
    private List<String> deptIds;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "流失类型[住院/挂号/就诊]")
    private String type;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "截止时间")
    private Date endTime;

}
