package com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者流失表
 * </p>
 */
@Getter
@Setter
public class PatientLossRemarkDTO {

    /**
     * id
     */
     @ApiModelProperty(value = "id", required = true)
     @NotEmpty(message = "id不能为空")
      private String id;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注", required = true)
     @NotEmpty(message = "备注不能为空")
      private String remark;

}
