package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DataDwdPatientVO {

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 主患者编号
     */
    @ApiModelProperty(value = "主患者编号")
    private String mainPersonId;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 证件类型(原始)
     */
    @ApiModelProperty(value = "证件类型(原始)")
    private String cardNoTypeRaw;

    /**
     * 证件类型(标准)
     */
    @ApiModelProperty(value = "证件类型(标准)")
    private String cardNoTypeStandard;

    /**
     * 证件号
     */
    @ApiModelProperty(value = "证件号")
    private String cardNo;

    /**
     * 性别(原始)
     */
    @ApiModelProperty(value = "性别(原始)")
    private String patientGenderRaw;

    /**
     * 性别(标准)
     */
    @ApiModelProperty(value = "性别(标准)")
    private String patientGenderStandard;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private String birthday;

    /**
     * 电话号码
     */
    @ApiModelProperty(value = "电话号码")
    private String phone;

}
