package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class DoctorDwdRegisterRecordVO {

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 就诊记录号
     */
     @ApiModelProperty(value = "就诊记录号")
      private String visitId;

    /**
     * 挂号科室名称(原始)
     */
     @ApiModelProperty(value = "挂号科室名称(原始)")
      private String departmentNameRaw;

    /**
     * 挂号科室名称(标准)
     */
     @ApiModelProperty(value = "挂号科室名称(标准)")
      private String departmentNameStandard;

    /**
     * 挂号科室编码(原始)
     */
     @ApiModelProperty(value = "挂号科室编码(原始)")
      private String departmentCodeRaw;

    /**
     * 挂号科室编码(标准)
     */
     @ApiModelProperty(value = "挂号科室编码(标准)")
      private String departmentCodeStandard;

    /**
     * 挂号时间
     */
     @ApiModelProperty(value = "挂号时间")
      private Date regDate;

    /**
     * 初诊复诊分类
     */
     @ApiModelProperty(value = "初诊复诊分类")
      private String firstSubType;

    /**
     * 就诊状态(原始)
     */
     @ApiModelProperty(value = "就诊状态(原始)")
      private String visitStatusRaw;

    /**
     * 就诊状态(标准)
     */
     @ApiModelProperty(value = "就诊状态(标准)")
      private String visitStatusStandard;

    /**
     * 就诊时间
     */
     @ApiModelProperty(value = "就诊时间")
      private Date visitDate;

    /**
     * 挂号状态(原始)
     */
     @ApiModelProperty(value = "挂号状态(原始)")
      private String statusRaw;

    /**
     * 挂号状态(标准)
     */
     @ApiModelProperty(value = "挂号状态(标准)")
      private String statusStandard;

}
