package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

// 诊后：服务确诊患者
@Getter
@Setter
public class PatientAfterStatisticVO {

    // 疾病管理服务次数
    @ApiModelProperty(value = "疾病管理服务次数")
    private Integer serviceCount;
    // 昨日新增疾病管理服务次数
    @ApiModelProperty(value = "昨日新增疾病管理服务次数")
    private Integer serviceCountYesterday;
    // 服务接受率
    @ApiModelProperty(value = "服务接受率")
    private String serviceRatio;
    // 昨日服务接受率
    @ApiModelProperty(value = "昨日服务接受率")
    private String serviceRatioYesterday;
    // 复诊率
    @ApiModelProperty(value = "复诊率")
    private String consultationRatio;
    // 昨日复诊率
    @ApiModelProperty(value = "昨日复诊率")
    private String consultationRatioYesterday;
    // 失访人数
    @ApiModelProperty(value = "失访人数")
    private Long lostCount;
    // 昨日失访人数
    @ApiModelProperty(value = "昨日失访人数")
    private Long lostCountYesterday;
    // 当前失访人数
    @ApiModelProperty(value = "当前失访人数")
    private Long nowLostCount;
}
