package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.List;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientDataVO;
import com.xxh.cloud.healthy.mdt.api.bean.bo.ConsultationBO;
import com.xxh.cloud.healthy.serve.pushServe.client.api.bean.bo.PatientPushServeClientBO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientArchivesVO {
    
    @ApiModelProperty(value = "患者档案信息")
    private List<DwdPatientDataVO> dwdPatientDataList;

    @ApiModelProperty(value = "患者服务信息")
    private List<PatientPushServeClientBO> patientPushServeList;

    @ApiModelProperty(value = "患者MDT会诊信息")
    private List<ConsultationBO> mdtConsultationList;
}
