package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientDiversionOneDayVO{

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 日期(天)
     */
     @ApiModelProperty(value = "日期(天)")
      private String bizDay;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 总数量
     */
     @ApiModelProperty(value = "总数量")
      private Integer totalNum;

    /**
     * 总导流数量
     */
     @ApiModelProperty(value = "总导流数量")
      private Integer diversionNum;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;

    /**
     * 医生名称
     */
     @ApiModelProperty(value = "医生名称")
      private String doctorName;

}
