package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushServeDataVO {

    @ApiModelProperty(value = "推送服务统计数据")
    private PushServeDataOneDayVO pushServeDataOneDayVO;

    @ApiModelProperty(value = "推送服务配置信息")
    private PushServeConfigBO pushServeConfigBO;

    @ApiModelProperty(value = "服务触发次数(引擎给患者推送服务的次数)")
    private Integer pushServeNum;

}
