package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushServePatientVO {

    /**
     * 推送服务id
     */
    @ApiModelProperty(value = "推送服务id")
    private String pushServeId;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private String userId;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String userName;

    /**
     * 成员关系
     */
    @ApiModelProperty(value = "成员关系")
    private String relationName;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 患者类型
     */
    @ApiModelProperty(value = "患者类型")
    private String patientTypeName;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String patientGender;

    /**
     * 标准性别
     */
    @ApiModelProperty(value = "标准性别")
    private String patientGenderStandard;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private String birthday;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private String patientAge;

    /**
     * 电话号码
     */
    @ApiModelProperty(value = "电话号码")
    private String phone;

    /**
     * 患者推送服务生成时间
     */
    @ApiModelProperty(value = "患者推送服务生成时间")
    private Date createDate;

    /**
     * 患者推送服务实际推送时间
     */
    @ApiModelProperty(value = "患者推送服务实际推送时间")
    private Date pushServeDate;

    /**
     * 服务推送状态
     */
    @ApiModelProperty(value = "服务推送状态")
    private String pushServeStatus;

    /**
     * 服务推送状态码
     */
    @ApiModelProperty(value = "服务推送状态码")
    private String pushServeErrorCode;

    /**
     * 服务推送错误信息
     */
    @ApiModelProperty(value = "服务推送错误信息")
    private String pushServeErrorMsg;

    /**
     * 阅读时间
     */
    @ApiModelProperty(value = "阅读时间")
    private Date readDate;

    /**
     * 是否阅读
     */
    @ApiModelProperty(value = "是否阅读")
    private String read;

    /**
     * 是否感兴趣
     */
    @ApiModelProperty(value = "是否感兴趣")
    private String interested;

}
