package com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

// 服务对象（用户：家属/患者等）
@Getter
@Setter
public class PushServeTargetVO {

    @ApiModelProperty(value = "推送服务id")
    private String pushServeId;

    @ApiModelProperty(value = "患者推送服务id")
    private String patientPushServeId;

    //患者信息
    @ApiModelProperty(value = "患者编号")
    private String patientId;
    @ApiModelProperty(value = "患者姓名")
    private String patientName;
    @ApiModelProperty(value = "患者性别(标准)")
    private String patientGenderStandard;
    @ApiModelProperty(value = "患者生日")
    private String patientBirthday;
    @ApiModelProperty(value = "患者电话号码")
    private String patientPhone;
    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

    // 家属患者信息
    @ApiModelProperty(value = "用户ID")
    private String userId;
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @ApiModelProperty(value = "性别")
    private String userGender;
    @ApiModelProperty(value = "成员关系")
    private String relationName;

    @ApiModelProperty(value = "生成时间")
    private String opDate;

    @ApiModelProperty(value = "日程id")
    private String scheduleId;

    // @ApiModelProperty(value = "日程类型")
    // private String scheduleType;

    @ApiModelProperty(value = "推送时间")
    private String scheduleDate;

    @ApiModelProperty(value = "服务推送状态")
    private String pushServeStatus;

    @ApiModelProperty(value = "服务推送状态码")
    private String pushServeErrorCode;

    @ApiModelProperty(value = "服务推送错误信息")
    private String pushServeErrorMsg;

    @ApiModelProperty(value = "阅读时间")
    private String readDate;

    @ApiModelProperty(value = "是否阅读")
    private String read;

    @ApiModelProperty(value = "是否感兴趣")
    private String interested;

}
