package com.xxh.cloud.healthy.data.framework.modules.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

public interface PulmonaryNoduleMapper {

    // 查询
    @Select(" SELECT inspect_code inspectCode, inspect FROM z_pulmonary_nodule ${ew.customSqlSegment} ")
    IPage<Map<String, String>> page(Page<Void> page, @Param(Constants.WRAPPER) Wrapper<Void> wrapper);

    // 查询
    @Select(" SELECT inspect_code inspectCode, inspect FROM z_pulmonary_nodule ${ew.customSqlSegment} ")
    List<Map<String, String>> list(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);

    // 更新
    @Update(" UPDATE z_pulmonary_nodule SET ${ew.sqlSet} ${ew.customSqlSegment} ")
    Integer update(@Param(Constants.WRAPPER) Wrapper<Void> wrapper);

}
