package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorFollowPatientAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorFollowPatientGetDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.DoctorFollowPatientQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.DoctorFollowPatientVO;

import java.util.List;

/**
 * <p>
 * 医生关注患者表 服务类
 * </p>
 */
public interface DoctorFollowPatientBizService {

    PageData<DoctorFollowPatientVO> page(DoctorFollowPatientQueryDTO params);
    
    PageData<DoctorFollowPatientVO> simplePage(DoctorFollowPatientQueryDTO params);
    
    List<DoctorFollowPatientVO> simpleList(DoctorFollowPatientQueryDTO params);
    
    DoctorFollowPatientVO detail(DoctorFollowPatientGetDTO params);
    
    DoctorFollowPatientVO followOrNot(DoctorFollowPatientAddDTO params);

}
