package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientLossAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientLossGetDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientLossQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientLossRemarkDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientLossUpdateDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientLossVO;

/**
 * 患者流失数据
 */
public interface PatientLossDataBizService {

    PageData<PatientLossVO> query(PatientLossQueryDTO params);

    List<PatientLossVO> list(PatientLossQueryDTO params);

    PatientLossVO getById(PatientLossGetDTO params);

    void saveBatch(List<PatientLossAddDTO> params);

    void remark(PatientLossRemarkDTO params);

    void update(PatientLossUpdateDTO params);

}
