package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientManageDetailAddDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientManageDetailQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientManageDetailVO;

public interface PatientManageDetailBizService {
    
    // 管理患者详情数据
    PageData<PatientManageDetailVO> query(PatientManageDetailQueryDTO params);

    // 管理患者详情导流数据
    List<PatientManageDetailVO> diversionQuery(PatientManageDetailQueryDTO params);

    void saveBatch(List<PatientManageDetailAddDTO> params);
}
