package com.xxh.cloud.healthy.data.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientPushServeBehaviorQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PatientPushServeQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PushServiceStatisticGetDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.dto.PushServiceStatisticQueryDTO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PushServePatientVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PushServeTargetVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PatientPushServeBehaviorVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PushServeDataOneDayVO;
import com.xxh.cloud.healthy.data.framework.modules.biz.bean.vos.PushServeDataVO;

public interface PushServeDataQueryBizService {

    // 服务统计
    List<PushServeDataOneDayVO> query(PushServiceStatisticQueryDTO params);

    // 服务统计详情（运营看板）
    PushServeDataOneDayVO detail(PushServiceStatisticGetDTO params);

    // 服务对象
    @Deprecated
    PageData<PushServePatientVO> queryPatient(PatientPushServeQueryDTO params);

    // 服务用户行为分析
    List<PatientPushServeBehaviorVO> queryPatientPushServeBehavior(PatientPushServeBehaviorQueryDTO params);


    // zs20231106 病种运营首页服务统计
    List<PushServeDataVO> pushServeDataQuery(PushServiceStatisticQueryDTO params);
    // zs20231107 病种运营服务详情统计
    PushServeDataVO pushServeDataDetail(PushServiceStatisticGetDTO params);

    // 服务对象
    PageData<PushServeTargetVO> remindUser(PatientPushServeQueryDTO params);

}
