package com.xxh.cloud.healthy.drug.framework.modules.base.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 药品提醒配置日志信息表
 */
@Data
@TableName("h_drug_notity_config_log_info")
public class DrugNotityConfigLogInfo {
    
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 配置id
     */
     @ApiModelProperty(value = "配置id")
      private String configId;

    /**
     * 标准药品ID
     */
     @ApiModelProperty(value = "标准药品ID")
      private String medicantId;

    /**
     * 标准药品编号(准字)
     */
     @ApiModelProperty(value = "标准药品编号(准字)")
      private String medicantCode;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
      private String projectCode;

    /**
     * 操作动作分类
     */
     @ApiModelProperty(value = "操作动作分类")
      private String opActType;

    /**
     * 操作内容备注
     */
     @ApiModelProperty(value = "操作内容备注")
      private String opRemark;

    /**
     * 操作内容提醒状态
     */
     @ApiModelProperty(value = "操作内容提醒状态")
      private String opStatus;

    /**
     * 操作内容提醒生效时间
     */
     @ApiModelProperty(value = "操作内容提醒生效时间")
      private String opEffectiveTime;

    /**
     * 操作内容提醒状态
     */
     @ApiModelProperty(value = "操作内容提醒状态")
      private String opUser;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opTime;

}
