package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置快照信息表
 */
@Getter
@Setter
public class DrugNotityConfigSnapshotListDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 配置ID
     */
    @ApiModelProperty(value = "配置ID")
    private String configId;

    /**
     * 标准药品ID
     */
    @ApiModelProperty(value = "标准药品ID")
    private String medicantId;

    /**
     * 标准药品编号(准字)
     */
    @ApiModelProperty(value = "标准药品编号(准字)")
    private String medicantCode;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 提醒状态
     */
    @ApiModelProperty(value = "提醒状态")
    private String status;

}
