package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置信息表
 */
@Getter
@Setter
public class DrugNotityConfigUpdateStatusDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    /**
     * 提醒生效时间
     */
    @ApiModelProperty(value = "提醒生效时间")
    private String effectiveTime;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String opUser;

    /**
     * 操作备注
     */
    @ApiModelProperty(value = "操作备注")
    private String opRemark;

}
