package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置快照信息表
 */
@Getter
@Setter
public class DrugNotityConfigSnapshotVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 配置ID
     */
    @ApiModelProperty(value = "配置ID")
    private String configId;

    /**
     * 标准药品ID
     */
    @ApiModelProperty(value = "标准药品ID")
    private String medicantId;

    /**
     * 标准药品编号(准字)
     */
    @ApiModelProperty(value = "标准药品编号(准字)")
    private String medicantCode;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 提醒状态
     */
    @ApiModelProperty(value = "提醒状态")
    private String status;

    /**
     * 提醒生效时间
     */
    @ApiModelProperty(value = "提醒生效时间")
    private String effectiveTime;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String opUser;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opTime;

    /**
     * 操作备注
     */
    @ApiModelProperty(value = "操作备注")
    private String opRemark;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String creator;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

}
