package com.xxh.cloud.healthy.drug.framework.modules.biz.bean.vo;

import java.util.Date;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import com.xxh.cloud.metadata.client.api.bean.bos.standard.StandardMedicantBO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 药品提醒配置信息表
 */
@Getter
@Setter
public class DrugNotityConfigVO extends BaseEntity {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 标准药品ID
     */
    @ApiModelProperty(value = "标准药品ID")
    private String medicantId;

    /**
     * 标准药品编号(准字)
     */
    @ApiModelProperty(value = "标准药品编号(准字)")
    private String medicantCode;

    /**
     * 快照ID
     */
    @ApiModelProperty(value = "快照ID")
    private String snapshotId;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 提醒状态
     */
    @ApiModelProperty(value = "提醒状态")
    private String status;

    /**
     * 提醒生效时间
     */
    @ApiModelProperty(value = "提醒生效时间")
    private String effectiveTime;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String opUser;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opTime;

    /**
     * 操作备注
     */
    @ApiModelProperty(value = "操作备注")
    private String opRemark;

    /**
     * 药品信息
     */
    @ApiModelProperty(value = "药品信息")
    private StandardMedicantBO standardMedicantInfo;

}
