package com.xxh.cloud.healthy.drug.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigAddDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigDelDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigListDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigQueryDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigUpdateDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.dto.DrugNotityConfigUpdateStatusDTO;
import com.xxh.cloud.healthy.drug.framework.modules.biz.bean.vo.DrugNotityConfigVO;

public interface DrugNotityConfigBizService {
    
    PageData<DrugNotityConfigVO> query(DrugNotityConfigQueryDTO params);

    List<DrugNotityConfigVO> list(DrugNotityConfigListDTO params);
    
    DrugNotityConfigVO getById(String id);

    DrugNotityConfigVO add(DrugNotityConfigAddDTO params);
    
    void update(DrugNotityConfigUpdateDTO params);
    
    void updateStatus(DrugNotityConfigUpdateStatusDTO params);
    
    void del(DrugNotityConfigDelDTO params);
}
