package com.xxh.cloud.healthy.mdt.api.bean.bo;

import java.util.Date;

public class ConsultationDoctorBO {

  /**
   * id
   */
  private String id;

  /**
   * 会诊ID
   */
  private String consultationId;

  /**
   * 会诊科室编号
   */
  private String deptCode;

  /**
   * 会诊科室名称
   */
  private String deptName;

  /**
   * 会诊医生ID
   */
  private String doctorId;

  /**
   * 会诊医生名称
   */
  private String doctorName;

  /**
   * 会诊医生职责编号
   */
  private String dutyCode;

  /**
   * 会诊医生职责名称
   */
  private String dutyName;

  /**
   * 人员分类[指定/替补]
   */
  private String doctorType;

  /**
   * 替补的医生ID
   */
  private String transferDoctorId;

  /**
   * 状态
   */
  private String status;

  /**
   * 描述
   */
  private String remark;

  /**
   * 操作时间
   */
  private Date opTime;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getConsultationId() {
    return consultationId;
  }

  public void setConsultationId(String consultationId) {
    this.consultationId = consultationId;
  }

  public String getDeptCode() {
    return deptCode;
  }

  public void setDeptCode(String deptCode) {
    this.deptCode = deptCode;
  }

  public String getDeptName() {
    return deptName;
  }

  public void setDeptName(String deptName) {
    this.deptName = deptName;
  }

  public String getDoctorId() {
    return doctorId;
  }

  public void setDoctorId(String doctorId) {
    this.doctorId = doctorId;
  }

  public String getDoctorName() {
    return doctorName;
  }

  public void setDoctorName(String doctorName) {
    this.doctorName = doctorName;
  }

  public String getDutyCode() {
    return dutyCode;
  }

  public void setDutyCode(String dutyCode) {
    this.dutyCode = dutyCode;
  }

  public String getDutyName() {
    return dutyName;
  }

  public void setDutyName(String dutyName) {
    this.dutyName = dutyName;
  }

  public String getDoctorType() {
    return doctorType;
  }

  public void setDoctorType(String doctorType) {
    this.doctorType = doctorType;
  }

  public String getTransferDoctorId() {
    return transferDoctorId;
  }

  public void setTransferDoctorId(String transferDoctorId) {
    this.transferDoctorId = transferDoctorId;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }

  public Date getOpTime() {
    return opTime;
  }

  public void setOpTime(Date opTime) {
    this.opTime = opTime;
  }

}
