package com.xxh.cloud.healthy.mdt.api.bean.bo;

import java.util.Date;

/**
 * 发起会诊申请信息表
 */
public class ConsultationLaunchApplyBO {

    /**
     * id
     */
    private String id;

    /**
     * 会诊类型
     */
    private String consultationType;

    /**
     * 患者编号
     */
    private String patientId;

    /**
     * 住院号
     */
    private String inpatientId;

    /**
     * 门诊号
     */
    private String visitId;

    /**
     * 相关疾病ID
     */
    private String diseaseId;

    /**
     * 申请负责医生ID
     */
    private String applyDoctorId;

    /**
     * 发起会诊医生ID
     */
    private String launchDoctorId;

    /**
     * 申请发起会诊内容
     */
    private String content;

    /**
     * 实际发起申请会诊提醒的时间
     */
    private Date applyTime;

    /**
     * 实际发起的会诊id
     */
    private String consultationId;

    /**
     * 实际发起会诊的时间
     */
    private Date submitTime;

    /**
     * 实际会诊完成的时间
     */
    private Date finishTime;

    /**
     * 状态
     */
    private String status;

    public String getId() {
      return id;
    }

    public void setId(String id) {
      this.id = id;
    }

    public String getConsultationType() {
      return consultationType;
    }

    public void setConsultationType(String consultationType) {
      this.consultationType = consultationType;
    }

    public String getPatientId() {
      return patientId;
    }

    public void setPatientId(String patientId) {
      this.patientId = patientId;
    }

    public String getInpatientId() {
      return inpatientId;
    }

    public void setInpatientId(String inpatientId) {
      this.inpatientId = inpatientId;
    }

    public String getVisitId() {
      return visitId;
    }

    public void setVisitId(String visitId) {
      this.visitId = visitId;
    }

    public String getDiseaseId() {
      return diseaseId;
    }

    public void setDiseaseId(String diseaseId) {
      this.diseaseId = diseaseId;
    }

    public String getApplyDoctorId() {
      return applyDoctorId;
    }

    public void setApplyDoctorId(String applyDoctorId) {
      this.applyDoctorId = applyDoctorId;
    }

    public String getLaunchDoctorId() {
      return launchDoctorId;
    }

    public void setLaunchDoctorId(String launchDoctorId) {
      this.launchDoctorId = launchDoctorId;
    }

    public String getContent() {
      return content;
    }

    public void setContent(String content) {
      this.content = content;
    }

    public Date getApplyTime() {
      return applyTime;
    }

    public void setApplyTime(Date applyTime) {
      this.applyTime = applyTime;
    }

    public String getConsultationId() {
      return consultationId;
    }

    public void setConsultationId(String consultationId) {
      this.consultationId = consultationId;
    }

    public Date getSubmitTime() {
      return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
      this.submitTime = submitTime;
    }

    public Date getFinishTime() {
      return finishTime;
    }

    public void setFinishTime(Date finishTime) {
      this.finishTime = finishTime;
    }

    public String getStatus() {
      return status;
    }

    public void setStatus(String status) {
      this.status = status;
    }

}
