package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationApplyExamineAuditDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String applyId;

    @ApiModelProperty(value = "申诉状态 pass/refuse", required = true)
    @NotEmpty(message = "申诉状态不能为空")
    private String examineState;

    @ApiModelProperty(value = "审批内容", required = true)
    @NotEmpty(message = "审批内容不能为空")
    private String examineAuditInfo;

    @ApiModelProperty(value = "操作人")
    private String opUserId;

}
