package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ConsultationApplyStatSearchDTO {

     @ApiModelProperty(value = "查询日期", required = true)
     @NotEmpty(message = "查询日期不能为空")
     private String searchDate;


     @ApiModelProperty(value = "校验key", required = true)
     @NotEmpty(message = "校验key不能为空")
     private String key;
}
