package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationDoctorQueryDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 会诊ID
     */
    @ApiModelProperty(value = "会诊ID")
    private String consultationId;

    /**
     * 会诊ID列表
     */
    @ApiModelProperty(value = "会诊ID列表")
    private List<String> consultationIds;

    /**
     * 会诊学科
     */
    @ApiModelProperty(value = "会诊学科")
    private String deptCode;

    /**
     * 会诊医生ID
     */
    @ApiModelProperty(value = "会诊医生ID")
    private String doctorId;

    /**
     * 会诊医生ID列表
     */
    @ApiModelProperty(value = "会诊医生ID列表")
    private List<String> doctorIds;

    /**
     * 过期时间
     */
    @ApiModelProperty(value = "人员分类[指定/替补]")
    private String doctorType;

    /**
     * 替补的医生ID
     */
    @ApiModelProperty(value = "替补的医生ID")
    private String transferDoctorId;

}
