package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationJoinOrRefuseDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "会诊ID不能为空")
    private String id;

    @ApiModelProperty(value = "参会医生ID", required = true)
    @NotEmpty(message = "参会医生ID")
    private String doctorId;

    @ApiModelProperty(value = "指定替补医生ID")
    private String appointDoctorId;

}
