package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请转科统计信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyChangeStatSaveDTO {
    
    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptId;

    /**
     * 病种ID
     */
     @ApiModelProperty(value = "病种ID")
      private String diseaseId;

    /**
     * 已完成会诊数量
     */
     @ApiModelProperty(value = "已完成会诊数量")
      private Integer finishNum;

    /**
     * 会诊转科数量
     */
     @ApiModelProperty(value = "会诊转科数量")
      private Integer changeNum;

    /**
     * 会诊立即转科数量
     */
     @ApiModelProperty(value = "会诊立即转科数量")
      private Integer changeNowNum;

    /**
     * 出院后转科入院数量
     */
     @ApiModelProperty(value = "出院后转科入院数量")
      private Integer outChangeNum;

    /**
     * 治疗后转科数量
     */
     @ApiModelProperty(value = "治疗后转科数量")
      private Integer therapyChangeNum;

    /**
     * 实际转科数量
     */
     @ApiModelProperty(value = "实际转科数量")
      private Integer realChangeNum;

}
