package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyListDTO {

    @ApiModelProperty(value = "查询日期", required = true)
    @NotEmpty(message = "查询日期不能为空")
    private String searchDate;

    @ApiModelProperty(value = "校验key", required = true)
    @NotEmpty(message = "校验key不能为空")
    private String key;

    @ApiModelProperty(value = "部门组")
    private String deptRelationId;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "状态列表")
    private List<String> statuses;

}
