package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请统计信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyStatQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "日期")
    private String dataTime;

    @ApiModelProperty(value = "科室编号")
    private String deptId;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "截止时间")
    private String endDate;

}
