package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Getter
@Setter
public class ConsultationNotifyQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    @ApiModelProperty(value = "相关疾病")
    private String diseaseId;

    @ApiModelProperty(value = "记录分类(发起invite 参与join)")
    private String notifyType;

    @ApiModelProperty(value = "通知处理状态 todo待处理, done已完成")
    private String notifyStatus;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty(value = "申请医生ID")
    private String applyDoctorId;
}
