package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationSummaryDTO {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID[id]不能为空")
    private String id;

    @ApiModelProperty(value = "总结内容", required = true)
    @NotEmpty(message = "总结内容[summary]不能为空")
    private String summary;

    // @ApiModelProperty(value = "总结人", required = true)
    // @NotEmpty(message = "总结人[summaryUserId]不能为空")
    // private String summaryUserId;

    @ApiModelProperty(value = "会诊发起人医生ID")
    private String doctorId;

}
