package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import java.util.Date;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyQueryReq extends BasePageDTO {
    
    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 会诊类型
     */
     @ApiModelProperty(value = "会诊类型")
      private String consultationType;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 申请负责医生ID
     */
     @ApiModelProperty(value = "申请医生ID")
      private String applyDoctorId;

    /**
     * 发起会诊医生ID
     */
     @ApiModelProperty(value = "发起会诊医生ID")
      private String launchDoctorId;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    /**
     * 申请类型[ConsultationLaunchApplyConstant.Type]
     */
    @ApiModelProperty(value = "申请类型[ConsultationLaunchApplyConstant.Type]")
    private String type;

}
