package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.req;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationStartOrCancelReq {

    @ApiModelProperty(value = "会诊ID", required = true)
    @NotEmpty(message = "会诊ID不能为空")
    private String id;

    @ApiModelProperty(value = "签到医生列表")
    private List<String> signDoctorList;

    @ApiModelProperty(value = "会诊图片列表")
    private List<String> imageList;

}
