package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationAdviceVO extends BaseEntity {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 会诊ID
     */
    @ApiModelProperty(value = "会诊ID")
    private String consultationId;

    /**
     * 会诊医生ID
     */
    @ApiModelProperty(value = "会诊医生ID")
    private String doctorId;

    /**
     * 意见内容
     */
    @ApiModelProperty(value = "意见内容")
    private String advice;



    
    /**
     * 会诊科室编号
     */
    @ApiModelProperty(value = "会诊科室编号")
    private String deptCode;

  /**
   * 会诊科室名称
   */
   @ApiModelProperty(value = "会诊科室名称")
    private String deptName;

  /**
   * 会诊医生名称
   */
   @ApiModelProperty(value = "会诊医生名称")
    private String doctorName;

  /**
   * 会诊医生职责编号
   */
   @ApiModelProperty(value = "会诊医生职责编号")
    private String dutyCode;

  /**
   * 会诊医生职责名称
   */
   @ApiModelProperty(value = "会诊医生职责名称")
    private String dutyName;

}
