package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationExportVO {

    /**
     * 会诊类型
     */
    // @ApiModelProperty(value = "会诊类型")
    // private String applyType;

    /**
     * id
     */
    // @ApiModelProperty(value = "id")
    // private String id;

    /**
     * 会诊单名称
     */
    // @ApiModelProperty(value = "会诊单名称")
    // private String name;

    /**
     * 申请单详细内容
     */
    @ApiModelProperty(value = "申请单详细内容")
    private String remark;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 住院号
     */
    @ApiModelProperty(value = "住院号")
    private String inpatientId;

    /**
     * 门诊号
     */
    @ApiModelProperty(value = "门诊号")
    private String visitId;

    /**
     * 申请时间
     */
    @ApiModelProperty(value = "申请时间")
    private Date applyTime;

    /**
     * 申请负责医生ID
     */
    // @ApiModelProperty(value = "申请医生ID")
    // private String applyDoctorId;

    /**
     * 申请医生姓名
     */
    @ApiModelProperty(value = "申请医生姓名")
    private String applyDoctorName;

    /**
     * 申请科室编号
     */
    // @ApiModelProperty(value = "申请科室编号")
    // private String applyDeptId;

    /**
     * 申请科室名称
     */
    @ApiModelProperty(value = "申请科室名称")
    private String applyDeptName;


    ////////////


    /**
     * 被会诊科室编号
     */
    // @ApiModelProperty(value = "被会诊科室编号")
    // private String mdtDeptCode;

    /**
     * 被会诊科室名称
     */
    @ApiModelProperty(value = "被会诊科室名称")
    private String mdtDeptName;

    /**
     * 提交医生ID
     */
    // @ApiModelProperty(value = "提交医生ID")
    // private String submitDoctorId;

    /**
     * 提交医生名称
     */
    @ApiModelProperty(value = "提交医生名称")
    private String submitDoctorName;

    /**
     * 提交内容
     */
    @ApiModelProperty(value = "提交内容")
    private String submitContent;

    /**
     * 提交xml内容
     */
    // @ApiModelProperty(value = "提交xml内容")
    // private String submitXmlContent;

    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    /**
     * 随访时间
     */
    @ApiModelProperty(value = "随访时间")
    private String followup;

    /**
     * 会诊目标类型
     */
    @ApiModelProperty(value = "会诊目标类型[ConsultationConstant.ConsultationTargetType]")
    private String targetType;

    /**
     * 会诊目标
     */
    @ApiModelProperty(value = "会诊目标")
    private String target;

    /**
     * 会诊目标状态
     */
    @ApiModelProperty(value = "会诊目标状态")
    private String targetStatus;

    /**
     * 会诊目标完成时间
     */
    @ApiModelProperty(value = "会诊目标完成时间")
    private Date targetFinishTime;

    ///////////

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 患者电话
     */
    @ApiModelProperty(value = "患者电话")
    private String patientPhone;

    /**
     * 患者性别
     */
    @ApiModelProperty(value = "患者性别")
    private String patientSex;

    /**
     * 患者年龄
     */
    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

}
