package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请转科统计信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyChangeStatVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "日期")
    private String dataTime;

    @ApiModelProperty(value = "科室编号")
    private String deptId;

    @ApiModelProperty(value = "病种ID")
    private String diseaseId;

    @ApiModelProperty(value = "已完成会诊数量")
    private Integer finishNum;

    @ApiModelProperty(value = "会诊转科数量")
    private Integer changeNum;

    @ApiModelProperty(value = "会诊立即转科数量")
    private Integer changeNowNum;

    @ApiModelProperty(value = "出院后转科入院数量")
    private Integer outChangeNum;

    @ApiModelProperty(value = "治疗后转科数量")
    private Integer therapyChangeNum;

    @ApiModelProperty(value = "总转科数量")
    private Integer realChangeNum;

    @ApiModelProperty(value = "数据更新时间")
    private Date dataUpdateDate;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "病种名称")
    private String diseaseName;

}
