package com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 发起会诊申请统计信息表
 */
@Getter
@Setter
public class ConsultationLaunchApplyStatExportVO {

    @ApiModelProperty(value = "科室编号")
    private String deptId;

    @ApiModelProperty(value = "发起会诊提醒数量")
    private Integer startNum;

    @ApiModelProperty(value = "发起会诊数量")
    private Integer applyNum;

    @ApiModelProperty(value = "未发起会诊数量")
    private Integer notApplyNum;

    @ApiModelProperty(value = "申诉数量")
    private Integer examineNum;

    @ApiModelProperty(value = "已完成会诊数量")
    private Integer finishNum;

    @ApiModelProperty(value = "会诊转科数量")
    private Integer changeNum;

    @ApiModelProperty(value = "会诊立即转科数量")
    private Integer changeNowNum;

    @ApiModelProperty(value = "出院后转科入院数量")
    private Integer outChangeNum;

    @ApiModelProperty(value = "治疗后转科数量")
    private Integer therapyChangeNum;

    @ApiModelProperty(value = "实际转科数量")
    private Integer realChangeNum;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

}
