package com.xxh.cloud.healthy.mdt.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationSignAddDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.ConsultationSignQueryDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.ConsultationSignVO;

public interface ConsultationSignBizService {
    
    // 签到
    void add(ConsultationSignAddDTO params);

    // 签到
    void addBatch(List<ConsultationSignAddDTO> params);

    // 取消签到
    void remove(ConsultationSignAddDTO params);

    // 查询签到人员列表
    List<ConsultationSignVO> list(ConsultationSignQueryDTO params);

}
