package com.xxh.cloud.healthy.mdt.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.HisConsultationAdviceAddDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.HisConsultationAdviceQueryDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.dto.HisConsultationAdviceSyncDTO;
import com.xxh.cloud.healthy.mdt.framework.modules.biz.bean.vo.HisConsultationAdviceVO;

public interface HisConsultationAdviceBizService {
    
    // 保存海泰会诊意见
    void add(HisConsultationAdviceAddDTO params);

    void addBatch(List<HisConsultationAdviceAddDTO> params);

    // 海泰会诊意见列表
    PageData<HisConsultationAdviceVO> page(HisConsultationAdviceQueryDTO params);

    // 海泰会诊意见列表
    List<HisConsultationAdviceVO> list(HisConsultationAdviceQueryDTO params);

    // 海泰会诊意见详情
    HisConsultationAdviceVO detail(HisConsultationAdviceQueryDTO params);
    
    // 同步并保存海泰会诊意见
    void syncConsultationAdvice(HisConsultationAdviceSyncDTO params);

}
