package com.xxh.cloud.healthy.mdt.framework.modules.sync.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.healthy.mdt.framework.modules.sync.bean.MdtSyncModelBO;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

public interface MdtSyncQueryMapper {

    @Select(" SELECT code as code,name as name,flag  as syncFlag,sync_max_minute  as maxMin FROM bwd_data_sync_flag_info  " +
            " ${ew.customSqlSegment} ")
    public MdtSyncModelBO getMdtSyncFlag(@Param(Constants.WRAPPER) Wrapper<MdtSyncModelBO> wrapper);

    @Insert(" INSERT INTO bwd_data_sync_flag_info ( code, name, flag, remark, op_user, op_date, sync_max_minute ) " + 
            " VALUES ( #{entity.code}, #{entity.name}, #{entity.syncFlag}, 'Add', '1', NOW(), #{entity.maxMin} ) ")
    public void insertMdtSyncFlag(@Param("entity") MdtSyncModelBO entity);

    @Update(" UPDATE bwd_data_sync_flag_info SET flag = #{flagTime} WHERE code = #{code}  ")
    public void updateMdtSyncFlag(@Param("flagTime") String flagTime, @Param("code") String code);


}
