package com.xxh.cloud.healthy.mdt.third.utils;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.healthy.mdt.third.constant.MdtThirdUrls;

import java.util.HashMap;
import java.util.Map;

/**
 * 解密
 * */
public class MdtDecryptionHttpUtil {



    public static String getData(String content){
        MdtThirdUrls urls=new MdtThirdUrls();
        String result =MdtDecryptionHttpUtil.getHttpApi(urls.get_MDT_Decryption_Url(),content);
        if(StrUtil.isEmpty(result)){
            return null;
        }
        return result;
    }


    public static String getHttpApi(String url,String content) {
        Map<String, String> params = new HashMap<>();
        params.put("xml",content);
        try {
            String result = HttpUtil.post(url, JSON.toJSONString(params), 1000 * 60);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }





}
