package com.xxh.cloud.healthy.mdt.third.utils;


import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.healthy.mdt.third.bean.MdtHtTaskReq;
import com.xxh.cloud.healthy.mdt.third.bean.MdtHtTaskResp;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * HT 创建会诊消息
 * **/
@Slf4j
@Component
public class MdtHtTaskApiHelper {
    // 创建会诊消息
    private static String patientRecordBlackList = "http://172.17.111.119:30088/httask/external/service";

    /**HT 创建会诊消息*/
    public static MdtHtTaskResp htTaskExternal(MdtHtTaskReq req) {
        String bodyJson = JSONObject.toJSONString(req);
        log.info(StrUtil.format("创建会诊消息参数:{}", bodyJson));
        String result = HttpRequest.post(patientRecordBlackList)
                .body(bodyJson)
                .execute().body();
        log.info(StrUtil.format("创建会诊消息返回:{}", result));
        return JSONObject.parseObject(result, MdtHtTaskResp.class);
//        MdtHtTaskResp resp = new MdtHtTaskResp();
//        resp.setMessage("成功");
//        resp.setSuccess("0");
//        resp.setTaskSn("1200009");
//        return resp;
    }

}
