package com.xxh.cloud.healthy.push.framework.modules.async;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import com.xxh.cloud.customer.client.api.CustomerThirdClientService;
import com.xxh.cloud.customer.client.api.bean.dto.CustomerUserLoginThirdClientDTO;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
@Async("wxExecutor")
public class WeixinAsyncBizServiceImpl implements WeixinAsyncBizService {

    @Autowired
    private CustomerThirdClientService customerThirdClientService;
 
    @Override
    public void registerCustom(CustomerUserLoginThirdClientDTO params) {
        // zs20240805 异步为订阅用户注册账号
        try {
            customerThirdClientService.register(params);
        } catch (Exception e) {
            log.error("扫码关注注册用户失败: openid={}; message={}", params.getOpenId(), e.getMessage());
            e.printStackTrace();
        }
    }
    
}
