package com.xxh.cloud.healthy.push.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 互联网医院推广码推广日志
 * </p>
 */
@Data
@TableName("hd_his_promotion_log")
public class HisPromotionLog {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 二维码数据id
     */
    @ApiModelProperty(value = "二维码数据id")
    private String qrcodeId;

    /**
     * 拥有者类型
     * WeixinQRCodeConstant.OwnerType
     */
    @ApiModelProperty(value = "拥有者类型[WeixinQRCodeConstant.OwnerType]")
    private String ownerType;

    /**
     * 拥有者code
     */
    @ApiModelProperty(value = "拥有者code")
    private String ownerCode;

    /**
     * 拥有者名字
     */
    @ApiModelProperty(value = "拥有者名字")
    private String ownerName;

    /**
     * 扫码用户
     */
    @ApiModelProperty(value = "扫码用户")
    private String openId;

    /**
     * 推广状态
     */
    @ApiModelProperty(value = "推广状态")
    private String status;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opDate;

}
