package com.xxh.cloud.healthy.push.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 微信用户数据
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hl_weixin_user_info")
public class WeixinUserInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "微信openid")
    private String openId;

    @ApiModelProperty(value = "微信unionid")
    private String unionId;

    @ApiModelProperty(value = "同步状态")
    private String isSync;

}
