package com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushWeixinLogAddDTO {

    /**
     * 用户分类
     */
    @ApiModelProperty(value = "用户分类")
    private String userType;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private String userId;

    /**
     * 微信用户ID
     */
    @ApiModelProperty(value = "微信用户ID")
    private String openId;

    /**
     * 微信主体编号
     */
    @ApiModelProperty(value = "微信主体编号")
    private String wxAppId;

    /**
     * 关联业务一级分类
     */
    @ApiModelProperty(value = "关联业务一级分类")
    private String bizOneType;

    /**
     * 关联业务二级分类
     */
    @ApiModelProperty(value = "关联业务二级分类")
    private String bizTwoType;

    /**
     * 关联业务ID
     */
    @ApiModelProperty(value = "关联业务ID")
    private String bizId;

    /**
     * 模板ID
     */
    @ApiModelProperty(value = "模板ID")
    private String tempId;

    /**
     * 提醒ID
     */
    @ApiModelProperty(value = "提醒ID")
    private String remindId;

    /**
     * 推送状态
     */
    @ApiModelProperty(value = "推送状态")
    private String sendStatus;

    /**
     * 推送结果
     */
    @ApiModelProperty(value = "推送结果")
    private String sendResult;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 推送错误码
     */
    @ApiModelProperty(value = "推送错误码")
    private String errorCode;

    /**
     * 推送错误信息
     */
    @ApiModelProperty(value = "推送错误信息")
    private String errorMsg;

}
