package com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class WechatQRCodeDataQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "场景类型")
    private String sceneType;

    @ApiModelProperty(value = "场景类型列表")
    private List<String> sceneTypes;

    @ApiModelProperty(value = "员工Id")
    private String userId;

    @ApiModelProperty(value = "员工Ids")
    private List<String> userIds;

    @ApiModelProperty(value = "拥有者类型[护士/护工/医生/机器等]")
    private String ownerType;

    @ApiModelProperty(value = "拥有者code")
    private String ownerCode;

    @ApiModelProperty(value = "拥有者名字")
    private String ownerName;

    @ApiModelProperty(value = "二维码类型")
    private String qrType;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty(value = "是否过期YN")
    private String isExpired;

}
