package com.xxh.cloud.healthy.push.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PushWeixinLogVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 用户分类
     */
    @ApiModelProperty(value = "用户分类")
    private String userType;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private String userId;
    /**
     * 微信用户ID
     */
    @ApiModelProperty(value = "微信用户ID")
    private String openId;

    /**
     * 微信主体编号
     */
    @ApiModelProperty(value = "微信主体编号")
    private String wxAppId;

    /**
     * 关联业务一级分类
     */
    @ApiModelProperty(value = "关联业务一级分类")
    private String bizOneType;

    /**
     * 关联业务二级分类
     */
    @ApiModelProperty(value = "关联业务二级分类")
    private String bizTwoType;

    /**
     * 关联业务ID
     */
    @ApiModelProperty(value = "关联业务ID")
    private String bizId;

    /**
     * 模板ID
     */
    @ApiModelProperty(value = "模板ID")
    private String tempId;

    /**
     * 提醒ID
     */
    @ApiModelProperty(value = "提醒ID")
    private String remindId;

    /**
     * 推送状态
     */
    @ApiModelProperty(value = "推送状态")
    private String sendStatus;

    /**
     * 推送结果
     */
    @ApiModelProperty(value = "推送结果")
    private String sendResult;

    /**
     * 第一推送时间
     */
    @ApiModelProperty(value = "第一推送时间")
    private String firstSendDt;

    /**
     * 最后推送时间
     */
    @ApiModelProperty(value = "最后推送时间")
    private String lastSendDt;

    /**
     * 推送次数
     */
    @ApiModelProperty(value = "推送次数")
    private String sendNum;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
