package com.xxh.cloud.healthy.push.framework.modules.biz.bean.vos;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class WechatQRCodeDataVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 场景类型
     */
    @ApiModelProperty(value = "场景类型[WeixinQRCodeConstant.SceneType]")
    private String sceneType;

    @ApiModelProperty(value = "员工Id")
    private String userId;

    @ApiModelProperty(value = "拥有者类型[WeixinQRCodeConstant.OwnerType]")
    private String ownerType;

    @ApiModelProperty(value = "拥有者code")
    private String ownerCode;

    @ApiModelProperty(value = "拥有者名字")
    private String ownerName;

    /**
     * 场景值
     */
    @ApiModelProperty(value = "场景值")
    private String scene;

    /**
     * 二维码类型
     */
    @ApiModelProperty(value = "二维码类型")
    private String qrType;

    /**
     * 过期时间(秒)
     */
    @ApiModelProperty(value = "过期时间(秒)")
    private String expireSeconds;

    /**
     * 过期时间
     */
    @ApiModelProperty(value = "过期时间")
    private Date expireDate;

    /**
     * 换取微信二维码ticket
     */
    @ApiModelProperty(value = "换取微信二维码ticket")
    private String ticket;

    /**
     * 自定义二维码的url
     */
    @ApiModelProperty(value = "自定义二维码的url")
    private String url;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    /**
     * 本系统用户信息
     */

    @ApiModelProperty(value = "本系统用户名称")
    private String userName;
    @ApiModelProperty(value = "本系统用户真实名称")
    private String realName;
    @ApiModelProperty(value = "本系统用户电话")
    private String mobile;
    @ApiModelProperty(value = "本系统用户email")
    private String email;
    @ApiModelProperty(value = "本系统用户部门id")
    private String deptId;


    /**
     * 统计数据
     */

    @ApiModelProperty(value = "扫码人数（去重）")
    private Long scanCount;

    @ApiModelProperty(value = "注册人数（去重）")
    private Long registerCount;

    @ApiModelProperty(value = "绑定家属人数（去重）")
    private Long bindFamilyCount;

}
