package com.xxh.cloud.healthy.push.framework.modules.biz.constant;

public class PushWeixinConstant {
    
    // 微信推送状态
    public enum WechatPushStatus {
        Success("1", "成功"),
        Fail("2","失败"),
        Invalid("3","无效"), // 由于参数问题永远无法发送
        NotFollow("4", "未关注"),

        ;

        private String code;
        private String msg;
        private WechatPushStatus(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    // 微信推送用户类型
    public enum UserType {
        PATIENT("patient", "患者"),
        DOCTOR("doctors","医生"),

        ;

        private String code;
        private String msg;
        private UserType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

}
