package com.xxh.cloud.healthy.push.framework.modules.biz.helper;

import com.xxh.cloud.healthy.push.framework.modules.base.entity.PushWeixinLog;
import com.xxh.cloud.healthy.push.framework.modules.base.entity.WechatQRCodeDataInfo;
import com.xxh.cloud.healthy.push.framework.modules.biz.bean.vos.PushWeixinLogVO;
import com.xxh.cloud.healthy.push.framework.modules.biz.bean.vos.WechatQRCodeDataVO;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;

public class PushWechatHelper {

    public static String getPushWeixinLogId(){
        return StrUtil.format("PWL{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static String getPatientSubscribeDataLogId(){
        return StrUtil.format("PSDL{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static String getQRCodeDataInfoId(){
        return StrUtil.format("QRDI{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static String getWeixinUserInfoId(){
        return StrUtil.format("WUI{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static String getWeixinUserPatientBindInfoId(){
        return StrUtil.format("WUPBI{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static String getHisPromotionLogId(){
        return StrUtil.format("HPLI{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static PushWeixinLogVO getPushWeixinLogVO(PushWeixinLog entity) {
        PushWeixinLogVO vo = new PushWeixinLogVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static WechatQRCodeDataVO getWechatQRCodeDataVO(WechatQRCodeDataInfo entity) {
        WechatQRCodeDataVO vo = new WechatQRCodeDataVO();
        BeanUtil.copyProperties(entity, vo);
        vo.setScanCount(0L);
        vo.setRegisterCount(0L);
        vo.setBindFamilyCount(0L);
        return vo;
    }
}
