package com.xxh.cloud.healthy.push.framework.modules.biz.service;

import java.util.List;

import com.company.cloud.sdk.weixin.mp.model.QRcodeWithParamsResp;
import com.company.cloud.sdk.weixin.mp.model.msgmanage.ReceiveEventFullModel;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import com.xxh.cloud.healthy.push.framework.modules.base.entity.WeixinUserInfo;
import com.xxh.cloud.healthy.push.framework.modules.base.entity.WeixinUserPatientBindInfo;
import com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto.WechatQRCodeCreateDTO;
import com.xxh.cloud.healthy.push.framework.modules.biz.bean.dto.WeixinUserSyncDTO;

public interface WeixinBizService {
    
    // 带参数二维码
    QRcodeWithParamsResp createQRCode(WechatQRCodeCreateDTO params);
    
    // 获取微信消息事件，处理并返回
    String passiveMsg(ReceiveEventFullModel params);
    


    // 批量保存微信公众号关注用户信息
    void saveWechatUserInfoBatch(List<WeixinUserInfo> params);

    // 分页查询微信公众号关注用户信息
    List<WeixinUserInfo> queryWechatUserInfo(BasePageDTO page);

    // 批量保存海鹚用户信息
    @Deprecated
    void saveUserInfoBatch(List<WeixinUserPatientBindInfo> params);

    // 批量保存海鹚用户信息
    void saveUserInfoBatch2(WeixinUserSyncDTO params);

}
