package com.xxh.cloud.healthy.scale.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class ScaleCacheKeyHelper {

    //================== 量表分类
    /**
     * 量表分类缓存主key
     * */
    public static String getScaleConfigCategoryMainKey(){
        return "healthy:scale:category:*";
    }

    /**
     * 量表分类缓存key
     * */
    public static String getScaleConfigCategoryKey(String id){
        return StrUtil.format("healthy:scale:category:{}",id);
    }



    //================== 量表
    /**
     * 量表缓存主key
     * */
    public static String getScaleConfigMainKey(){
        return "healthy:scale:config:*";
    }

    /**
     * 量表缓存key
     * */
    public static String getScaleConfigKey(String id){
        return StrUtil.format("healthy:scale:config:{}",id);
    }




}
