package com.xxh.cloud.healthy.scale.framework.modules.config.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.scale.framework.modules.client.api.bean.dto.ScaleItemConfigClientQueryPageDTO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dos.ScaleConfigInfo;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dos.ScaleItemConfigInfo;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto.*;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleConfigVO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface ScaleConfigBizService {


    public PageData<ScaleConfigVO> query(ScaleConfigInfoQueryDTO params);


    public IPage<ScaleConfigInfo> queryScaleConfig(ScaleConfigInfoQueryDTO params);


    public IPage<ScaleItemConfigInfo> queryScaleItemConfig(ScaleItemConfigQueryDTO params);



    public ScaleConfigVO add(ScaleConfigInfoSaveDTO params);

    public ScaleConfigVO add2Item(ScaleConfigInfo2ItemSaveDTO params);

    public ScaleConfigVO edit(ScaleConfigInfoUpdateDTO params);

    public ScaleConfigVO edit2Item(ScaleConfigInfo2ItemUpdateDTO params);

    public ScaleConfigVO editItemList(ScaleConfigInfoItemUpdateDTO params);

    public ScaleConfigVO updateStatus(ScaleConfigInfoUpdateStatusDTO params);

    public ScaleConfigVO infoById(String id);

    public ScaleConfigVO infoFullById(String id);


//    public ScaleConfigVO info2NullFullById(String id);
//    public List<ScaleConfigVO> listFullByIds(Collection<String> ids);

    public void delById(String id);


}
