package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 量表配置明细信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_scale_item_config_info")
public class ScaleItemConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 量表Id
     */
     @ApiModelProperty(value = "量表Id")
      private String scaleConfigId;

    /**
     * 标准元数据
     */
     @ApiModelProperty(value = "标准元数据-DEL")
      private String metadataId;

    /**
     * 题型分类
     */
     @ApiModelProperty(value = "题型分类")
      private String type;

    /**
     * 题型标题
     */
     @ApiModelProperty(value = "题型标题")
      private String title;

    /**
     * 题型副标题
     */
     @ApiModelProperty(value = "题型副标题")
      private String subTitle;

     @ApiModelProperty(value = "是否不为空标识")
     private String notNullFlag;

    /**
     * 题型内容
     */
     @ApiModelProperty(value = "题型内容")
      private String content;


    /**
     * 显示规则配置
     */
     @ApiModelProperty(value = "显示规则配置")
      private String showRuleConfig;

    /**
     * 序号
     */
     @ApiModelProperty(value = "序号")
      private Integer orders;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;





}
