package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Getter
@Setter
public class ScaleConfigExeResultScriptByIdDTO {


    @ApiModelProperty(value = "量表配置ID",required = true)
    @NotEmpty(message = "量表配置ID不能为空")
    private String configId;

    @ApiModelProperty(value = "量表结果内容",required = true)
    @NotNull(message = "不能为空")
    private Map<String,Object> params;


}
