package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleResultConfigVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class ScaleConfigInfoItemUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "结果计算脚本")
    private String resultScriptContent;

    @ApiModelProperty(value = "结果配置")
    private List<ScaleResultConfigVO> resultConfig;


    @ApiModelProperty(value = "量表题目",required = true)
    @NotNull(message = "不能为空")
    private List<ScaleItemConfigItemOpDTO> items;


}
