package com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto;

import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleItemConfigContentDateVO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleItemConfigContentInputVO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleItemConfigContentListVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ScaleItemConfigItemOpDTO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "元数据ID【Delete】")
    private String metadataId;

    @ApiModelProperty(value = "题型标题(ScaleConfigItemTypeEnum)",required = true)
    @NotEmpty(message = "不能为空")
    private String title;


    @ApiModelProperty(value = "题型副标题")
    private String subTitle;


    @ApiModelProperty(value = "题型分类(ScaleConfigItemTypeEnum)",required = true)
    @NotEmpty(message = "不能为空")
    private String type;


    @ApiModelProperty(value = "是否不为空标识(YN)")
    private String notNullFlag;


    @ApiModelProperty(value = "题型内容(输入框)")
    private ScaleItemConfigContentInputVO inputContent;

    @ApiModelProperty(value = "题型内容(日期框)")
    private ScaleItemConfigContentDateVO dateContent;

    @ApiModelProperty(value = "题型内容(选择)")
    private ScaleItemConfigContentListVO listContent;

    @ApiModelProperty(value = "序号")
    private Integer orders;


}
