package com.xxh.cloud.healthy.scale.framework.modules.config.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.constant.Constant;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.tree.TreeUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.healthy.scale.framework.modules.cache.helper.ScaleCacheKeyHelper;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dos.ScaleConfigCategoryInfo;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto.ScaleConfigCategorySaveDTO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto.ScaleConfigCategoryTreeDTO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.dto.ScaleConfigCategoryUpdateDTO;
import com.xxh.cloud.healthy.scale.framework.modules.config.entity.vos.ScaleConfigCategoryVO;
import com.xxh.cloud.healthy.scale.framework.modules.config.helper.ScaleConfigCategoryHelper;
import com.xxh.cloud.healthy.scale.framework.modules.config.mapper.ScaleConfigCategoryInfoMapper;
import com.xxh.cloud.healthy.scale.framework.modules.config.service.ScaleConfigCategoryInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 量表配置分类信息表 服务实现类
 * </p>
 */
@Service
public class ScaleConfigCategoryInfoServiceImpl extends ServiceImpl<ScaleConfigCategoryInfoMapper, ScaleConfigCategoryInfo> implements ScaleConfigCategoryInfoService {

}
