package com.xxh.cloud.healthy.scale.framework.modules.result.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ScaleResultItemDTO {


    @ApiModelProperty(value = "量表题目配置Id",required = true)
    @NotEmpty(message = "量表题目配置Id不能为空")
    private String scaleItemConfigId;

    @ApiModelProperty(value = "结果值(多值用,分割)",required = true)
    @NotEmpty(message = "结果值不能为空")
    private String resultVal;




}
