package com.xxh.cloud.healthy.scale.framework.modules.result.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ScaleResultQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "客户用户ID")
    private String custUserId;

    @ApiModelProperty(value = "患者ID")
    private String patientId;

    @ApiModelProperty(value = "量表Id")
    private String scaleConfigId;

    @ApiModelProperty(value = "量表名称")
    private String scaleConfigName;


    @ApiModelProperty(value = "开始日期")
    private String startDate;

    @ApiModelProperty(value = "截止日期")
    private String endDate;
}
