package com.xxh.cloud.healthy.scale.framework.modules.result.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


@Getter
@Setter
public class ScaleResultSaveDTO {



    @ApiModelProperty(value = "客户用户ID")
    private String custUserId;


    @ApiModelProperty(value = "量表Id",required = true)
    @NotEmpty(message = "量表不能为空")
    private String scaleConfigId;


    @ApiModelProperty(value = "任务ID")
    private String taskId;

    @ApiModelProperty(value = "患者ID")
    private String patientId;


//    @ApiModelProperty(value = "量表风险结果值")
//    private String scaleRiskResultVal;
//
//
//    @ApiModelProperty(value = "量表检查结果值")
//    private String scaleTestingResultVal;
//
//
//    @ApiModelProperty(value = "量表结果")
//    private String scaleResult;




    @ApiModelProperty(value = "开始评估时间(yyyy-MM-dd HH:mm:ss)")
    private String startEvaluationDate;



    @ApiModelProperty(value = "量表答题明细",required = true)
    @NotNull(message = "量表答题明细不能为空")
    private List<ScaleResultItemDTO> items;




}
