package com.xxh.cloud.healthy.scale.framework.modules.result.helper;

import jdk.nashorn.api.scripting.ScriptObjectMirror;

import javax.script.*;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;

public class JsUtils {

//    public static void t1(String code) throws ScriptException{
//        // 获取 JavaScript 引擎
//        ScriptEngineManager engineManager = new ScriptEngineManager();
//        ScriptEngine engine = engineManager.getEngineByName("JavaScript");
//
//        // 执行 JavaScript 代码
//        Scanner scanner = new Scanner(System.in);
//        System.out.print("请输入 JavaScript 代码：");
//        //String code = scanner.nextLine();
//        Object result = engine.eval(code);
//        System.out.println("执行结果：" + result);
//    }


    public static void t1()  throws ScriptException{
        ScriptEngineManager engineManager = new ScriptEngineManager();
        ScriptEngine engine = engineManager.getEngineByName("JavaScript");
        String s = "color > 10 && color < 20";
        s = s.replace("color","9");
        System.out.println("S = "+s);
        engine.eval("print("+s+");");
    }


    public static void t2() throws ScriptException{

        ScriptEngineManager engineManager = new ScriptEngineManager();
        ScriptEngine engine = engineManager.getEngineByName("JavaScript");


        List<String> list = Arrays.asList("element1", "element2", "element3");
        engine.put("javaList", list);

        String script = "print('the size of javaList is ' + javaList.size());\n" +
                "print('javaList elements:');" +
                "for (i in javaList) {\n" +
                "print(javaList[i]);\n" +
                "}";

        System.out.println(script);
        System.out.println("=================== ++++ =========================");
        engine.eval(script);

    }


    public static void t3() throws ScriptException, NoSuchMethodException {

        ScriptEngineManager engineManager = new ScriptEngineManager();
        ScriptEngine engine = engineManager.getEngineByName("JavaScript");

        String scriptHasMethod = "function sayHello(name){\n" +
                "print('this is a global function.hello, '+name)\n" +
                "}\n" +
                "var testObject = new Object();\n" +
                "testObject.testMethod = function (param) {\n" +
                "print('this is a method of a object, the input param is '+param)\n" +
                "}";

        System.out.println(scriptHasMethod);
        System.out.println("=================== ++++ =========================");
        engine.eval(scriptHasMethod);


        // 调用JavaScript中的方法
        Invocable env = (Invocable) engine;

//        // 返回的结果
//        Object result = env.invokeFunction("sayHello", "syseal");
//        System.out.println("===============================================");

        // 调用JavaScript对象的方法
        // 1 获取JavaScript对象
        Object testObject = engine.get("testObject");
        // 2 调用对象的方法
        env.invokeMethod(testObject, "testMethod", "JavaCode");

    }

    public static void t4() throws ScriptException, NoSuchMethodException {

        ScriptEngineManager engineManager = new ScriptEngineManager();
        ScriptEngine engine = engineManager.getEngineByName("JavaScript");

        Object result = engine.eval("1 + 1");
        System.out.println("结果: " + result);

    }


    public static void t5() throws ScriptException, NoSuchMethodException {
        // 创建一个ScriptEngineManager实例
        ScriptEngineManager manager = new ScriptEngineManager();
        // 获取JavaScript引擎
        ScriptEngine engine = manager.getEngineByName("nashorn");

        // 执行JavaScript代码
        Object result = engine.eval("1 + 1");
        // 打印结果
        System.out.println("结果: " + result);
    }



    //执行JavaScript代码，传参并获取返回值
    public static  void b1() throws ScriptException, NoSuchMethodException {
        // 创建一个ScriptEngineManager实例
        ScriptEngineManager manager = new ScriptEngineManager();
        // 获取JavaScript引擎
//        ScriptEngine engine = manager.getEngineByName("js");
//        ScriptEngine engine = manager.getEngineByName("JavaScript");
        ScriptEngine engine = manager.getEngineByName("nashorn");


        //方式一
        String script = "function hello(name){" +
                " return 'Hello '+name; " +
                "}";

        engine.eval(script);

        // 注意：JavaScript engine 实现了 Invocable 接口
        Invocable inv = (Invocable)engine;
        // 执行这个名字为 "hello"的全局的函数
        Object eval = inv.invokeFunction("hello", "张三枫");
        System.out.println(eval);

    }

    //执行JavaScript代码，获取其中的变量
    public static void b2() throws ScriptException {
        // 创建一个ScriptEngineManager实例
        ScriptEngineManager manager = new ScriptEngineManager();
        // 获取JavaScript引擎
//        ScriptEngine engine = manager.getEngineByName("js");
//        ScriptEngine engine = manager.getEngineByName("JavaScript");
        ScriptEngine engine = manager.getEngineByName("nashorn");

        String script = "var name='豹子头零充'; var age = 18; var sex ='男'";
        engine.eval(script);
        Object name= engine.get("name");
        System.out.println(name);
    }


    //执行JavaScript代码，获取对象、数组
    public static void b3() throws ScriptException {

        // 创建一个ScriptEngineManager实例
        ScriptEngineManager manager = new ScriptEngineManager();
        // 获取JavaScript引擎
//        ScriptEngine engine = manager.getEngineByName("js");
//        ScriptEngine engine = manager.getEngineByName("JavaScript");
        ScriptEngine engine = manager.getEngineByName("nashorn");

        SimpleBindings simpleBindings = new SimpleBindings();
        simpleBindings.put("globalValue", "1");


        String script = "var obj={};" +
                "obj.name='豹子头零充';" +
                "obj.age = 18;" +
                "obj.sex ='男';" +
                "var array=['A','B','C'];";

        engine.eval(script );
        //获取js变量obj（json类型）
        ScriptObjectMirror obj = (ScriptObjectMirror)engine.get("obj");
        //获取JSON对象的name值
        System.out.println(obj.get("name"));

        //获取js变量array（数组）
        ScriptObjectMirror array=(ScriptObjectMirror) engine.get("array");

        //getSlot（int index）函数用于获取下标为index的值
        System.out.println(array.getSlot(0));

    }


    public static void c1() throws ScriptException {
        // 创建一个ScriptEngineManager实例
        ScriptEngineManager manager = new ScriptEngineManager();
        // 获取JavaScript引擎
        ScriptEngine engine = manager.getEngineByName("nashorn");

        int valueIn = 10;
        SimpleBindings simpleBindings = new SimpleBindings();
        simpleBindings.put("globalValue", valueIn);

        engine.eval("print (globalValue)", simpleBindings);

    }






    public static void main(String[] args) throws ScriptException, NoSuchMethodException {

//        JsUtils.t1();
//        JsUtils.t2();
//        JsUtils.t3();
//        JsUtils.t4();
//        JsUtils.t5();

//        JsUtils.b1();
//        JsUtils.b2();
        JsUtils.b3();

//        JsUtils.c1();




    }

}
