package com.xxh.cloud.healthy.scale.framework.modules.result.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.scale.framework.modules.result.entity.dos.ScaleResultInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.healthy.scale.framework.modules.result.entity.dto.ScaleResultQueryDTO;
import com.xxh.cloud.healthy.scale.framework.modules.result.entity.dto.ScaleResultSaveDTO;
import com.xxh.cloud.healthy.scale.framework.modules.result.entity.vos.ScaleResultVO;

/**
 * <p>
 * 量表评估结果表 服务类
 * </p>
 */
public interface ScaleResultInfoService extends IService<ScaleResultInfo> {

    public PageData<ScaleResultVO> queryPage(ScaleResultQueryDTO params);

    public ScaleResultVO add(ScaleResultSaveDTO params);

    public ScaleResultVO infoById(String id);

    public void delById(String id);


}
