package com.xxh.cloud.healthy.serve.label.client.api;

import java.util.List;

import com.xxh.cloud.healthy.serve.label.client.api.bean.dto.*;

public interface PatientLabelClientService {

    public void add(LabelAddDTO params);

    public void addBatch(LabelAddBatchDTO params);

    public void remove(LabelRemoveDTO params);


    public void addBatch2(List<LabelAddOneDTO> params);




    // 20231031 创建标签并绑定患者
    public void createLabelAndBindPatientBatch(List<LabelAndPatientAddDTO> params);
    public void patientRemoveLabelBatch(List<PatientRemoveLabelDTO> params);



    // 202312141624 物理删除用户当前标签
    void directDelNowPatientLabelBatch(LabelDirectRemoveDTO params);

    // 202312141624 物理删除用户历史标签
    void directDelHistoryPatientLabelBatch(LabelDirectRemoveDTO params);

}
