package com.xxh.cloud.healthy.serve.label.client.api.bean.dto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class LabelAddDTO {

    private String patientId;

    private List<String> labelIds;

    private Integer validityNum;

    private String remark;

    // 操作者
    private String opUser;

    // 来源分类
    private String sourceType;

    // 来源关联ID
    private String sourceRelId;

    // 来源关联TwoID")
    private String sourceRelTwoId;

    // 患者数据时间
    private Date dataDt;

    // zs20231124
    // 扩展字段1")
    private String extend1;

    // 扩展字段2")
    private String extend2;

    // 扩展字段3")
    private String extend3;

    // 扩展字段4")
    private String extend4;



    public void  addLabelId(String labelId){
        if(this.labelIds==null){
            this.labelIds=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(labelId)){
            this.labelIds.add(labelId);
        }
    }





}
