package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientActivityLabelQueryParam extends BasePageDTO {
    
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "标签id")
    private String labelId;

    @ApiModelProperty(value = "标签id列表")
    private List<String> labelIds;

    
    @ApiModelProperty(value = "查询开始时间")
    private Date startDate;

    @ApiModelProperty(value = "查询结束时间")
    private Date endDate;

}
