package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

// zs:20231101
@Getter
@Setter
public class PatientLabelDelDTO {

    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "标签id")
    @NotEmpty(message = "标签id[labelId]不能为空")
    private String labelId;

    @ApiModelProperty(value = "操作者")
    private String opUser;

}
