package com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

// 导出excel使用
@Getter
@Setter
public class PatientLabelExportVO {

    @ApiModelProperty(value = "是否关注")
    private String followStatus;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者年龄")
    private String patientAge;

    @ApiModelProperty(value = "是否死亡")
    private String deathStatus;

    @ApiModelProperty(value = "患者性别")
    private String patientGender;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "发现时间")
    private String dataDt;

    @ApiModelProperty(value = "最后就诊科室")
    private String lastVisitDept;

    @ApiModelProperty(value = "最后就诊医生")
    private String lastVisitDoctor;

    @ApiModelProperty(value = "最后就诊时间")
    private String lastVisitDate;

    @ApiModelProperty(value = "最后住院科室")
    private String lastInpatientDept;

    @ApiModelProperty(value = "最后住院医生")
    private String lastInpatientDoctor;

    @ApiModelProperty(value = "最后住院时间")
    private String lastInpatientDate;

    @ApiModelProperty(value = "最后出院科室")
    private String lastDischargeDept;

    @ApiModelProperty(value = "最后出院时间")
    private String lastDischargeDate;

    @ApiModelProperty(value = "MDT发起人")
    private String mdtApplyDoctor;

    @ApiModelProperty(value = "MDT申请时间")
    private String mdtApplyDate;

}
