package com.xxh.cloud.healthy.serve.label.framework.modules.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos.PatientRecordVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface DwdPatientReportMapper {
    
    @Select(" select * from (" +
            " select patient_id, patient_name,department_name_standard as department_name, department_code_standard as department_code, " +
            " doctor_code,visit_date as record_date from dwd_visit_record_info " +
            " union all " +
            " select patient_id, patient_name,admit_department_name_standard as department_name, admit_department_code_standard as department_code, " +
            " doctor_code,inpatient_date as record_date from dwd_inpatient_record_info) r " +
            " ${ew.customSqlSegment} ")
    List<PatientRecordVO> selectPatientReport(@Param(Constants.WRAPPER) Wrapper<PatientRecordVO> wrapper);


}

