package com.xxh.cloud.healthy.serve.label.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.basic.label.client.api.bean.dto.LabelQueryPageDTO;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto.LabelPatientDataAddBatchDTO;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto.PatientActivityLabelQueryParam;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto.PatientLabelQueryParam;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.dto.LabelPatientActivityDataQueryDTO;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos.LabelPatientDataVO;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos.PatientActivityLabelVO;

public interface LabelPatientDataBizService {

    PageData<LabelPatientDataVO> page(LabelQueryPageDTO params);

    PageData<LabelPatientDataVO> page(PatientLabelQueryParam params);

    void saveBatch(List<LabelPatientDataAddBatchDTO> params);
    


    // 活动

    PageData<LabelPatientDataVO> activityPage(LabelPatientActivityDataQueryDTO params);

    PageData<PatientActivityLabelVO> activityPatientPage(PatientActivityLabelQueryParam params);

}
