package com.xxh.cloud.healthy.serve.label.framework.modules.cache.service;

import java.util.List;
import java.util.Map;

import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos.PatientLabelHistoryVO;
import com.xxh.cloud.healthy.serve.label.framework.modules.biz.bean.vos.PatientLabelVO;

/**
 * zs20230921
 */
public interface PatientLabelCacheService {

    List<PatientLabelVO> listByPatientId(String patientId);

    Map<String, List<PatientLabelVO>> mapByPatientIds(List<String> patientIds);

    void removeByPatientId(String patientId);

    List<PatientLabelHistoryVO> historyListByPatientId(String patientId);

    Map<String, List<PatientLabelHistoryVO>> historyMapByPatientIds(List<String> patientIds);

    void removeHistoryByPatientId(String patientId);

}
