package com.xxh.cloud.healthy.serve.pushServe.client.api.bean.bo;

import java.util.Date;

public class PatientRemindBO {

    // "id"
    private String id;

    // "患者编号"
    private String patientId;

    // "用户ID"
    private String userId;

    // "业务一级分类[ObjectTypeEnum.OT_OneType_PatientPushServe]"
    private String bizOneType;

    // "业务二级分类"
    private String bizTwoType;

    // "执行业务ID[patientPushServeId]"
    private String bizId;

    // "提醒标题"
    private String title;

    // "提醒内容配置"
    private String content;

    // "推送渠道[PushWayEnum]"
    private String pushChannel;

    // "推送模板ID"
    private String pushTempId;

    // "推送状态"
    private String pushStatus;

    // "推送时间"
    private Date pushDate;

    // "备注"
    private String remark;

    // "推送目标服务账号信息[openid、phone等]")
    private String pushAccount;

    // "患者推送服务信息"
    private PatientPushServeClientBO patientPushServeBO;

    // 第三方错误码
    private String errorCode;

    // 第三方错误信息
    private String errorMsg;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getBizOneType() {
        return bizOneType;
    }

    public void setBizOneType(String bizOneType) {
        this.bizOneType = bizOneType;
    }

    public String getBizTwoType() {
        return bizTwoType;
    }

    public void setBizTwoType(String bizTwoType) {
        this.bizTwoType = bizTwoType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPushChannel() {
        return pushChannel;
    }

    public void setPushChannel(String pushChannel) {
        this.pushChannel = pushChannel;
    }

    public String getPushTempId() {
        return pushTempId;
    }

    public void setPushTempId(String pushTempId) {
        this.pushTempId = pushTempId;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public Date getPushDate() {
        return pushDate;
    }

    public void setPushDate(Date pushDate) {
        this.pushDate = pushDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPushAccount() {
        return pushAccount;
    }

    public void setPushAccount(String pushAccount) {
        this.pushAccount = pushAccount;
    }

    public PatientPushServeClientBO getPatientPushServeBO() {
        return patientPushServeBO;
    }

    public void setPatientPushServeBO(PatientPushServeClientBO patientPushServeBO) {
        this.patientPushServeBO = patientPushServeBO;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

}
