package com.xxh.cloud.healthy.serve.pushServe.framework.modules.base.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

// 患者推送服务执行时间表
@Data
@TableName("h_patient_push_serve_date_info")
public class PatientPushServeDateInfo {
    
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 患者推送服务id
     */
     @ApiModelProperty(value = "患者推送服务id")
      private String patientPushServeId;

    /**
     * 发送时间
     */
     @ApiModelProperty(value = "发送时间")
      private Date sendDate;

}
