package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeConfigSnapshotAddDTO {

    @ApiModelProperty(value = "推送服务快照KEY", required = true)
    @NotEmpty(message = "推送服务快照KEY[id]不能为空")
    private String id;

    @ApiModelProperty(value = "推送服务ID", required = true)
    @NotEmpty(message = "推送服务ID[pushServeId]不能为空")
    private String pushServeId;

    @ApiModelProperty(value = "推送服务配置快照", required = true)
    @NotEmpty(message = "推送服务配置快照[pushServeConfig]不能为空")
    private String pushServeConfig;

    @ApiModelProperty(value = "操作者")
    private String opUser;

}
