package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientPushServeQueryParam extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * ids
     */
    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号列表")
    private List<String> patientIds;

    /**
     * 推送服务ID
     */
    @ApiModelProperty(value = "推送服务ID")
    private String pushServeId;

    /**
     * 推送服务名称
     */
    @ApiModelProperty(value = "推送服务名称")
    private String pushServeName;

    /**
     * 推送服务内部名称
     */
    @ApiModelProperty(value = "推送服务内部名称")
    private String pushServeTitle;

    @ApiModelProperty(value = "发送状态")
    private String sendStatus;

    @ApiModelProperty(value = "需要发送的时间列表")
    private List<String> sendDateList;

    @ApiModelProperty(value = "限制查询数量")
    private Integer limit;

    @ApiModelProperty(value = "提醒方式")
    private String remindWay;

}
