package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PatientServeTestQueryParam extends BasePageDTO {

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 服务id
     */
    @ApiModelProperty(value = "服务id")
    private String pushServeId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;

    /**
     * 类型[RemindWayEnum]
     */
    @ApiModelProperty(value = "类型[RemindWayEnum]")
    private String pushType;

    /**
     * 查询开始日期
     */
    @ApiModelProperty(value = "查询开始日期")
    private String startDate;

    /**
     * 查询结束日期
     */
    @ApiModelProperty(value = "查询结束日期")
    private String endDate;

}
