package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.vos;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientPushServeHistoryVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 患者推送服务ID
     */
    @ApiModelProperty(value = "患者推送服务ID")
    private String patientPushServeId;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 推送服务快照ID
     */
    @ApiModelProperty(value = "推送服务快照ID")
    private String snapshotId;

    /**
     * 推送服务ID
     */
    @ApiModelProperty(value = "推送服务ID")
    private String pushServeId;

    /**
     * 推送服务名称
     */
    @ApiModelProperty(value = "推送服务名称")
    private String pushServeName;

    /**
     * 推送服务内部名称
     */
    @ApiModelProperty(value = "推送服务内部名称")
    private String pushServeTitle;


    @ApiModelProperty(value = "推送服务内容分类")
    private String pushContentType;

    @ApiModelProperty(value = "推送服务内容ID")
    private String pushContentId;


    /**
     * 基准发送时间内容
     */
    @ApiModelProperty(value = "基准发送时间内容")
    private String benchmarkDateValue;

    /**
     * 发送时间列表
     */
    @ApiModelProperty(value = "发送时间列表")
    private List<String> sendDateList;

    /**
     * 已发送时间列表
     */
    @ApiModelProperty(value = "已发送时间列表")
    private List<String> sendDateListYes;

    /**
     * 未发送时间列表
     */
    @ApiModelProperty(value = "未发送时间列表")
    private List<String> sendDateListNo;

    /**
     * 发送状态
     */
    @ApiModelProperty(value = "发送状态")
    private String sendStatus;

    /**
     * 操作动作分类
     */
    @ApiModelProperty(value = "操作动作分类")
    private String opType;

    /**
     * 操作者
     */
    @ApiModelProperty(value = "操作者")
    private String opUser;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opDate;

    @ApiModelProperty(value = "推送服务配置快照")
    private PushServeConfigBO pushServeConfig;

    @ApiModelProperty(value = "提醒方式")
    private String remindWay;

}
