package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import com.xxh.cloud.healthy.basic.pushserve.client.api.bean.bos.PushServeConfigBO;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientPushServeVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * 推送服务快照ID
     */
    @ApiModelProperty(value = "推送服务快照ID")
    private String snapshotId;

    /**
     * 推送服务ID
     */
    @ApiModelProperty(value = "推送服务ID")
    private String pushServeId;

    /**
     * 推送服务名称
     */
    @ApiModelProperty(value = "推送服务名称")
    private String pushServeName;

    /**
     * 推送服务内部名称
     */
    @ApiModelProperty(value = "推送服务内部名称")
    private String pushServeTitle;

    /**
     * 基准发送时间内容
     */
    @ApiModelProperty(value = "基准发送时间内容")
    private String benchmarkDateValue;

    /**
     * 发送时间列表
     */
    @ApiModelProperty(value = "发送时间列表")
    private List<String> sendDateList;

    /**
     * 已发送时间列表
     */
    @ApiModelProperty(value = "已发送时间列表")
    private List<String> sendDateListYes;

    /**
     * 未发送时间列表
     */
    @ApiModelProperty(value = "未发送时间列表")
    private List<String> sendDateListNo;

    /**
     * 发送状态
     */
    @ApiModelProperty(value = "发送状态")
    private String sendStatus;

    @ApiModelProperty(value = "推送服务配置快照")
    private PushServeConfigBO pushServeConfig;

    @ApiModelProperty(value = "当前要发送的时间")
    private String sendDate;

    @ApiModelProperty(value = "推送服务内容分类")
    private String pushContentType;

    @ApiModelProperty(value = "推送服务内容ID")
    private String pushContentId;

    // zs20231021
    @ApiModelProperty(value = "提醒方式")
    private String remindWay;

    /**
     * 关联业务分类
     */
    @ApiModelProperty(value = "关联业务分类")
    private String relType;

    /**
     * 关联一级业务ID
     */
    @ApiModelProperty(value = "关联一级业务ID")
    private String relOneId;

    /**
     * 关联二级业务ID
     */
    @ApiModelProperty(value = "关联二级业务ID")
    private String relTwoId;

}
