package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.vos;

import java.util.Date;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者服务测试数据表
 * </p>
 */
@Getter
@Setter
public class PatientServeTestVO extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userIds;

    /**
     * 服务id
     */
     @ApiModelProperty(value = "服务id")
      private String pushServeId;

    /**
     * 服务时间
     */
     @ApiModelProperty(value = "服务时间")
      private Date pushDate;

    /**
     * 标题
     */
     @ApiModelProperty(value = "标题")
      private String title;

    /**
     * 内容
     */
     @ApiModelProperty(value = "内容")
      private String content;

    /**
     * 类型[RemindWayEnum]
     */
     @ApiModelProperty(value = "类型[RemindWayEnum]")
      private String pushType;

    /**
     * 关联业务分类
     */
    @ApiModelProperty(value = "关联业务分类")
    private String relType;

    /**
     * 关联一级业务ID
     */
    @ApiModelProperty(value = "关联一级业务ID")
    private String relOneId;

    /**
     * 关联二级业务ID
     */
    @ApiModelProperty(value = "关联二级业务ID")
    private String relTwoId;

    // 患者姓名
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    // 标准性别
    @ApiModelProperty(value = "标准性别")
    private String patientGenderStandard;

    // 年龄
    @ApiModelProperty(value = "年龄")
    private String patientAge;
}
