package com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.healthy.serve.pushServe.framework.modules.biz.bean.dto.PatientPushSyncFlagModel;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

public interface PatientPushSyncFlagMapper {

    @Select(" SELECT code as code,name as name,flag  as syncFlag,sync_max_minute  as maxMin FROM bwd_data_sync_flag_info  " +
            " ${ew.customSqlSegment} ")
    public PatientPushSyncFlagModel getSyncFlag(@Param(Constants.WRAPPER) Wrapper<PatientPushSyncFlagModel> wrapper);

    @Insert(" INSERT INTO bwd_data_sync_flag_info ( code, name, flag, remark, op_user, op_date, sync_max_minute ) " + 
            " VALUES ( #{entity.code}, #{entity.name}, #{entity.syncFlag}, 'Add', '1', NOW(), #{entity.maxMin} ) ")
    public void insertSyncFlag(@Param("entity") PatientPushSyncFlagModel entity);

    @Update(" UPDATE bwd_data_sync_flag_info SET flag = #{flagTime} WHERE code = #{code}  ")
    public void updateSyncFlag(@Param("flagTime") String flagTime, @Param("code") String code);


}
