package com.xxh.cloud.healthy.serve.pushServe.framework.modules.task.schedule;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者行为信息表
 * </p>
 */
@Getter
@Setter
public class PatientBehaviorEntity {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "内容类型")
    private String contentType;

    @ApiModelProperty(value = "内容ID")
    private String contentId;

    @ApiModelProperty(value = "数据来源一级类型")
    private String sourceOneType;

    @ApiModelProperty(value = "数据来源一级id")
    private String sourceOneId;

    @ApiModelProperty(value = "数据来源二级类型")
    private String sourceTwoType;

    @ApiModelProperty(value = "数据来源二级id")
    private String sourceTwoId;

    @ApiModelProperty(value = "数据来源三级类型")
    private String sourceThreeType;

    @ApiModelProperty(value = "数据来源三级id")
    private String sourceThreeId;

    @ApiModelProperty(value = "数据来源四级类型")
    private String sourceFourType;

    @ApiModelProperty(value = "数据来源四级id")
    private String sourceFourId;

    @ApiModelProperty(value = "数据来源五级类型")
    private String sourceFiveType;

    @ApiModelProperty(value = "数据来源五级id")
    private String sourceFiveId;

    @ApiModelProperty(value = "操作类型")
    private String operatedType;

    @ApiModelProperty(value = "操作开始时间")
    private Date operatedStartDate;

    @ApiModelProperty(value = "操作结束时间")
    private Date operatedEndDate;

    @ApiModelProperty(value = "操作时长")
    private Integer operatedDuration;

    @ApiModelProperty(value = "自定义操作内容")
    private String operatedContent;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("ip")
    private String ip;
    
    @ApiModelProperty("ua")
    private String ua;
    
}
