package com.xxh.cloud.healthy.serve.pushTask.client.api.constant;

public class DoctorScheduleConstant {

    // 业务一级分类
    public enum BizOneType {
        Patient("patient","患者"), // 对应 bizId 为 patientId

        FollowUp("follow_up", "随访"), // 随访，对应bizId为随访id

        ;

        private String code;
        private String msg;
        private BizOneType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }
    }

    // 业务二级分类
    public enum BizTwoType {

        ;

        private String code;
        private String msg;
        private BizTwoType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }
    }

}
