package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DoctorConsultationInitiateDTO {

    @ApiModelProperty(value = "医生任务ID", required = true)
    @NotEmpty(message = "医生任务ID[doctorTaskId]不能为空")
    private String doctorTaskId;

    @ApiModelProperty(value = "部门ID")
    private String deptId;
    
    @ApiModelProperty(value = "医生编号")
    private String doctorId;

}
