package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import com.xxh.cloud.healthy.serve.pushTask.client.api.constant.DoctorRemindConstant;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访表
 * </p>
 */
@Getter
@Setter
public class DoctorFollowUpGetDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    /**
     * 随访医生ID
     */
    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    /**
     * 随访提醒类型
     */
    @ApiModelProperty(value = "随访提醒类型")
    private DoctorRemindConstant.BizTwoType bizTwoType;

}
