package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访日统计表
 * </p>
 */
@Getter
@Setter
public class DoctorFollowUpOneDayAddDTO {

    /**
     * 日期(天)
     */
    @ApiModelProperty(value = "日期(天)")
    private String bizDay;

    /**
     * 随访医生ID
     */
    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    /**
     * 总随访数量
     */
    @ApiModelProperty(value = "总随访数量")
    private Integer totalNum;

    /**
     * 实际随访数量
     */
    @ApiModelProperty(value = "实际随访数量")
    private Integer realNum;

}
