package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生(运营助理)关系表
 * </p>
 */
@Getter
@Setter
public class DoctorRelationAddDTO {

    /**
     * 关联类型（医生科室/医生病种）
     */
     @ApiModelProperty(value = "关联类型")
      private String type;

    /**
     * 医生ID
     */
     @ApiModelProperty(value = "医生ID")
      private String doctorId;

    /**
     * 关联id（部门/病种）
     */
     @ApiModelProperty(value = "关联id")
      private String relationId;

    /**
     * 关联状态
     */
     @ApiModelProperty(value = "关联状态")
      private String status;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

}
