package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生(运营助理)关系表
 * </p>
 */
@Getter
@Setter
public class DoctorRelationGetByDoctorDTO {

    /**
     * 医生ID
     */
    @ApiModelProperty(value = "医生ID", required = true)
    @NotEmpty(message = "医生id不能为空")
    private String doctorId;

}
