package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DoctorTaskExeDTO {

    @ApiModelProperty(value = "医生任务ID", required = true)
    @NotEmpty(message = "医生任务ID[doctorTaskId]不能为空")
    private String doctorTaskId;

    @ApiModelProperty(value = "医生ID", required = true)
    @NotEmpty(message = "医生ID[doctorId]不能为空")
    private String doctorId;

    @ApiModelProperty(value = "执行状态")
    private String status;

    @ApiModelProperty(value = "执行备注")
    private String remark;

    @ApiModelProperty(value = "执行动作参数")
    private String actionConfig;

}
