package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class TaskDoctor2AddDTO {

    @ApiModelProperty(value = "疾病ID",required = true)
    @NotEmpty(message = "疾病不能为空")
    private String diseaseId;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String taskName;

    @ApiModelProperty(value = "医生编号",required = true)
    @NotEmpty(message = "医生编号不能为空")
    private String doctorId;


    @ApiModelProperty(value = "患者编号",required = true)
    @NotEmpty(message = "患者编号不能为空")
    private String patientId;

    @ApiModelProperty(value = "新增时间（yyyy-mm-dd ）",required = true)
    @NotEmpty(message = "新增时间不能为空")
    private String addTime;

}
