package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto;

import java.util.Set;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TaskDoctorInfoUpdateDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    @ApiModelProperty(value = "执行人列表", required = true)
    @NotEmpty(message = "执行人列表[doctorIds]不能为空")
    private Set<String> doctorIds;

    @ApiModelProperty(value = "执行状态")
    private String status;

}
