package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 医生随访日统计表
 * </p>
 */
@Getter
@Setter
public class DoctorFollowUpOneDayVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 日期(天)
     */
    @ApiModelProperty(value = "日期(天)")
    private String bizDay;

    /**
     * 随访医生ID
     */
    @ApiModelProperty(value = "随访医生ID")
    private String doctorId;

    /**
     * 总随访数量
     */
    @ApiModelProperty(value = "总随访数量")
    private Integer totalNum;

    /**
     * 实际随访数量
     */
    @ApiModelProperty(value = "实际随访数量")
    private Integer realNum;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date opDate;

    /**
     * 医生名称
     */
    @ApiModelProperty(value = "医生名称")
    private String doctorName;

}
