package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.base.entity.DoctorRelationInfo;
import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.vos.DoctorRelationByDoctorVO;

public interface DoctorRelationBizMapper {

    @Select(" SELECT doctor_id doctorId " + 
            " FROM h_doctor_relation_info " +
            " ${ew.customSqlSegment} " + 
            " GROUP BY doctor_id ")
    IPage<DoctorRelationByDoctorVO> pageByDoctor(Page<DoctorRelationInfo> page, @Param(Constants.WRAPPER) Wrapper<DoctorRelationInfo> wrapper);

}