package com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.healthy.serve.pushTask.framework.modules.biz.bean.dto.*;

public interface DoctorTaskBizService {

    /**
     * 由引擎调用，数据都来自引擎
     */
    void addTask(TaskDoctorInfoAddDTO params);

    void addTask2(TaskDoctor2AddDTO params);
    void delTask2(String id);


    /**
     * 由引擎调用，数据都来自引擎
     */
    void addBatchTask(List<TaskDoctorInfoAddDTO> params);

    /**
     * 由引擎调用，数据都来自引擎
     */
    void cancelTask(TaskDoctorInfoCancelDTO params);

    /**
     * 每次执行后更新执行人信息
     */
    void updateTask(TaskDoctorInfoUpdateDTO params);

    /**
     * 推送患者服务日志
     */
    void pushServeAdd(DoctorPushServeLogAddDTO params);


    // 更新提醒状态
    void updateRemindStatusBatch(List<DoctorRemindUpdateDTO> params);
    
}
