package com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientRiskDelDTO{

    @ApiModelProperty(value = "患者编号")
    @NotEmpty(message = "患者编号[patientId]不能为空")
    private String patientId;

    @ApiModelProperty(value = "风险id")
    @NotEmpty(message = "风险id[riskId]不能为空")
    private String riskId;

    @ApiModelProperty(value = "操作者")
    private String opUser;

}
