package com.xxh.cloud.healthy.serve.risk.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskGetDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskHistoryGetDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskHistoryQueryDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.dto.PatientRiskQueryDTO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.vo.PatientRiskHistoryVO;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.bean.vo.PatientRiskVO;

public interface PatientRiskQueryService {

    PageData<PatientRiskVO> page(PatientRiskQueryDTO params);

    List<PatientRiskVO> list(PatientRiskQueryDTO params);
    
    PatientRiskVO info(PatientRiskGetDTO params);
    
    // history

    PageData<PatientRiskHistoryVO> historyPage(PatientRiskHistoryQueryDTO params);

    List<PatientRiskHistoryVO> historyList(PatientRiskHistoryQueryDTO params);
    
    PatientRiskHistoryVO historyInfo(PatientRiskHistoryGetDTO params);
    
}
