package com.xxh.cloud.healthy.serv.framework.modules.userDisease.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dos.UserDiseaseInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.dto.*;
import com.xxh.cloud.healthy.serv.framework.modules.userDisease.entity.vos.UserDiseaseVO;

import java.util.List;

/**
 * <p>
 * 用户疾病信息表 服务类
 * </p>
 */
public interface UserDiseaseInfoService extends IService<UserDiseaseInfo> {


    public PageData<UserDiseaseVO> query(UserDiseaseInfoQueryDTO params);

    public List<UserDiseaseVO> list(UserDiseaseInfoListDTO params);

    public void operateUserDisease(UserDiseaseInfoOperateDTO params);

    public void removeUserDisease(UserDiseaseInfoRemoveDTO params);

    public void addUserDisease(UserDiseaseInfoAddDTO params);




}
