package com.xxh.cloud.healthy.serv.framework.modules.userService.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户服务任务执行信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("h_user_healthy_service_task_exe_info")
public class UserHealthyServiceTaskExeInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 用户任务ID
     */
     @ApiModelProperty(value = "用户任务ID")
      private String custUserTaskId;

    /**
     * 客户用户ID
     */
     @ApiModelProperty(value = "客户用户ID")
      private String custUserId;

    /**
     * 内容分类
     */
     @ApiModelProperty(value = "内容分类")
      private String contentType;

    /**
     * 内容
     */
     @ApiModelProperty(value = "内容")
      private String content;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
