package com.xxh.cloud.healthy.third.client.modules.local.utils;

import com.xxh.cloud.customer.client.api.bean.bos.CustomerUserBO;
import com.xxh.cloud.healthy.third.client.modules.api.entity.bos.HealthyUserBO;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

public class HealthyThirdUserUtil {

    public static HealthyUserBO getHealthyUserBO(AdminUserBO entity){
        if(entity==null){
            return null;
        }
        HealthyUserBO data=new HealthyUserBO();
        data.setId(entity.getId());
        data.setUserName(entity.getUserName());
        data.setRealName(entity.getRealName());
        data.setHeadUrl(entity.getHeadUrl());
        data.setUserType("admin");
        return data;
    }




    public static HealthyUserBO getHealthyUserBO(CustomerUserBO entity){
        if(entity==null){
            return null;
        }
        HealthyUserBO data=new HealthyUserBO();
        data.setId(entity.getId());
        data.setUserName(entity.getUserName());
        data.setNickName(entity.getNickName());
        data.setRealName(entity.getRealName());
        data.setHeadUrl(entity.getHeadUrl());
        data.setUserType("customer");
        return data;
    }


}
